webpackJsonp([21],{

/***/ 1032:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TestPaperRecordPageModule", function() { return TestPaperRecordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__test_paper_record__ = __webpack_require__(1390);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_test_paper_record_service__ = __webpack_require__(1241);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var TestPaperRecordPageModule = /** @class */ (function () {
    function TestPaperRecordPageModule() {
    }
    TestPaperRecordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__test_paper_record__["a" /* TestPaperRecordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__test_paper_record__["a" /* TestPaperRecordPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_test_paper_record_service__["a" /* TestPaperRecordService */],
            ]
        })
    ], TestPaperRecordPageModule);
    return TestPaperRecordPageModule;
}());

//# sourceMappingURL=test-paper-record.module.js.map

/***/ }),

/***/ 1241:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TestPaperRecordService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_answers_model__ = __webpack_require__(1391);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_question_model__ = __webpack_require__(1392);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs_observable_forkJoin__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs_observable_forkJoin___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_rxjs_observable_forkJoin__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * @author huangweicai
 * @date 2019/6/28
 * @description 法学考试、法学练习模块服务提供商
 */
var TestPaperRecordService = /** @class */ (function () {
    function TestPaperRecordService(http) {
        this.http = http;
    }
    /**
     * 根据题目id获取题目详情
     * @param answerDetail
     * @param subjectDisorder
     * @returns {Observable<any>}
     */
    TestPaperRecordService.prototype.getQuestionDetail = function (answerDetail, subjectDisorder) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            var questionType = answerDetail.questionType;
            var questionId = answerDetail.questionId;
            Object(__WEBPACK_IMPORTED_MODULE_7_rxjs_observable_forkJoin__["forkJoin"])([
                _this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["d" /* LEARNING_LAW_JSON_URL */] + "/cdndata/question_bank/question_type_" + questionType + "/" + questionId + ".json"),
                _this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["d" /* LEARNING_LAW_JSON_URL */] + "/cdndata/question_bank/options/" + questionId + ".json")
            ]).subscribe(function (data) {
                console.log('getQuestionDetail:', data);
                // 获取当前题目答案
                var rightAnswerList = data[1].id.split("_");
                var result = { status: data[0].status, message: data[0].message, topicModel: {} };
                if (data[0].status == 200) {
                    // 题目详情
                    var question_1 = data[0].question;
                    // 装入正确答案对应选项
                    if (subjectDisorder !== undefined) {
                        if (subjectDisorder.itemIds.length > 0) {
                            // // 先判断答案是否一致
                            // let isSame = true
                            // for (let id of subjectDisorder.itemIds){
                            //   for (let i = 0; i < question.itemIds; i++){
                            //     if (id === question.itemIds[i]) break;
                            //     if (i===question.itemIds.length-1) isSame = false;
                            //   }
                            // }
                            for (var i = 0; i < subjectDisorder.itemIds.length; i++) {
                                for (var j = 0; j < question_1.itemIds.length; j++) {
                                    if (subjectDisorder.itemIds[i] === question_1.itemIds[j]) {
                                        var tmpItemId = question_1.itemIds[i];
                                        var tmpItem = question_1.items[i];
                                        question_1.itemIds[i] = question_1.itemIds[j];
                                        question_1.items[i] = question_1.items[j];
                                        question_1.itemIds[j] = tmpItemId;
                                        question_1.items[j] = tmpItem;
                                    }
                                }
                            }
                        }
                    }
                    console.log('question', question_1);
                    var questionTypeStr = "";
                    switch (questionType) {
                        case 1:
                            questionTypeStr = "单选题";
                            break;
                        case 2:
                            questionTypeStr = "多选题";
                            break;
                        case 3:
                            questionTypeStr = "判断题";
                            break;
                    }
                    var questionModel_1 = new __WEBPACK_IMPORTED_MODULE_5__models_question_model__["a" /* QuestionModel */](question_1.subjectId, questionType, questionTypeStr, question_1.subjectName, question_1.description);
                    // 装入正确答案对应选项
                    question_1.itemIds.map(function (answers, index) {
                        var answersName = question_1.items[index];
                        var answersLetter = __WEBPACK_IMPORTED_MODULE_6__common_commonFun__["a" /* CommonExam */].numberToLetter(index);
                        // 每个选项信息
                        var answersModel = new __WEBPACK_IMPORTED_MODULE_4__models_answers_model__["a" /* AnswersModel */](answers, answersName, answersLetter, true, 0);
                        // 设置选项是否为正确答案
                        if (rightAnswerList.findIndex(function (rightAnswer) { return rightAnswer == answers; }) !== -1) {
                            questionModel_1.answersId += answersLetter;
                            answersModel.answers = 1;
                        }
                        // 把每个题目选项装入答案中
                        questionModel_1.answersItem.push(answersModel);
                    });
                    if (questionType == 1 || questionType == 3) {
                        questionModel_1.answersItem.map(function (answer) {
                            // 默认未选择答案
                            answer.isRight = 1;
                            if (answerDetail.selectedAnswerArr[0] == answer.id) {
                                if (answer.answers == "1") {
                                    answer.isRight = 2;
                                }
                                else {
                                    answer.isRight = 3;
                                }
                            }
                        });
                    }
                    else {
                        questionModel_1.answersItem.map(function (answer) {
                            answer.isRight = 1;
                            if (answerDetail.selectedAnswerArr.indexOf(answer.id) != -1) {
                                if (answer.answers == "1") {
                                    answer.isRight = 2;
                                }
                                else {
                                    answer.isRight = 3;
                                }
                            }
                        });
                    }
                    result.topicModel = questionModel_1;
                }
                observer.next(result);
                observer.complete();
            });
        });
    };
    TestPaperRecordService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], TestPaperRecordService);
    return TestPaperRecordService;
}());

//# sourceMappingURL=test-paper-record.service.js.map

/***/ }),

/***/ 1390:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TestPaperRecordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_test_paper_record_service__ = __webpack_require__(1241);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__common_commonFun__ = __webpack_require__(120);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * @author huangweicai
 * @date 2019/10/2
 * @description 练习、考试试卷页面
 */
var TestPaperRecordPage = /** @class */ (function () {
    function TestPaperRecordPage(navParams, navCtrl, alertCtrl, nativeService, testPaperRecordService) {
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.nativeService = nativeService;
        this.testPaperRecordService = testPaperRecordService;
        this.questions = []; //试卷题目
        this.answerRecordArr = [];
        this.currentIndex = 0;
        this.answerRecord = this.navParams.get("answerRecord");
        this.disorder = this.navParams.get("disorder");
    }
    /**
     * 未进入页面前获取试卷题目信息
     */
    TestPaperRecordPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        if (this.answerRecord.singles != "") {
            this.splitAnswerStr(this.answerRecord.singles, 1);
        }
        if (this.answerRecord.multiples != "") {
            this.splitAnswerStr(this.answerRecord.multiples, 2);
        }
        if (this.answerRecord.booleans != "") {
            this.splitAnswerStr(this.answerRecord.booleans, 3);
        }
        var sd = this.answerRecord.disorder.filter(function (subject) {
            return subject.subjectId ===
                parseInt(_this.answerRecordArr[_this.currentIndex].questionId);
        });
        this.getQuestionDetail(this.answerRecordArr[this.currentIndex], sd[0]);
    };
    TestPaperRecordPage.prototype.getQuestionDetail = function (question, subjectDisorder) {
        var _this = this;
        this.testPaperRecordService
            .getQuestionDetail(question, subjectDisorder)
            .subscribe(function (value) {
            if (value.status == 200) {
                question.isLoading = true;
                var nextIndex_1 = _this.currentIndex + 1;
                if (_this.currentIndex == 0 &&
                    !_this.answerRecordArr[nextIndex_1].isLoading) {
                    var sd = _this.answerRecord.disorder.filter(function (subject) {
                        return subject.subjectId ===
                            parseInt(_this.answerRecordArr[nextIndex_1].questionId);
                    });
                    _this.getQuestionDetail(_this.answerRecordArr[nextIndex_1], sd[0]);
                }
                else {
                    _this.currentIndex += 1;
                }
                //判断乱序题目、选项数据是否存在，存在则根据乱序的题目、选项数据进行排序
                if (_this.disorder) {
                    var info_1 = _this.disorder.find(function (item) { return value.topicModel.id == item.subjectId; });
                    value.topicModel.answersItem.sort(function (a, b) {
                        return info_1.itemIds.indexOf(a.id) - info_1.itemIds.indexOf(b.id);
                    });
                    for (var i = 0; i < value.topicModel.answersItem.length; i++) {
                        value.topicModel.answersItem[i].answersLetter =
                            __WEBPACK_IMPORTED_MODULE_4__common_commonFun__["a" /* CommonExam */].numberToLetter(i);
                    }
                }
                _this.questions.push(value.topicModel);
            }
        });
    };
    /**
     *
     * @param answerStr 答题记录id字符串
     * @param questionType
     */
    TestPaperRecordPage.prototype.splitAnswerStr = function (answerStr, questionType) {
        var answerArr = answerStr.split(",");
        for (var index in answerArr) {
            var selectedAnswer = answerArr[index].split(":");
            var questionId = selectedAnswer[0];
            var selectedAnswerArr = [];
            if (questionType == 1 || questionType == 3) {
                if (selectedAnswer[1] !== undefined) {
                    selectedAnswerArr.push(selectedAnswer[1]);
                }
            }
            else {
                if (selectedAnswer[1] !== undefined) {
                    selectedAnswerArr = selectedAnswer[1].split("_");
                }
            }
            var obj = {
                isLoading: false,
                questionType: questionType,
                questionId: questionId,
                selectedAnswerArr: selectedAnswerArr,
            };
            this.answerRecordArr.push(obj);
        }
    };
    TestPaperRecordPage.prototype.slideNextStart = function () {
        var _this = this;
        var currentSlideIndex = this.slides.getActiveIndex();
        if (this.currentIndex - currentSlideIndex == 0) {
            var nextIndex_2 = this.currentIndex + 1;
            if (this.answerRecordArr.length - nextIndex_2 >= 1) {
                var question = this.answerRecordArr[nextIndex_2];
                if (!question.isLoading) {
                    var sd = this.answerRecord.disorder.filter(function (subject) {
                        return subject.subjectId ===
                            parseInt(_this.answerRecordArr[nextIndex_2].questionId);
                    });
                    this.getQuestionDetail(question, sd[0]);
                }
            }
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"])
    ], TestPaperRecordPage.prototype, "slides", void 0);
    TestPaperRecordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-test-paper-record",template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\test-paper-record\test-paper-record.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>答题记录</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <ion-slides\n    [centeredSlides]="false"\n    [zoom]="false"\n    (ionSlideNextStart)="slideNextStart()"\n  >\n    <ion-slide\n      style="overflow-y: auto"\n      *ngFor="let question of questions;let i=index"\n    >\n      <div class="main">\n        <!--题目类型-->\n        <div class="question-type">\n          <h2>{{question.typeStr}}</h2>\n          <span> <strong>{{i+1}}</strong>/{{answerRecordArr.length}} </span>\n        </div>\n        <!--题目-->\n        <div class="question-title">{{question.title}}</div>\n        <!--答案选择项-->\n        <div class="row answers" *ngFor="let answers of question.answersItem;">\n          <div col-2 class="radio-col">\n            <button *ngIf="answers.isRight === 1" class="radio-button">\n              {{answers.answersLetter}}\n            </button>\n            <ion-icon\n              *ngIf="answers.isRight === 2"\n              class="icon-right"\n              name="checkmark-circle"\n            ></ion-icon>\n            <ion-icon\n              *ngIf="answers.isRight === 3"\n              class="icon-error"\n              name="close-circle"\n            ></ion-icon>\n          </div>\n          <div col-10>{{answers.answersName}}</div>\n        </div>\n        <div class="right-answers">\n          <span>正确答案：</span>\n          <span *ngFor="let answers of question.answersItem;">\n            <span *ngIf="answers.answers == 1">\n              {{answers.answersLetter}}\n            </span>\n          </span>\n        </div>\n        <div class="answers-analysis" *ngIf="question.tips != \'\'">\n          <p>答案解析：</p>\n          <p [innerHTML]="question.tips"></p>\n        </div>\n      </div>\n    </ion-slide>\n  </ion-slides>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\test-paper-record\test-paper-record.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_test_paper_record_service__["a" /* TestPaperRecordService */]])
    ], TestPaperRecordPage);
    return TestPaperRecordPage;
}());

//# sourceMappingURL=test-paper-record.js.map

/***/ }),

/***/ 1391:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AnswersModel; });
var AnswersModel = /** @class */ (function () {
    function AnswersModel(id, // 答案项id
        answersName, // 答案项名称
        answersLetter, // 答案项字母
        isSelected, // 是否已选择
        answers, // 答案 0：错误 1：正确
        isRight // 当前选择的答案是否正确 1：未选择 2：正确 3：错误
    ) {
        if (isSelected === void 0) { isSelected = false; }
        if (answers === void 0) { answers = 0; }
        if (isRight === void 0) { isRight = 1; } // 当前选择的答案是否正确 1：未选择 2：正确 3：错误
        this.id = id;
        this.answersName = answersName;
        this.answersLetter = answersLetter;
        this.isSelected = isSelected;
        this.answers = answers;
        this.isRight = isRight; // 当前选择的答案是否正确 1：未选择 2：正确 3：错误
    }
    return AnswersModel;
}());

//# sourceMappingURL=answers.model.js.map

/***/ }),

/***/ 1392:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return QuestionModel; });
var QuestionModel = /** @class */ (function () {
    function QuestionModel(id, // 题目id
        type, // 题目类型
        typeStr, // 题目类型字符串
        title, // 题目标题
        tips, // 题目提示
        answersItem, // 题目答案选择项
        answersId, // 用户选择的答案的id
        isSelected // 是否已选择
    ) {
        if (answersItem === void 0) { answersItem = []; }
        if (answersId === void 0) { answersId = ""; }
        if (isSelected === void 0) { isSelected = false; } // 是否已选择
        this.id = id;
        this.type = type;
        this.typeStr = typeStr;
        this.title = title;
        this.tips = tips;
        this.answersItem = answersItem;
        this.answersId = answersId;
        this.isSelected = isSelected; // 是否已选择
    }
    return QuestionModel;
}());

//# sourceMappingURL=question.model.js.map

/***/ })

});
//# sourceMappingURL=21.js.map