webpackJsonp([24],{

/***/ 1033:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserInfoModule", function() { return UserInfoModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_info__ = __webpack_require__(1393);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__directives_custom_validator_module__ = __webpack_require__(1395);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var UserInfoModule = /** @class */ (function () {
    function UserInfoModule() {
    }
    UserInfoModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__user_info__["a" /* UserInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__directives_custom_validator_module__["a" /* CustomValidatorModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__user_info__["a" /* UserInfoPage */]),
            ]
        })
    ], UserInfoModule);
    return UserInfoModule;
}());

//# sourceMappingURL=user-info.module.js.map

/***/ }),

/***/ 1242:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CustomValidator; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_validators_service__ = __webpack_require__(1394);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var CustomValidator = /** @class */ (function () {
    function CustomValidator() {
    }
    CustomValidator_1 = CustomValidator;
    CustomValidator.prototype.validate = function (control) {
        if (!this.validatorName) {
            return null;
        }
        var validatorFn = __WEBPACK_IMPORTED_MODULE_2__providers_validators_service__["a" /* ValidatorsService */][this.validatorName];
        if (!validatorFn) {
            alert('未找到名称为' + this.validatorName + '的验证规则，请添加');
            return null;
        }
        return validatorFn(control);
    };
    CustomValidator.check = function (checkType) {
        return function (self) {
            var _form = self.parent;
            if (_form) {
                var validatorFn = __WEBPACK_IMPORTED_MODULE_2__providers_validators_service__["a" /* ValidatorsService */][checkType];
                if (!validatorFn) {
                    alert('未找到名称为' + checkType + '的验证规则，请添加');
                    return null;
                }
                return validatorFn(self);
            }
            else {
                return null;
            }
        };
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])('validator-name'),
        __metadata("design:type", String)
    ], CustomValidator.prototype, "validatorName", void 0);
    CustomValidator = CustomValidator_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"])({
            selector: '[validator-form]',
            providers: [{
                    provide: __WEBPACK_IMPORTED_MODULE_1__angular_forms__["NG_VALIDATORS"],
                    useExisting: CustomValidator_1,
                    multi: true
                }]
        })
    ], CustomValidator);
    return CustomValidator;
    var CustomValidator_1;
}());

//# sourceMappingURL=custom-validator.directive.js.map

/***/ }),

/***/ 1393:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_learning_law_service__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__directives_custom_validator_directive__ = __webpack_require__(1242);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * @author Chile
 * @date 2019/12/06
 * @description 用户信息修改
 */
var UserInfoPage = /** @class */ (function () {
    function UserInfoPage(navCtrl, alertCtrl, navParams, fb, events, toastCtrl, nativeService, authService, modalCtrl, learningLawService) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.fb = fb;
        this.events = events;
        this.toastCtrl = toastCtrl;
        this.nativeService = nativeService;
        this.authService = authService;
        this.modalCtrl = modalCtrl;
        this.learningLawService = learningLawService;
        this.saving = false;
        this.isChangeDept = false;
        this.showDept = '';
        this.nationList = [
            { id: 1, nation: '汉族' }, { id: 2, nation: '壮族' }, { id: 3, nation: '回族' }, { id: 4, nation: '满族' },
            { id: 5, nation: '维吾尔族' }, { id: 6, nation: '苗族' }, { id: 7, nation: '彝族' }, { id: 8, nation: '土家族' },
            { id: 9, nation: '藏族' }, { id: 10, nation: '蒙古族' }, { id: 11, nation: '侗族' }, { id: 12, nation: '布依族' },
            { id: 13, nation: '瑶族' }, { id: 14, nation: '白族' }, { id: 15, nation: '朝鲜族' }, { id: 16, nation: '哈尼族' },
            { id: 17, nation: '黎族' }, { id: 18, nation: '哈萨克族' }, { id: 19, nation: '傣族' }, { id: 20, nation: '畲族' },
            { id: 21, nation: '傈僳族' }, { id: 22, nation: '东乡族' }, { id: 23, nation: '仡佬族' }, { id: 24, nation: '拉祜族' },
            { id: 25, nation: '佤族' }, { id: 26, nation: '水族' }, { id: 27, nation: '纳西族' }, { id: 28, nation: '羌族' },
            { id: 29, nation: '土族' }, { id: 30, nation: '仫佬族' }, { id: 31, nation: '锡伯族' }, { id: 32, nation: '柯尔克孜族' },
            { id: 33, nation: '景颇族' }, { id: 34, nation: '达斡尔族' }, { id: 35, nation: '撒拉族' }, { id: 36, nation: '布朗族' },
            { id: 37, nation: '毛南族' }, { id: 38, nation: '塔吉克族' }, { id: 39, nation: '普米族' }, { id: 40, nation: '阿昌族' },
            { id: 41, nation: '怒族' }, { id: 42, nation: '鄂温克族' }, { id: 43, nation: '京族' }, { id: 44, nation: '基诺族' },
            { id: 45, nation: '德昂族' }, { id: 46, nation: '保安族' }, { id: 47, nation: '俄罗斯族' }, { id: 48, nation: '裕固族' },
            { id: 49, nation: '乌孜别克族' }, { id: 50, nation: '门巴族' }, { id: 51, nation: '鄂伦春族' }, { id: 52, nation: '独龙族' },
            { id: 53, nation: '赫哲族' }, { id: 54, nation: '高山族' }, { id: 55, nation: '珞巴族' }, { id: 56, nation: '塔塔尔族' },
            { id: 57, nation: '未识别民族' }, { id: 58, nation: '入籍外国人' }
        ];
        this.changeOrg = false; //是否需要改组织结构
    }
    UserInfoPage.prototype.ngOnInit = function () {
        this.changeOrg = this.navParams.get("type") == 'changeOrg' ? true : false;
        this.userAllInfo = this.learningLawService.userAllInfo;
        if (this.userAllInfo.checkOrgStatus == 2) {
            if (this.userAllInfo.newOrgFullNames) {
                if (this.userAllInfo.newOrgFullNames.substr(0, 1) == "/") {
                    this.userAllInfo.newOrgFullNames = this.userAllInfo.newOrgFullNames.replace("/", "");
                }
                this.showDept = this.userAllInfo.newOrgFullNames;
            }
        }
        if (this.changeOrg) {
            this.userAllInfo.orgFullNames = '';
        }
        if (this.userAllInfo.xrzw_level == '参公人员') {
            this.userAllInfo.xrzw_level = null;
        }
        this.userAllInfo.mobile = this.learningLawService.mobile;
        //创建表单基本字段信息
        this.userForm = this.fb.group({
            userName: [this.userAllInfo.username, [__WEBPACK_IMPORTED_MODULE_5__angular_forms__["Validators"].required]],
            gender: [this.userAllInfo.sex, [__WEBPACK_IMPORTED_MODULE_5__angular_forms__["Validators"].required]],
            nation: [this.userAllInfo.nation, [__WEBPACK_IMPORTED_MODULE_5__angular_forms__["Validators"].required]],
            phone: [this.userAllInfo.mobile, [__WEBPACK_IMPORTED_MODULE_5__angular_forms__["Validators"].required, __WEBPACK_IMPORTED_MODULE_6__directives_custom_validator_directive__["a" /* CustomValidator */].check('phone')]],
            // orgFullId: [null, [Validators.required]],//组织机构全路径ID
            // orgId: [null, [Validators.required]],//选择的机构ID
            userType: [this.userAllInfo.personal_cate, [__WEBPACK_IMPORTED_MODULE_5__angular_forms__["Validators"].required]],
            jobHierarchy: [this.userAllInfo.xrzw_level, [__WEBPACK_IMPORTED_MODULE_5__angular_forms__["Validators"].required]] //职务层级
        });
    };
    /**
     * 点击保存基本信息事件
     *
     */
    UserInfoPage.prototype.saveUserInfo = function () {
        var _this = this;
        if (this.changeOrg) {
            this.nativeService.alert('请选择组织机构。');
            return;
        }
        for (var i in this.userForm.controls) {
            this.userForm.controls[i].markAsDirty();
            this.userForm.controls[i].updateValueAndValidity();
        }
        console.log('this.userForm:', this.userForm);
        if (this.userForm.valid) {
            this.nativeService.showLoading('正在提交信息。。。');
            this.learningLawService.saveUserBaseInfo(this.userForm.value.userName, this.userForm.value.gender, this.userForm.value.nation, this.userForm.value.phone, this.userForm.value.userType, this.userForm.value.jobHierarchy).subscribe(function (res) {
                _this.nativeService.alert('您的个人基本信息保存成功。');
                // 保存部门审请调入信息
                if (_this.isChangeDept) {
                    console.log('this.isChangeDept', _this.isChangeDept, _this.selectDept);
                    _this.learningLawService.saveUserDeptInfo(_this.selectDept.deptInfo.orgFullId, _this.selectDept.selectDept.original_id).subscribe(function (res) {
                        _this.events.publish("msg:setUserDept");
                        _this.userAllInfo.org_ids = _this.selectDept.deptInfo.orgFullId.replace(/_/g, ",") + "," + _this.selectDept.selectDept.original_id;
                        _this.userAllInfo.checkOrgStatus = 2;
                        _this.nativeService.hideLoading();
                        _this.nativeService.alert('您已修改组织机构，请等待管理员审核。');
                        _this.navCtrl.pop();
                    }, function (err) {
                        _this.nativeService.hideLoading();
                        _this.nativeService.alert('您提交修改组织机构失败，请稍后再试。');
                        _this.navCtrl.pop();
                    });
                }
                else {
                    _this.nativeService.hideLoading();
                    _this.navCtrl.pop();
                }
            }, function (err) {
                _this.nativeService.hideLoading();
                if (err.status == 555) {
                    _this.nativeService.alert('频繁修改相同个人信息内容，请5分钟后再试。');
                }
                else {
                    _this.nativeService.alert('您提交保存个人基本信息失败，请稍后再试。');
                }
            });
        }
        //this.msg.success(`保存基本信息成功。1`);
        // this.da = Object.assign(this.da, this.arForm.value);
        // console.log(`保存基本信息成功。da`, this.da);
        // this.learningLawService.saveUserInfo(this.da, this.proposerArray).subscribe((result) => {
        //   this.da.itemId = result.result[0];
        //   //console.log('saveBaseInfo',result);
        //   this.showToastMessage(`信息提交成功。`);
        //   this.navCtrl.pop();
        // });
    };
    UserInfoPage.prototype.onSelectDept = function (event) {
        var _this = this;
        event.preventDefault();
        console.log('onSelectDept(event)', event);
        if (this.userAllInfo.checkOrgStatus == 2) {
            this.nativeService.alert('您修改的组织机构正在审核中，请等待管理员审核完毕！');
            return;
        }
        var modal = this.modalCtrl.create("ChangeDeptPage");
        modal.onDidDismiss(function (data) {
            // if(data.isSelected){
            //   this.clickCity.emit(data.city);
            // }
            console.log('onDidDismiss:', data);
            if (data.isSelected) {
                _this.changeOrg = false;
                var new_org_ids_1 = '';
                data.dept.forEach(function (v, i) {
                    new_org_ids_1 = new_org_ids_1 + v.deptInfo.orgId;
                    if (i != data.dept.length - 1) {
                        new_org_ids_1 = new_org_ids_1 + ',';
                    }
                });
                if (new_org_ids_1 != _this.userAllInfo.org_ids) {
                    _this.isChangeDept = true;
                    if (data.dept[data.dept.length - 1].selectDept !== null) {
                        _this.selectDept = data.dept[data.dept.length - 1];
                    }
                    else {
                        _this.selectDept = data.dept[data.dept.length - 2];
                    }
                    _this.showDept = data.showDept;
                }
                console.log('onSelectDept', data, _this.userAllInfo, _this.isChangeDept, _this.selectDept);
            }
        });
        modal.present();
        // this.navCtrl.push('ChangeDeptPage');
    };
    UserInfoPage.prototype.goBack = function () {
        this.navCtrl.pop();
    };
    UserInfoPage.prototype.showToastMessage = function (message, time, position) {
        if (time === void 0) { time = 2000; }
        if (position === void 0) { position = "bottom"; }
        this.toastCtrl.create({
            message: message,
            duration: time,
            position: position,
            cssClass: "toast-message-auto-close",
            dismissOnPageChange: false
        }).present();
    };
    UserInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-user-info',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\user-info\user-info.html"*/'<ion-header>\n  <ion-navbar hideBackButton="true">\n    <div class="bar-title">\n      <img class="img-left" src="assets/imgs/back-icon.png" (click)="goBack()">\n      <div class="text-title">个人信息</div>\n    </div>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list>\n    <form [formGroup]="userForm" (ngSubmit)="saveUserInfo()">\n      <ion-item>\n        <ion-label>姓名</ion-label>\n        <ion-input formControlName="userName" type="text" placeholder="请输入姓名" text-end></ion-input>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>性别</ion-label>\n        <ion-select formControlName="gender" [cancelText]="\'取消\'" [okText]="\'确定\'" placeholder="请选择性别">\n          <ion-option [value]="0">女</ion-option>\n          <ion-option [value]="1">男</ion-option>\n        </ion-select>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>民族</ion-label>\n        <ion-select formControlName="nation" [cancelText]="\'取消\'" [okText]="\'确定\'" placeholder="请选择民族">\n          <ion-option [value]="item.nation" *ngFor="let item of nationList">{{item.nation}}</ion-option>\n        </ion-select>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>手机</ion-label>\n        <ion-input formControlName="phone" text-end type="tel" maxLength=\'11\'></ion-input>\n      </ion-item>\n\n\n      <ion-item>\n        <ion-label>组织机构</ion-label>\n        <ion-note item-end text-wrap col-6>{{userAllInfo.orgFullNames}}<span *ngIf="userAllInfo.checkOrgStatus==2 || isChangeDept" style="color: #f10805"><br>变更为：{{showDept}}<br>（审核通过后变更）</span></ion-note>\n        <button ion-button type="button" item-end outline [color]="userAllInfo.checkOrgStatus==2?\'danger\':\'primary\'" (click)="onSelectDept($event)">{{userAllInfo.checkOrgStatus==2?\'审核中\':\'选择\'}}</button>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>人员类别</ion-label>\n        <ion-select formControlName="userType" [cancelText]="\'取消\'" [okText]="\'确定\'" placeholder="请选择人员类别">\n          <ion-option value="公务员">公务员</ion-option>\n          <ion-option value="参公人员">参公人员</ion-option>\n          <ion-option value="组织部管理人员">组织部管理人员</ion-option>\n          <ion-option value="事业编制人员">事业编制人员</ion-option>\n          <ion-option value="国有企业人员">国有企业人员</ion-option>\n          <ion-option value="工勤人员">工勤人员</ion-option>\n          <ion-option value="其他人员">其他人员</ion-option>\n          <ion-option value="厅级领导">厅级领导</ion-option>\n          <ion-option value="领导干部">领导干部</ion-option>\n          <ion-option value="仅管理员">仅管理员</ion-option>\n          <ion-option value="社会人员">社会人员</ion-option>\n        </ion-select>\n      </ion-item>\n\n      <ion-item style="display: none;">\n        <ion-label>现任职务层级</ion-label>\n        <ion-select formControlName="jobHierarchy" [cancelText]="\'取消\'" [okText]="\'确定\'" placeholder="请选择现任职务层级">\n          <ion-option value="厅局级正职">厅局级正职</ion-option>\n          <ion-option value="厅局级副职">厅局级副职</ion-option>\n          <ion-option value="县处级正职">县处级正职</ion-option>\n          <ion-option value="县处级副职">县处级副职</ion-option>\n          <ion-option value="乡科级正职">乡科级正职</ion-option>\n          <ion-option value="乡科级副职">乡科级副职</ion-option>\n          <ion-option value="巡视员">巡视员</ion-option>\n          <ion-option value="副巡视员">副巡视员</ion-option>\n          <ion-option value="调研员">调研员</ion-option>\n          <ion-option value="副调研员">副调研员</ion-option>\n          <ion-option value="主任科员">主任科员</ion-option>\n          <ion-option value="主任副科员">主任副科员</ion-option>\n          <ion-option value="科员">科员</ion-option>\n          <ion-option value="办事员">办事员</ion-option>\n          <ion-option value="其他">其他</ion-option>\n        </ion-select>\n      </ion-item>\n\n    </form>\n  </ion-list>\n</ion-content>\n\n<ion-footer>\n  <ion-grid>\n    <ion-row style=\'text-align:center;\'>\n      <ion-col align-self-center class="foot-bar-button">\n        <button ion-button color="miracleOrange" [disabled]="userForm.invalid || saving" (click)="saveUserInfo()">\n          保&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;存\n        </button>\n        <button ion-button (click)="goBack()">\n          返&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;回\n        </button>\n      </ion-col>\n    </ion-row>\n  </ion-grid>\n</ion-footer>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\user-info\user-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5__angular_forms__["FormBuilder"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_auth_service__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_learning_law_service__["a" /* LearningLawService */]])
    ], UserInfoPage);
    return UserInfoPage;
}());

//# sourceMappingURL=user-info.js.map

/***/ }),

/***/ 1394:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ValidatorsService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(29);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


/**
 * 表单验证服务
 * @author Chile
 * @createAt 2019-12-09
 */
var ValidatorsService = /** @class */ (function (_super) {
    __extends(ValidatorsService, _super);
    function ValidatorsService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ValidatorsService_1 = ValidatorsService;
    //邮件
    ValidatorsService.email = function (control) {
        return ValidatorsService_1.validatorsByPattern('email', control, '([a-z0-9]*[-_]?[a-z0-9]+)*@([a-z0-9]*[-_]?[a-z0-9]+)+[\.][a-z]{2,3}([\.][a-z]{2})?');
    };
    //手机号
    ValidatorsService.phone = function (control) {
        return ValidatorsService_1.validatorsByPattern('phone', control, '1(3|4|5|6|7|8|9)[0-9]{9}');
    };
    //中文
    ValidatorsService.chinese = function (control) {
        return ValidatorsService_1.validatorsByPattern('chinese', control, '[(\u4e00-\u9fa5)]+');
    };
    //英文和数字包括下划线
    ValidatorsService.legallyNamed = function (control) {
        return ValidatorsService_1.validatorsByPattern('legallyNamed', control, '[A-Za-z0-9_]+');
    };
    ValidatorsService.validatorsByPattern = function (name, control, pattern) {
        var validatorFn = ValidatorsService_1.pattern(pattern)(control);
        if (validatorFn != null) {
            validatorFn[name] = validatorFn['pattern'];
        }
        return validatorFn;
    };
    ValidatorsService = ValidatorsService_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])()
    ], ValidatorsService);
    return ValidatorsService;
    var ValidatorsService_1;
}(__WEBPACK_IMPORTED_MODULE_1__angular_forms__["Validators"]));

//# sourceMappingURL=validators.service.js.map

/***/ }),

/***/ 1395:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CustomValidatorModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__custom_validator_directive__ = __webpack_require__(1242);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var CustomValidatorModule = /** @class */ (function () {
    function CustomValidatorModule() {
    }
    CustomValidatorModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_1__custom_validator_directive__["a" /* CustomValidator */],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_1__custom_validator_directive__["a" /* CustomValidator */]
            ]
        })
    ], CustomValidatorModule);
    return CustomValidatorModule;
}());

//# sourceMappingURL=custom-validator.module.js.map

/***/ })

});
//# sourceMappingURL=24.js.map