webpackJsonp([33],{

/***/ 1044:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DetailNoticeModule", function() { return DetailNoticeModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__detail_notice__ = __webpack_require__(1707);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_my_my_notice_service__ = __webpack_require__(1168);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var DetailNoticeModule = /** @class */ (function () {
    function DetailNoticeModule() {
    }
    DetailNoticeModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__detail_notice__["a" /* DetailNoticePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__detail_notice__["a" /* DetailNoticePage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_my_my_notice_service__["a" /* MyNoticeService */]
            ]
        })
    ], DetailNoticeModule);
    return DetailNoticeModule;
}());

//# sourceMappingURL=detail-notice.module.js.map

/***/ }),

/***/ 1168:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyNoticeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name MyNoticeService
 * @author huangweicai
 * @description 通知服务层类
 */
var MyNoticeService = /** @class */ (function () {
    function MyNoticeService(http) {
        this.http = http;
    }
    /**
     * 获取通知信息
     * @param {number} pageNo
     * @returns {Observable<any>}
     */
    MyNoticeService.prototype.getNotices = function (pageNo, noticeStatus) {
        var params = {
            msgStatus: noticeStatus,
            page: pageNo + "",
            rows: "10"
        };
        return this.http.get("/rest/api/user/getMessages", { params: params });
    };
    /**
     * 更新通知状态
     * @param {string} noticeId
     * @returns {Observable<any>}
     */
    MyNoticeService.prototype.updateNotice = function (noticeId) {
        var params = {
            msgStatus: "1",
            msgId: noticeId
        };
        return this.http.get("/rest/api/user/setMsgStatus", { params: params });
    };
    MyNoticeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], MyNoticeService);
    return MyNoticeService;
}());

//# sourceMappingURL=my-notice.service.js.map

/***/ }),

/***/ 1707:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DetailNoticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_my_my_notice_service__ = __webpack_require__(1168);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * @name DetailNoticePage
 * @author huangweicai
 * @description 通知详情页面
 */
var DetailNoticePage = /** @class */ (function () {
    function DetailNoticePage(navCtrl, events, myNoticeService, nativeService, navParams) {
        this.navCtrl = navCtrl;
        this.events = events;
        this.myNoticeService = myNoticeService;
        this.nativeService = nativeService;
        this.navParams = navParams;
        this.isRead = true;
    }
    DetailNoticePage.prototype.ngOnInit = function () {
        var _this = this;
        this.notice = this.navParams.data;
        if (this.notice.msgId != null && this.notice.msgId != "" && this.notice.msgStatus == 0) {
            this.myNoticeService.updateNotice(this.notice.msgId).subscribe(function (res) {
                if (res.status == 200) {
                    _this.isRead = true;
                }
            });
        }
    };
    /**
     * 格式化日期时间
     * @param dateTime
     * @returns {any}
     */
    DetailNoticePage.prototype.formatDateTime = function (dateTime) {
        if (dateTime.indexOf(":") != -1) {
            var dateTimes = dateTime.split(" ");
            return dateTimes[0];
        }
        return dateTime;
    };
    /**
     * 回退方法
     */
    DetailNoticePage.prototype.goBack = function () {
        if (this.isRead)
            this.events.publish('msg:delNotice', { noticeId: this.notice.msgId });
        this.navCtrl.pop();
    };
    DetailNoticePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-detail-notice',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\my\notice\detail\detail-notice.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>通知详情页</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content class="content">\n<div>\n  <p class="content-header">{{notice.msgTitle}}</p>\n  <p class="content-div">{{notice.msgContent}}</p>\n  <p class="content-footer">{{formatDateTime(notice.strSendTime)}}</p>\n</div>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\my\notice\detail\detail-notice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_3__providers_my_my_notice_service__["a" /* MyNoticeService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], DetailNoticePage);
    return DetailNoticePage;
}());

//# sourceMappingURL=detail-notice.js.map

/***/ })

});
//# sourceMappingURL=33.js.map