webpackJsonp([35],{

/***/ 1038:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CollectHistoryModule", function() { return CollectHistoryModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__collect_history__ = __webpack_require__(1405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_my_collect_history_service__ = __webpack_require__(1246);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CollectHistoryModule = /** @class */ (function () {
    function CollectHistoryModule() {
    }
    CollectHistoryModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__collect_history__["a" /* CollectHistoryPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__collect_history__["a" /* CollectHistoryPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_my_collect_history_service__["a" /* CollectHistoryService */]
            ]
        })
    ], CollectHistoryModule);
    return CollectHistoryModule;
}());

//# sourceMappingURL=collect-history.module.js.map

/***/ }),

/***/ 1246:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CollectHistoryService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name CollectHistoryService
 * @author huangweicai
 * @description 阅读历史、我的收藏服务层类
 */
var CollectHistoryService = /** @class */ (function () {
    function CollectHistoryService(http) {
        this.http = http;
    }
    /**
     * 历史阅读
     * @param {string} pageNo
     * @returns {Observable<any>}
     */
    CollectHistoryService.prototype.getHistoryItems = function (pageNo) {
        var params = { page: pageNo, rows: "10" };
        return this.http.get("/rest/api/content/his", { params: params });
    };
    /**
     * 我的收藏
     * @param {string} pageNo
     * @returns {Observable<any>}
     */
    CollectHistoryService.prototype.getCollectItems = function (pageNo) {
        var params = { page: pageNo, rows: "10" };
        return this.http.get("/rest/api/content/mycollect", { params: params });
    };
    /**
     * 评论
     * @param {string} pageNo
     * @returns {Observable<any>}
     */
    CollectHistoryService.prototype.getCommentItems = function (pageNo) {
        var params = { page: pageNo, rows: "10" };
        return this.http.get("/rest/api/comment/myCommentContentInfo", { params: params });
    };
    /**
     * 分享
     * @param {string} pageNo
     * @returns {Observable<any>}
     */
    CollectHistoryService.prototype.getShareItems = function (pageNo) {
        var params = { page: pageNo, rows: "10" };
        return this.http.get("", { params: params });
    };
    CollectHistoryService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], CollectHistoryService);
    return CollectHistoryService;
}());

//# sourceMappingURL=collect-history.service.js.map

/***/ }),

/***/ 1405:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CollectHistoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_my_collect_history_service__ = __webpack_require__(1246);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__common_commonSet__ = __webpack_require__(84);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * @name CollectHistoryPage
 * @author huangweicai
 * @description 我的收藏、评论、分享、阅读历史页面
 */
var CollectHistoryPage = /** @class */ (function () {
    function CollectHistoryPage(collectHistoryService, nativeService, navCtrl, navParams) {
        this.collectHistoryService = collectHistoryService;
        this.nativeService = nativeService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.headerTitle = "我的收藏";
        this.selectedTab = "collect";
        this.listItems = [];
        this.pageNo = 1;
        this.pageTotal = 0;
        this.baseUrl = __WEBPACK_IMPORTED_MODULE_4__common_commonSet__["a" /* BaseUrl */];
    }
    /**
     * 页面初始化方法(angular生命周期-只调用一次)
     */
    CollectHistoryPage.prototype.ngOnInit = function () {
        this.selectedTab = this.navParams.get("tabType");
        if (this.selectedTab == "history") {
            this.headerTitle = "阅读历史";
        }
        this.doInfinite(null);
    };
    /**
     * 获取我的收藏
     */
    CollectHistoryPage.prototype.getCollectItems = function (infiniteScroll) {
        var _this = this;
        this.nativeService.showLoading("加载中。。。");
        this.collectHistoryService.getCollectItems(this.pageNo + "").subscribe(function (res) {
            _this.scrollComplete(infiniteScroll);
            if (res.status == 200) {
                _this.pageNo += 1;
                var data = res.result[0];
                _this.pageTotal = data.pageCount;
                _this.listItems.push.apply(_this.listItems, data.contents);
            }
            else {
                _this.nativeService.alert("服务异常,请稍后重试!");
            }
        }, function (error) {
            _this.scrollComplete(infiniteScroll);
            _this.nativeService.alert("服务异常,请稍后重试!");
        });
    };
    /**
     * 获取评论
     */
    CollectHistoryPage.prototype.getCommentItems = function (infiniteScroll) {
        var _this = this;
        this.nativeService.showLoading("加载中。。。");
        this.collectHistoryService.getCollectItems(this.pageNo + "").subscribe(function (res) {
            _this.scrollComplete(infiniteScroll);
            if (res.status == 200) {
                _this.pageNo += 1;
                var data = res.result[0];
                _this.pageTotal = data.pageCount;
                _this.listItems.push.apply(_this.listItems, data.contents);
            }
            else {
                _this.nativeService.alert("服务异常,请稍后重试!");
            }
        }, function (error) {
            _this.scrollComplete(infiniteScroll);
            _this.nativeService.alert("服务异常,请稍后重试!");
        });
    };
    /**
     * 获取分享
     */
    CollectHistoryPage.prototype.getShareItems = function (infiniteScroll) {
        var _this = this;
        this.nativeService.showLoading("加载中。。。");
        this.collectHistoryService.getCollectItems(this.pageNo + "").subscribe(function (res) {
            _this.scrollComplete(infiniteScroll);
            if (res.status == 200) {
                _this.pageNo += 1;
                var data = res.result[0];
                _this.pageTotal = data.pageCount;
                _this.listItems.push.apply(_this.listItems, data.logs);
            }
            else {
                _this.nativeService.alert("服务异常,请稍后重试!");
            }
        }, function (error) {
            _this.scrollComplete(infiniteScroll);
            _this.nativeService.alert("服务异常,请稍后重试!");
        });
    };
    /**
     * 获取阅读历史
     */
    CollectHistoryPage.prototype.getHistoryItems = function (infiniteScroll) {
        var _this = this;
        this.nativeService.showLoading("加载中。。。");
        this.collectHistoryService.getHistoryItems(this.pageNo + "").subscribe(function (res) {
            _this.scrollComplete(infiniteScroll);
            if (res.status == 200) {
                _this.pageNo += 1;
                var data = res.result[0];
                _this.pageTotal = data.pageCount;
                _this.listItems.push.apply(_this.listItems, data.logs);
            }
            else {
                _this.nativeService.alert("服务异常,请稍后重试!");
            }
        }, function (error) {
            _this.scrollComplete(infiniteScroll);
            _this.nativeService.alert("服务异常,请稍后重试!");
        });
    };
    /**
     * 分页加载
     * @param infiniteScroll
     */
    CollectHistoryPage.prototype.doInfinite = function (infiniteScroll) {
        if (this.pageNo > this.pageTotal && infiniteScroll != null) {
            infiniteScroll.complete();
            infiniteScroll.enable(false);
        }
        else {
            if (this.selectedTab == "collect") {
                this.getCollectItems(infiniteScroll);
            }
            else if (this.selectedTab == "comment") {
                this.getCommentItems(infiniteScroll);
            }
            else if (this.selectedTab == "share") {
            }
            else {
                this.getHistoryItems(infiniteScroll);
            }
        }
    };
    /**
     * 分页加载完成
     * @param infiniteScroll
     */
    CollectHistoryPage.prototype.scrollComplete = function (infiniteScroll) {
        if (infiniteScroll != null)
            infiniteScroll.complete();
        this.nativeService.hideLoading();
    };
    /**
     * tabs切换方法
     */
    CollectHistoryPage.prototype.segmentChanged = function () {
        this.pageNo = 1;
        this.pageTotal = 0;
        this.listItems = [];
        this.doInfinite(null);
    };
    /**
     * 格式化日期时间
     * @param dateTime
     */
    CollectHistoryPage.prototype.formatDateTime = function (dateTime) {
        return dateTime.substr(dateTime.indexOf("-") + 1);
    };
    /**
     * 返回上一页
     */
    CollectHistoryPage.prototype.goBack = function () {
        this.navCtrl.pop();
    };
    CollectHistoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-collect-history',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\my\collect-history\collect-history.html"*/'<ion-header>\n  <!--头部-->\n  <div class="row content-header" justify-content-center align-items-center>\n    <ion-col col-2 (click)="goBack()">\n      <img class="ion-col-img" src="assets/imgs/left-arrow.png">\n    </ion-col>\n    <ion-col offset-3>{{headerTitle}}</ion-col>\n  </div>\n\n  <!--导航-->\n  <div>\n    <ion-segment [(ngModel)]="selectedTab" (ionChange)="segmentChanged()">\n      <ion-segment-button class="tab-button-height" value="collect">\n        收藏\n      </ion-segment-button>\n      <ion-segment-button class="tab-button-height" value="comment">\n        评论\n      </ion-segment-button>\n      <ion-segment-button class="tab-button-height" value="share">\n        分享\n      </ion-segment-button>\n      <ion-segment-button class="tab-button-height" value="history">\n        历史\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n<ion-content class="content">\n  <div [ngSwitch]="selectedTab">\n    <div *ngSwitchCase="\'collect\'">\n      <div *ngFor="let item of listItems">\n        <ion-row>\n          <ion-col col-3>\n            <img class="content-logo" src="/assets/imgs/my/u1605.png">\n          </ion-col>\n          <ion-col class="content-origin">\n            <div class="content-title-font">{{item.source}}</div>\n            <div>{{formatDateTime(item.releaseDate)}}</div>\n          </ion-col>\n        </ion-row>\n        <ion-row *ngIf="item.typeImg == null || item.typeImg == \'\'">\n          <ion-col>\n            <div class="content-description-font">\n              {{item.title}}\n            </div>\n          </ion-col>\n        </ion-row>\n        <ion-row *ngIf="item.typeImg !== null && item.typeImg !== \'\'">\n          <ion-col>\n            <div class="content-description-font">\n              {{item.title}}\n            </div>\n          </ion-col>\n          <ion-col col-5>\n            <div class="article-img">\n              <img src="{{baseUrl + item.typeImg}}">\n            </div>\n          </ion-col>\n        </ion-row>\n        <ion-row align-items-center justify-content-center>\n          <ion-col offset-1>\n            <div class="content-footer-img">\n              <img class="content-img-share" src="/assets/imgs/my/share.png">\n              &nbsp;&nbsp;<span>12</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-comment" src="/assets/imgs/my/comment.png">\n              &nbsp;&nbsp;<span>35</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-praise" src="/assets/imgs/my/praise.png">\n              &nbsp;&nbsp;<span>176</span>\n            </div>\n          </ion-col>\n        </ion-row>\n        <div class="div-divider"></div>\n      </div>\n    </div>\n    <div *ngSwitchCase="\'comment\'">\n      <div>\n        <ion-row>\n          <ion-col col-3>\n            <img class="content-logo" src="/assets/imgs/my/u1605.png">\n          </ion-col>\n          <ion-col class="content-origin">\n            <div class="content-title-font">张三</div>\n            <div>03-29 05:28</div>\n          </ion-col>\n        </ion-row>\n        <ion-row>\n          <ion-col>\n            用户评论！\n          </ion-col>\n        </ion-row>\n        <ion-row class="ion-row-border">\n          <ion-col>\n            <div class="content-description-font">\n              柳州市三江县司法局积极参加文化科技卫生“三下乡”集中宣传服务活动\n            </div>\n          </ion-col>\n          <ion-col col-5>\n            <div class="article-img">\n              <img src="/assets/imgs/my/u1603.png">\n            </div>\n          </ion-col>\n        </ion-row>\n        <ion-row align-items-center justify-content-center>\n          <ion-col offset-1>\n            <div class="content-footer-img">\n              <img class="content-img-share" src="/assets/imgs/my/share.png">\n              &nbsp;&nbsp;<span>12</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-comment" src="/assets/imgs/my/comment.png">\n              &nbsp;&nbsp;<span>35</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-praise" src="/assets/imgs/my/praise.png">\n              &nbsp;&nbsp;<span>176</span>\n            </div>\n          </ion-col>\n        </ion-row>\n        <div class="div-divider"></div>\n      </div>\n    </div>\n    <div *ngSwitchCase="\'share\'">\n      <div>\n        <ion-row>\n          <ion-col col-3>\n            <img class="content-logo" src="/assets/imgs/my/u1605.png">\n          </ion-col>\n          <ion-col class="content-origin">\n            <div class="content-title-font">普法网</div>\n            <div>03-29 05:28</div>\n          </ion-col>\n        </ion-row>\n        <ion-row>\n          <ion-col>\n            <div class="content-description-font">\n              柳州市三江县司法局积极参加文化科技卫生“三下乡”集中宣传服务活动\n            </div>\n          </ion-col>\n          <ion-col col-5>\n            <div class="article-img">\n              <img src="/assets/imgs/my/u1603.png">\n            </div>\n          </ion-col>\n        </ion-row>\n        <ion-row align-items-center justify-content-center>\n          <ion-col offset-1>\n            <div class="content-footer-img">\n              <img class="content-img-share" src="/assets/imgs/my/share.png">\n              &nbsp;&nbsp;<span>12</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-comment" src="/assets/imgs/my/comment.png">\n              &nbsp;&nbsp;<span>35</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-praise" src="/assets/imgs/my/praise.png">\n              &nbsp;&nbsp;<span>176</span>\n            </div>\n          </ion-col>\n        </ion-row>\n      </div>\n    </div>\n    <div *ngSwitchCase="\'history\'">\n      <div *ngFor="let item of listItems">\n        <ion-row>\n          <ion-col col-3>\n            <img class="content-logo" src="/assets/imgs/my/u1605.png">\n          </ion-col>\n          <ion-col class="content-origin">\n            <div class="content-title-font">{{item.source}}</div>\n            <div>{{formatDateTime(item.releaseDate)}}</div>\n          </ion-col>\n        </ion-row>\n        <ion-row *ngIf="item.typeImg == null || item.typeImg == \'\'">\n          <ion-col>\n            <div class="content-description-font">\n              {{item.title}}\n            </div>\n          </ion-col>\n        </ion-row>\n        <ion-row *ngIf="item.typeImg !== null && item.typeImg !== \'\'">\n          <ion-col>\n            <div class="content-description-font">\n              {{item.title}}\n            </div>\n          </ion-col>\n          <ion-col col-5>\n            <div class="article-img">\n              <img src="{{baseUrl + item.typeImg}}">\n            </div>\n          </ion-col>\n        </ion-row>\n        <ion-row align-items-center justify-content-center>\n          <ion-col offset-1>\n            <div class="content-footer-img">\n              <img class="content-img-share" src="/assets/imgs/my/share.png">\n              &nbsp;&nbsp;<span>12</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-comment" src="/assets/imgs/my/comment.png">\n              &nbsp;&nbsp;<span>35</span>\n            </div>\n          </ion-col>\n          <ion-col>\n            <div class="content-footer-img">\n              <img class="content-img-praise" src="/assets/imgs/my/praise.png">\n              &nbsp;&nbsp;<span>176</span>\n            </div>\n          </ion-col>\n        </ion-row>\n        <div class="div-divider"></div>\n      </div>\n    </div>\n  </div>\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n    <ion-infinite-scroll-content loadingText="Loading..."></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\my\collect-history\collect-history.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_my_collect_history_service__["a" /* CollectHistoryService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], CollectHistoryPage);
    return CollectHistoryPage;
}());

//# sourceMappingURL=collect-history.js.map

/***/ })

});
//# sourceMappingURL=35.js.map