webpackJsonp([36],{

/***/ 1027:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LearnIntegralPageModule", function() { return LearnIntegralPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__person__ = __webpack_require__(1384);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_person_service__ = __webpack_require__(1238);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var LearnIntegralPageModule = /** @class */ (function () {
    function LearnIntegralPageModule() {
    }
    LearnIntegralPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__person__["a" /* PersonPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__person__["a" /* PersonPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_auth_service__["a" /* AuthService */],
                __WEBPACK_IMPORTED_MODULE_4__providers_person_service__["a" /* PersonService */],
            ]
        })
    ], LearnIntegralPageModule);
    return LearnIntegralPageModule;
}());

//# sourceMappingURL=person.module.js.map

/***/ }),

/***/ 1238:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PersonService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var PersonService = /** @class */ (function () {
    function PersonService(http) {
        this.http = http;
    }
    /**
     * 获取用户相关信息
     * @returns {Observable<any>}
     */
    PersonService.prototype.getUseInfo = function () {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/user/getRedisUserValue").subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * 修改用户手机号码
     * @param {string} mobileNumber
     */
    PersonService.prototype.changeUserMobileNumber = function (mobileNumber) {
        var _this = this;
        var params = { mobile: mobileNumber };
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/user/modifySysUser", null, { params: params })
                .subscribe(function (value) {
                var res = { status: value.status, message: value.message };
                observer.next(res);
                observer.complete();
            });
        });
    };
    PersonService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], PersonService);
    return PersonService;
}());

//# sourceMappingURL=person.service.js.map

/***/ }),

/***/ 1384:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PersonPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_person_service__ = __webpack_require__(1238);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_learning_law_learning_law_service__ = __webpack_require__(202);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * @author huangweicai
 * @date 2019/9/30
 * @description 学法积分界面
 */
var PersonPage = /** @class */ (function () {
    function PersonPage(events, alertCtrl, toastCtrl, modalCtrl, navCtrl, nativeService, personService, authService, learningLawService) {
        this.events = events;
        this.alertCtrl = alertCtrl;
        this.toastCtrl = toastCtrl;
        this.modalCtrl = modalCtrl;
        this.navCtrl = navCtrl;
        this.nativeService = nativeService;
        this.personService = personService;
        this.authService = authService;
        this.learningLawService = learningLawService;
        this.avatar = 'assets/imgs/my/default-user-avatar.png';
        this.name = '';
        this.userId = '';
        this.token = '';
        this.isCheckIn = false; //默认未签到
        this.userInfo = {};
        this.mobileNumber = "";
        this.userCheckOrgStatus = '';
        this.userCheckOrgStatusStyle = '#F10805';
    }
    PersonPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.events.subscribe('msg:setUserDept', function () {
            _this.userCheckOrgStatus = '申请调入中';
            _this.userCheckOrgStatusStyle = "#ff7415";
            _this.userInfo.checkOrgStatus = 2;
        });
    };
    PersonPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.personService.getUseInfo().subscribe(function (value) {
            console.log('this.personService.getUseInfo=========', value);
            if (value.status == 200) {
                _this.userInfo = value.result[0];
                // if (this.userInfo.hasOwnProperty("mobile")) {
                //   if (this.userInfo.mobile != null){
                //     this.mobileNumber = this.learningLawService.mobile;
                //   }
                // }
                if (_this.userInfo.orgFullNames) {
                    if (_this.userInfo.orgFullNames.substr(0, 1) == "/") {
                        _this.userInfo.orgFullNames = _this.userInfo.orgFullNames.replace("/", "");
                    }
                }
                if (!_this.userInfo.checkOrgStatus) {
                    _this.userInfo.checkOrgStatus = 0;
                }
                // 0：未检查  1：已确认  2：申请调入中  3：申请未通过  4：申请调入通过
                switch (_this.userInfo.checkOrgStatus) {
                    case 0:
                        _this.userCheckOrgStatus = '未确认';
                        break;
                    case 1:
                        _this.userCheckOrgStatus = '已确认';
                        _this.userCheckOrgStatusStyle = '#00ad14';
                        break;
                    case 2:
                        _this.userCheckOrgStatus = '申请调入中';
                        _this.userCheckOrgStatusStyle = "#ff7415";
                        break;
                    case 3:
                        _this.userCheckOrgStatus = '申请未通过';
                        break;
                    case 4:
                        _this.userCheckOrgStatus = '申请调入通过';
                        _this.userCheckOrgStatusStyle = '#00ad14';
                        break;
                }
            }
        });
    };
    PersonPage.prototype.toChildItem = function (itemName) {
        var _this = this;
        if (itemName == "mineIntegral") {
            this.navCtrl.push("MineIntegralPage");
        }
        else if (itemName == "mineLearn") {
            this.navCtrl.push("MineLearnPage");
        }
        else if (itemName == "changePassword") {
            this.mobileNumber = this.learningLawService.mobile;
            if (this.mobileNumber == "") {
                this.showToastMessage("您的手机号码不存在，请先修改手机号码！");
                return false;
            }
            this.navCtrl.push("ChangePasswordPage", { mobileNumber: this.mobileNumber });
        }
        else if (itemName == "userInfo") {
            this.learningLawService.getUserAllInfo().subscribe(function (userInfo) {
                _this.navCtrl.push("UserInfoPage");
            });
        }
        else if (itemName == "myStore") {
            this.navCtrl.push("MyStorePage");
        }
        else if (itemName == 'offlineDownload') {
            this.navCtrl.push("OfflineDownloadPage");
        }
        else if (itemName == "changeMobile") {
            var alert_1 = this.alertCtrl.create({
                title: "修改手机号码",
                inputs: [
                    {
                        name: "mobileNumber",
                        placeholder: "请输入手机号码",
                        type: "text",
                        checked: true,
                        value: "" + this.mobileNumber
                    }
                ],
                buttons: [
                    {
                        text: "确定",
                        handler: function (data) {
                            var mobilePattern = /^[1][3,4,5,7,8][0-9]{9}$/;
                            if (data.mobileNumber != "") {
                                if (!mobilePattern.test(data.mobileNumber)) {
                                    _this.showToastMessage("请输入正确的手机号码！");
                                }
                                else {
                                    _this.changeUserMobile(data.mobileNumber);
                                }
                            }
                            else {
                                _this.showToastMessage("手机号码不能空！");
                            }
                        }
                    },
                    {
                        text: "取消",
                        handler: function () {
                        }
                    }
                ]
            });
            alert_1.present();
        }
    };
    PersonPage.prototype.changeUserMobile = function (mobileNumber) {
        var _this = this;
        this.personService.changeUserMobileNumber(mobileNumber).subscribe(function (value) {
            if (value.status == 200) {
                _this.mobileNumber = mobileNumber;
                _this.showToastMessage("手机号码修改成功！");
            }
            else {
                _this.showToastMessage(value.message);
            }
        });
    };
    PersonPage.prototype.showToastMessage = function (message) {
        var toast = this.toastCtrl.create({
            message: message,
            duration: 3000,
            position: "middle",
            cssClass: "toast-message-auto-close",
            dismissOnPageChange: true
        });
        toast.present();
    };
    /**
     * 返回
     */
    PersonPage.prototype.toBack = function () {
        this.navCtrl.pop();
    };
    PersonPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-person',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\person\person.html"*/'<ion-content>\n  <div class="mine_info">\n    <div class="mine_box">\n      <div class="mine_info_top">\n        <div class="mine_info_top_left">\n          <img [src]="avatar"/>\n        </div>\n        <div class="mine_info_top_right">\n          <p>{{userInfo.username}}</p>\n          <p>{{userInfo.orgFullNames}}</p>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div class="mine_info_all">\n    <div class="mine_info_frame">\n      <div class="mine_info_list">\n        <div class="mine_info_none">我的积分&nbsp;&nbsp;&nbsp;<strong style="color: #00ad14">{{userInfo?.integral}} 分</strong></div>\n      </div>\n      <div class="mine_info_list">\n        <div class="mine_info_none">我的学时&nbsp;&nbsp;&nbsp;<strong style="color: #0c6cff">{{userInfo?.classHours?.userObtainHours}} 学时</strong></div>\n      </div>\n      <div class="mine_info_list" (tap)="toChildItem(\'mineLearn\')">\n        <div class="mine_info_right">我的学习</div>\n      </div>\n      <div class="mine_info_list" (tap)="toChildItem(\'changePassword\')">\n        <div class="mine_info_right">修改密码</div>\n      </div>\n      <div class="mine_info_list" (tap)="toChildItem(\'userInfo\')">\n        <!--<div class="mine_info_right">修改个人信息（<span [ngStyle]="{\'color\':userCheckOrgStatusStyle}">{{userCheckOrgStatus}}</span>）</div>-->\n        <div class="mine_info_right">修改个人信息</div>\n      </div>\n      <!--<div class="mine_info_list" (tap)="toChildItem(\'changeMobile\')">-->\n        <!--<div class="mine_info_right">修改手机号码</div>-->\n      <!--</div>-->\n    </div>\n  </div>\n  <div class="mine_exit">\n    <div (tap)="toBack()">返 回</div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\person\person.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_person_service__["a" /* PersonService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_learning_law_learning_law_service__["a" /* LearningLawService */]])
    ], PersonPage);
    return PersonPage;
}());

//# sourceMappingURL=person.js.map

/***/ })

});
//# sourceMappingURL=36.js.map