webpackJsonp([40],{

/***/ 1009:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TransferResultModule", function() { return TransferResultModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__transfer_result__ = __webpack_require__(1359);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_judicial_examination_service__ = __webpack_require__(1081);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var TransferResultModule = /** @class */ (function () {
    function TransferResultModule() {
    }
    TransferResultModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__transfer_result__["a" /* TransferResultPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__transfer_result__["a" /* TransferResultPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_judicial_examination_service__["a" /* JudicialExaminationService */],
            ],
        })
    ], TransferResultModule);
    return TransferResultModule;
}());

//# sourceMappingURL=transfer-result.module.js.map

/***/ }),

/***/ 1081:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JudicialExaminationService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * JudicialExaminationService 法考 数据服务
 * @author Chile
 * @createAt 2019-07-15
 *
 */
var JudicialExaminationService = /** @class */ (function () {
    function JudicialExaminationService(http, nativeService, showMessageService, file) {
        this.http = http;
        this.nativeService = nativeService;
        this.showMessageService = showMessageService;
        this.file = file;
        //**************API*******************
        //用户提交调档信息
        this.appCommitTransferUrl = '/rest/api/lawer/saveTransferInfo';
        //用户获取调档结果
        this.appTransferResultUrl = '/rest/api/lawer/viewTransferInfo';
        //用户获取调档结果
        this.appNoticeListUrl = '/rest/api/lawer/getNoticeList';
        //法考轮播图
        this.appSlidesUrl = '/rest/api/lawer/loopimgs';
    }
    /**
     * 提交调档数据 以FormData方式提交表单
     * @param formData 表单数据
     * @param idCardAffix 身份证
     * @param lpqcOriginalAffix 法考证书正本
     * @param lpqcCopyAffix 法考证书副本
     * @param otherAffix 其它附件
     */
    JudicialExaminationService.prototype.commitTransfer = function (formData, idCardAffix, lpqcOriginalAffix, lpqcCopyAffix, otherAffix) {
        var _this = this;
        //每个文件上传任务创建一个信号
        var observables = [];
        this.createAffix(idCardAffix, observables, formData, 'lawerIdCardFiles');
        this.createAffix(lpqcOriginalAffix, observables, formData, 'lawerCertMainFiles');
        this.createAffix(lpqcCopyAffix, observables, formData, 'lawerCertSecondFiles');
        this.createAffix(otherAffix, observables, formData, 'otherFiles');
        var uploadInfo = {
            percent: 0,
            status: 'start'
        };
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__["ForkJoinObservable"].create(observables).subscribe(function () {
                _this.http.post(_this.appCommitTransferUrl, formData, {
                    'reportProgress': true,
                    'observe': 'events'
                }).subscribe(function (event) {
                    console.log('request-event', event);
                    if (event.type === __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["e" /* HttpEventType */].UploadProgress) {
                        if (event.total > 0) {
                            event.percent = event.loaded / event.total * 100;
                            uploadInfo.percent = event.loaded / event.total * 100;
                            observer.next(uploadInfo);
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["h" /* HttpResponse */]) {
                        if (event.body.status != 200) {
                            uploadInfo.status = 'error';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                        else {
                            uploadInfo.status = 'done';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["d" /* HttpErrorResponse */]) {
                        uploadInfo.status = 'error';
                        observer.next(uploadInfo);
                        observer.complete();
                    }
                }, function (err) {
                    uploadInfo.status = 'error';
                    observer.error();
                });
            });
        });
    };
    JudicialExaminationService.prototype.createAffix = function (affix, observables, formData, field) {
        var _this = this;
        affix.forEach(function (file, i, array) {
            console.log('file', file);
            if (!file.uri.startsWith('file://')) {
                file.uri = 'file://' + file.uri;
            }
            console.log('开始加载文件.........', i);
            var observable = new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (sub) {
                _this.file.resolveLocalFilesystemUrl(file.uri).then(function (entry) {
                    entry.file(function (file) {
                        var blob = file;
                        var reader = new FileReader();
                        reader.onloadend = function () {
                            var imgBlob = new Blob([reader.result], { type: blob.type });
                            formData.append(field, imgBlob, blob.name);
                            console.log('添加文件到form表单.................' + +imgBlob);
                            sub.next(null);
                            sub.complete();
                        };
                        reader.onerror = function (ev) {
                            console.log('reader ' + field + ':', ev);
                        };
                        reader.readAsArrayBuffer(blob);
                    });
                })
                    .catch(function (error) { return console.log('报错了----->' + JSON.stringify(error)); });
            });
            observables.push(observable);
        });
    };
    /**
     * 获取调档结果
     */
    JudicialExaminationService.prototype.getTransferResult = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appTransferResultUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取法考公告信息
     */
    JudicialExaminationService.prototype.getNoticeList = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appNoticeListUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取法考轮播图
     */
    JudicialExaminationService.prototype.getSlides = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appSlidesUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    JudicialExaminationService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_2__native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */]])
    ], JudicialExaminationService);
    return JudicialExaminationService;
}());

//# sourceMappingURL=judicial-examination.service.js.map

/***/ }),

/***/ 1359:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TransferResultPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_judicial_examination_service__ = __webpack_require__(1081);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * TransferResultPage 法律职业资格调档结果查询
 * @author Chile
 * @createAt 2019-06-02
 *
 */
var TransferResultPage = /** @class */ (function () {
    function TransferResultPage(navCtrl, navParams, judicialExaminationService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.judicialExaminationService = judicialExaminationService;
    }
    TransferResultPage.prototype.ngOnInit = function () {
        var _this = this;
        this.judicialExaminationService.getTransferResult().subscribe(function (result) {
            _this.data = result.result[0];
            switch (_this.data.sex) {
                case 1:
                    _this.data.sexInfo = '男';
                    break;
                case 2:
                    _this.data.sexInfo = '女';
                    break;
            }
        });
    };
    TransferResultPage.prototype.ionViewDidLoad = function () {
    };
    TransferResultPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-transfer-result',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\judicial-examination\transfer-result\transfer-result.html"*/'\n\n<ion-content>\n  <ion-list>\n    <ion-list-header>\n      <ion-icon item-start name="pfMe"></ion-icon>\n      基本信息\n    </ion-list-header>\n    <ion-item>\n      <ion-label color="primary" stacked>姓名</ion-label>\n      <ion-input type="text" [value]="data?.username" [readonly]="true"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary" stacked>性别</ion-label>\n      <ion-input type="text" [value]="data?.sexInfo"  [readonly]="true"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary" stacked>联系电话</ion-label>\n      <ion-input type="text" [value]="data?.mobile" [readonly]="true"></ion-input>\n    </ion-item>\n\n    <!--<ion-list-header>-->\n      <!--<ion-icon item-start name="pfCredentials"></ion-icon>-->\n      <!--调档结果-->\n    <!--</ion-list-header>-->\n    <ion-item>\n      <ion-label color="primary" stacked>调档结果</ion-label>\n      <ion-input type="text" [value]="data?.statusCn" [readonly]="true"></ion-input>\n    </ion-item>\n    <!--<ion-card no-padding>-->\n      <!--<img src="assets/imgs/judicial-examination/transfer-result.png"/>-->\n    <!--</ion-card>-->\n  </ion-list>\n\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\judicial-examination\transfer-result\transfer-result.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_judicial_examination_service__["a" /* JudicialExaminationService */]])
    ], TransferResultPage);
    return TransferResultPage;
}());

//# sourceMappingURL=transfer-result.js.map

/***/ })

});
//# sourceMappingURL=40.js.map