webpackJsonp([44],{

/***/ 1029:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PracticeResultModule", function() { return PracticeResultModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__practice_result__ = __webpack_require__(1387);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PracticeResultModule = /** @class */ (function () {
    function PracticeResultModule() {
    }
    PracticeResultModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__practice_result__["a" /* PracticeResultPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__practice_result__["a" /* PracticeResultPage */]),
            ],
        })
    ], PracticeResultModule);
    return PracticeResultModule;
}());

//# sourceMappingURL=practice-result.module.js.map

/***/ }),

/***/ 1387:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PracticeResultPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name ExamResultsPage
 * @author huangwicai
 * @description 习题练习成绩页面
 */
var PracticeResultPage = /** @class */ (function () {
    function PracticeResultPage(navParams, navCtrl, viewCtrl) {
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.result = {
            rightNum: 1,
            errorNum: 0,
            score: 0,
            rate: "",
            useTime: "" // 用时
        };
        this.result = navParams.data;
        //console.log("result = ",this.result);
    }
    // 处理练习时间
    PracticeResultPage.prototype.ionViewDidEnter = function () {
        // 计算正确率
        this.result.rate = Math.floor(this.result.rightNum / (this.result.rightNum + this.result.errorNum) * 100) + "%";
        // 计算练习时长
        this.getUseTime();
    };
    // 计算用时
    PracticeResultPage.prototype.getUseTime = function () {
        var intervalHours = this.result.useTime % (24 * 3600 * 1000); // 时的毫秒
        var hours = Math.floor(intervalHours / (3600 * 1000));
        var intervalMinutes = intervalHours % (3600 * 1000); // 分的毫秒
        var minutes = Math.floor(intervalMinutes / (60 * 1000));
        var intervalSeconds = intervalMinutes % (60 * 1000); // 秒的毫秒
        var seconds = Math.round(intervalSeconds / 1000);
        this.result.useTime = hours + ":" + minutes + ":" + seconds;
    };
    /**
     * 返回练习历史记录
     */
    PracticeResultPage.prototype.toBack = function () {
        this.viewCtrl.dismiss({ again: false });
    };
    /**
     * 再练习一次
     */
    PracticeResultPage.prototype.againPractice = function () {
        this.viewCtrl.dismiss({ again: true });
    };
    PracticeResultPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-practice-result',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\practice-result\practice-result.html"*/'<ion-header class="header-background">\n  <ion-navbar>\n    <ion-title>\n      <ion-row>\n        <ion-col>\n          <!--TODO 返回图标与其它的不一致，要修改-->\n          <div (click)="toBack()" class="to-back">\n            <img src="assets/imgs/learning-law/to-back.png">\n          </div>\n        </ion-col>\n        <ion-col col-10>\n          练习结果\n        </ion-col>\n      </ion-row>\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <div class="main">\n    <div class="background-div">\n      <h1>{{result.rightNum}}</h1>\n    </div>\n    <div class="content-div">\n      <div class="row">\n        <div class="col">\n          <span>正确率：</span>\n          <span>{{result.rate}}</span>\n        </div>\n        <div class="col">\n          <span>错题数：</span>\n          <span>{{result.errorNum}}</span>\n        </div>\n      </div>\n      <div class="row">\n        <div class="col">\n          <span>用时：</span>\n          <span>{{result.useTime}}</span>\n        </div>\n        <div class="col">\n          <span>积分：</span>\n          <span>{{result.score}}</span>\n        </div>\n      </div>\n    </div>\n    <div class="content-div">\n      <div class="row">\n        <div class="col">\n          <button ion-button full color="color9" (click)="toBack()">返回</button>\n        </div>\n        <div class="col">\n          <button ion-button full color="color10" (click)="againPractice()">再来一次</button>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\practice-result\practice-result.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], PracticeResultPage);
    return PracticeResultPage;
}());

//# sourceMappingURL=practice-result.js.map

/***/ })

});
//# sourceMappingURL=44.js.map