webpackJsonp([45],{

/***/ 1014:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ChaptercontentPageModule", function() { return ChaptercontentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__chaptercontent__ = __webpack_require__(1368);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ChaptercontentPageModule = /** @class */ (function () {
    function ChaptercontentPageModule() {
    }
    ChaptercontentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__chaptercontent__["a" /* ChaptercontentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__chaptercontent__["a" /* ChaptercontentPage */]),
            ]
        })
    ], ChaptercontentPageModule);
    return ChaptercontentPageModule;
}());

//# sourceMappingURL=chaptercontent.module.js.map

/***/ }),

/***/ 1368:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ChaptercontentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var ChaptercontentPage = /** @class */ (function () {
    function ChaptercontentPage(navCtrl, navParams, nativeService, events) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.nativeService = nativeService;
        this.events = events;
        this.titleName = "内容详情";
        this.content = "";
        this.learningId = 0; //章节ID
        this.contentList = [];
        this.chapterProgress = 0; //上一次章节学习进度
        this.progress = 0; //上一次书籍学习进度
        this.bookProgress = 0; //书籍学习进度
        this.bookId = 1;
        this.learningType = 'book';
        this.chapterNumber = 0; //章节个数
        this.learningProgress = 100; //当前阅读章节进度
        this.readNumber = 0; //已阅读完成章节个数
        this.isFinish = 0;
        this.contentData = {
            info: []
        };
        this.learningId = this.navParams.get("key");
        this.titleName = this.navParams.get("title");
        this.progress = this.navParams.get("progress");
        this.chapterNumber = this.navParams.get("chapterNumber");
        this.chapterProgress = this.navParams.get("chapterProgress");
        this.readNumber = this.navParams.get("readNumber");
        this.getContent();
    }
    ChaptercontentPage.prototype.ionViewDidLoad = function () {
    };
    /***
     * 返回章节目录界面
     */
    ChaptercontentPage.prototype.goBack = function () {
        this.navCtrl.pop();
    };
    ChaptercontentPage.prototype.ionViewWillUnload = function () {
        this.save();
        console.log("销毁123");
    };
    /***
     * 获取章节内容
     * @param infiniteScroll
     */
    ChaptercontentPage.prototype.getContent = function () {
        // this.learningLawService.getCataloContent(this.learningId,"book").subscribe(
        //   res => {
        //     console.log(res);
        //     if(res.status == 200){
        //       this.content = res.result[0].content;
        //       this.contentList = this.content.split('\r\n\r\n');
        //       this.contentData.info.push(res.result[0]);
        //     } else {
        //       this.nativeService.alert("服务异常,获取数据失败,请稍后重试!");
        //     }
        //   },
        //   error => {
        //     this.nativeService.alert("服务异常,获取数据失败,请稍后重试!");
        //   }
        // )
    };
    /***
     * 保存进度
     */
    ChaptercontentPage.prototype.save = function () {
        this.bookProgress = ((100 / this.chapterNumber) / 100) * (this.learningProgress - this.chapterProgress);
        this.bookProgress = Number(this.bookProgress.toFixed(0));
        this.progress = this.progress + this.bookProgress;
        if (this.readNumber >= this.chapterNumber - 1) {
            this.progress = 100;
            this.isFinish = 1;
        }
        this.progress = 0;
        this.learningProgress = 0;
        console.log(this.progress, this.learningProgress, this.bookProgress);
        this.nativeService.showLoading("加载中...");
        // this.learningLawService.preserveprogress(this.bookId,this.learningType,this.titleName,0,this.progress,this.learningId,this.learningProgress).subscribe(
        //   res => {
        //     this.nativeService.hideLoading();
        //     if(res.status == 200 && res.message == "操作成功"){
        //       this.nativeService.alert("保存成功!");
        //       this.events.publish('msg:readProgress',this.learningId,this.learningProgress,this.progress);
        //     } else {
        //       this.nativeService.alert("服务异常,获取数据失败,请稍后重试!");
        //     }
        //   },
        //   error => {
        //     this.nativeService.alert("服务异常,获取数据失败,请稍后重试!");
        //     this.nativeService.hideLoading();
        //   }
        // )
    };
    ChaptercontentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-chaptercontent',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\chaptercontent\chaptercontent.html"*/'<ion-header class="header-background">\n  <div class="row header-div-bottom-color" align-items-center justify-content-center>\n    <div>\n      <ion-col col-1>\n        <img (click)="goBack()" src="assets/imgs/left-arrow.png">\n      </ion-col>\n    </div>\n    <ion-col><p>{{titleName}}</p></ion-col>\n  </div>\n</ion-header>\n\n<ion-content padding>\n  <ion-list *ngFor="let item of contentList">\n    <div class="content-div">\n      <p>{{item}}</p>\n    </div>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\chaptercontent\chaptercontent.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], ChaptercontentPage);
    return ChaptercontentPage;
}());

//# sourceMappingURL=chaptercontent.js.map

/***/ })

});
//# sourceMappingURL=45.js.map