webpackJsonp([22],{

/***/ 1030:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PracticePageModule", function() { return PracticePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__practice__ = __webpack_require__(1388);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_storage_service__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_practice_service__ = __webpack_require__(1240);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var PracticePageModule = /** @class */ (function () {
    function PracticePageModule() {
    }
    PracticePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__practice__["a" /* PracticePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__practice__["a" /* PracticePage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_storage_service__["a" /* StorageService */],
                __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_practice_service__["a" /* PracticeService */]
            ]
        })
    ], PracticePageModule);
    return PracticePageModule;
}());

//# sourceMappingURL=practice.module.js.map

/***/ }),

/***/ 1154:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TopicModel; });
var TopicModel = /** @class */ (function () {
    function TopicModel(id, title, type, tips, isSelected, answerItem, score, isClicked, selectedAnswer) {
        if (isClicked === void 0) { isClicked = false; }
        if (selectedAnswer === void 0) { selectedAnswer = []; }
        this.id = id;
        this.title = title;
        this.type = type;
        this.tips = tips;
        this.isSelected = isSelected;
        this.answerItem = answerItem;
        this.score = score;
        this.isClicked = isClicked;
        this.selectedAnswer = selectedAnswer;
    }
    return TopicModel;
}());

//# sourceMappingURL=topic.model.js.map

/***/ }),

/***/ 1155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AnswerModel; });
var AnswerModel = /** @class */ (function () {
    function AnswerModel(id, title, letter, isSelected, isRight, isClicked, selectedRight) {
        if (isRight === void 0) { isRight = ''; }
        if (isClicked === void 0) { isClicked = false; }
        if (selectedRight === void 0) { selectedRight = 1; }
        this.id = id;
        this.title = title;
        this.letter = letter;
        this.isSelected = isSelected;
        this.isRight = isRight;
        this.isClicked = isClicked;
        this.selectedRight = selectedRight;
    }
    return AnswerModel;
}());

//# sourceMappingURL=answer.model.js.map

/***/ }),

/***/ 1240:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PracticeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_topic_model__ = __webpack_require__(1154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_answer_model__ = __webpack_require__(1155);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * @author huangweicai
 * @date 2019/8/25
 * @description 每日练习服务提供商
 */
var PracticeService = /** @class */ (function () {
    function PracticeService(http) {
        this.http = http;
    }
    /**
     * 获取练习题目
     */
    PracticeService.prototype.getPracticeTopicList = function (params) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exercise/getRandomExerciseList", { params: params }).subscribe(function (value) {
                var res = {
                    topicList: [],
                    position: 1
                };
                if (value.status == 200) {
                    res.position = value.result[0].nextPosition;
                    console.log("notChangeTopics", value.result[0].list);
                    _this.transferTopicList(value.result[0].list, res.topicList);
                }
                observer.next(res);
                observer.complete();
            });
        });
    };
    /**
     * 转换后台返回的题目数据成符合展示及功能应用的数据
     */
    PracticeService.prototype.transferTopicList = function (notChangeTopicList, topicList) {
        var _this = this;
        notChangeTopicList.map(function (question) {
            var topicModel = new __WEBPACK_IMPORTED_MODULE_4__models_topic_model__["a" /* TopicModel */](question.id, question.subject_name, question.subject_type, question.description, false, [], question.itemNums);
            question.detail.map(function (answer, index) {
                var letter = _this.numberToLetter(index);
                var answerModel = new __WEBPACK_IMPORTED_MODULE_5__models_answer_model__["a" /* AnswerModel */](answer.id, answer.itemQuestion, letter, false, answer.isResult);
                topicModel.answerItem.push(answerModel);
            });
            topicList.push(topicModel);
        });
    };
    // 将答案项顺序转换成字母
    PracticeService.prototype.numberToLetter = function (index) {
        var letterArr = ["A", "B", "C", "D", "E", "F", "G"];
        return letterArr[index];
    };
    /**
     * 提交每日练习答案
     * @param params
     * @returns {Observable<any>}
     */
    PracticeService.prototype.submitPracticeAnswers = function (params) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exercise/userSubmitExercise", null, { params: params }).subscribe(function (value) {
                var res = { score: 0 };
                if (value.status == 200) {
                    res.score = value.result[0];
                }
                observer.next(res);
                observer.complete();
            });
        });
    };
    PracticeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], PracticeService);
    return PracticeService;
}());

//# sourceMappingURL=practice.service.js.map

/***/ }),

/***/ 1388:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PracticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_storage_service__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_practice_service__ = __webpack_require__(1240);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
* @author huangweicai
* @date 2019/8/25
* @description 每日练习页面
*/
var PracticePage = /** @class */ (function () {
    function PracticePage(events, platform, ionicApp, navCtrl, viewCtrl, alertCtrl, nativeService, storageService, practiceService) {
        this.events = events;
        this.platform = platform;
        this.ionicApp = ionicApp;
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.nativeService = nativeService;
        this.storageService = storageService;
        this.practiceService = practiceService;
        this.practiceTopicList = []; // 练习题目
        this.isOpenAnswersTips = false; // 提示框状态
        this.tips = ""; // 答案提示字符串
        this.position = 1; // 数据库题目随机位置
        this.isShowAnswerAnalysis = 1;
        this.id = 1; // 测试用
        this.entryTime = 0; // 进入页面时间
        this.rightNum = 0; // 正确题数
        this.position = storageService.read("position");
        if (this.position == null) {
            this.position = 1;
        }
    }
    PracticePage.prototype.ionViewDidLoad = function () {
        this.getPracticeQuestions(this.position);
        this.slides.lockSwipes(true);
    };
    // 提问模态框
    PracticePage.prototype.showConfirm = function (message) {
        var _this = this;
        var confirm = this.alertCtrl.create({
            title: "确定要退出答题?",
            message: message,
            enableBackdropDismiss: false,
            buttons: [
                {
                    text: '确定',
                    handler: function () {
                        _this.navCtrl.pop();
                    }
                },
                {
                    text: '取消',
                    handler: function () {
                    }
                },
            ]
        });
        confirm.present();
    };
    /**
     * 将要进入页面时，预处理数据
     */
    PracticePage.prototype.ionViewDidEnter = function () {
        var _this = this;
        if (this.platform.is("android")) {
            // 监控手机硬件返回按钮
            this.backFunction = this.platform.registerBackButtonAction(function () {
                var overlayPortalArray = _this.ionicApp._overlayPortal._views;
                if (overlayPortalArray.length == 0) {
                    _this.quitPractice();
                }
            }, 0);
        }
        this.entryTime = new Date().getTime();
    };
    //界面销毁
    PracticePage.prototype.ionViewWillUnload = function () {
        if (this.backFunction) {
            this.backFunction();
        }
    };
    /**
     * 获取练习题目
     * @param position 数据库题目第一题位置
     */
    PracticePage.prototype.getPracticeQuestions = function (position) {
        var _this = this;
        var params = {
            position: position,
            offset: "10"
        };
        this.nativeService.showLoading('正在加载题目...');
        this.practiceService.getPracticeTopicList(params).subscribe(function (value) {
            _this.nativeService.hideLoading();
            _this.practiceTopicList = value.topicList;
            _this.position = value.position;
            console.log("practiceList = ", _this.practiceTopicList);
            _this.storageService.write("position", _this.position);
        }, function (error) {
            _this.nativeService.hideLoading();
        });
    };
    /**
     * 提交练习答案 type : 1: 单选题 2：多选题  3：判断题
     */
    PracticePage.prototype.submitAnswers = function () {
        var _this = this;
        var booleanArr = [];
        var singleArr = [];
        var multipleArr = [];
        this.practiceTopicList.map(function (topic) {
            if (topic.type == 1) {
                singleArr.push(topic.id + ":" + topic.selectedAnswer[0]);
            }
            else if (topic.type == 3) {
                booleanArr.push(topic.id + ":" + topic.selectedAnswer[0]);
            }
            else {
                multipleArr.push(topic.id + ":" + topic.selectedAnswer.join("_"));
            }
        });
        var booleanParams = booleanArr.join(",");
        var singleParams = singleArr.join(",");
        var multipleParams = multipleArr.join(",");
        var params = {
            bools: booleanParams,
            singles: singleParams,
            multis: multipleParams,
        };
        this.nativeService.showLoading("正在提交试卷...");
        this.practiceService.submitPracticeAnswers(params).subscribe(function (value) {
            _this.nativeService.hideLoading();
            if (value.score != 0) {
                var errorNum = _this.practiceTopicList.length - _this.rightNum;
                var useTime = new Date().getTime() - _this.entryTime;
                var result = {
                    score: value.score,
                    rightNum: _this.rightNum,
                    errorNum: errorNum,
                    rate: "",
                    useTime: useTime
                };
                _this.viewCtrl.dismiss(result);
            }
            else {
                _this.nativeService.alert("提交失败，请稍后重试！");
            }
        });
    };
    /**
     * 选择答案
     */
    PracticePage.prototype.selectedAnswer = function (topic, answer) {
        if (topic.type == 1 || topic.type == 3) {
            //取消选中
            if (answer.isSelected) {
                answer.isSelected = false;
                topic.isSelected = false;
                topic.selectedAnswer = [];
            }
            else {
                topic.answerItem.map(function (item) {
                    item.isSelected = false;
                });
                answer.isSelected = true;
                topic.isSelected = true;
                topic.selectedAnswer.push(answer.id);
            }
        }
        else {
            // 取消选中
            if (answer.isSelected) {
                answer.isSelected = false;
                topic.selectedAnswer = topic.selectedAnswer.filter(function (id) { return id != answer.id; });
                if (topic.selectedAnswer.length < 2)
                    topic.isSelected = false;
            }
            else {
                answer.isSelected = true;
                topic.selectedAnswer.push(answer.id);
                if (topic.selectedAnswer.length >= 2)
                    topic.isSelected = true;
            }
        }
    };
    /**
     * 确认答案
     */
    PracticePage.prototype.confirmAnswer = function (topic) {
        var isStop = false;
        if (topic.type == 1 || topic.type == 3) {
            var selectedAnswer_1 = topic.answerItem.find(function (item) { return item.id == topic.selectedAnswer[0]; });
            if (selectedAnswer_1.isRight == '1') {
                this.rightNum++;
                selectedAnswer_1.selectedRight = 2;
            }
            else {
                isStop = true;
                selectedAnswer_1.selectedRight = 3;
                topic.answerItem.map(function (item) {
                    if (item.id != selectedAnswer_1.id) {
                        if (item.isRight == '1') {
                            item.selectedRight = 2;
                        }
                    }
                });
            }
        }
        else {
            console.log("topic = ", topic);
            topic.answerItem.map(function (answer) {
                var selectedAnswerId = topic.selectedAnswer.find(function (selectedAnswerId) { return selectedAnswerId == answer.id; });
                if (selectedAnswerId != undefined) {
                    if (answer.isRight == '1') {
                        answer.selectedRight = 2;
                    }
                    else {
                        isStop = true;
                        answer.selectedRight = 3;
                    }
                }
                else {
                    if (answer.isRight == '1') {
                        isStop = true;
                        answer.isSelected = true;
                    }
                }
            });
            if (!isStop)
                this.rightNum++;
        }
        if (!this.slides.isEnd()) {
            if (isStop) {
                this.isShowAnswerAnalysis = 2;
            }
            else {
                this.nextTopic();
                this.isShowAnswerAnalysis = 1;
            }
        }
        else {
            if (isStop) {
                this.isShowAnswerAnalysis = 3;
            }
            else {
                this.isShowAnswerAnalysis = 4;
            }
        }
    };
    /**
     * 下一题
     */
    PracticePage.prototype.nextTopic = function () {
        this.isShowAnswerAnalysis = 1;
        this.slides.lockSwipeToNext(false);
        this.slides.slideNext();
        this.slides.lockSwipeToNext(true);
    };
    /**
     * type : 1: 单选题 2：多选题  3：判断题
     * @description 从题目中获取正确答案
     * @param topic
     */
    PracticePage.prototype.getRightAnswers = function (topic) {
        var _this = this;
        if (topic.type == 1 || topic.type == 3) {
            var answerIndex = topic.answerItem.findIndex(function (item) { return item.isRight == "1"; });
            return this.practiceService.numberToLetter(answerIndex);
        }
        else {
            var answersArr_1 = [];
            topic.answerItem.map(function (item, index) {
                if (item.isRight == '1') {
                    var answersLetter = _this.practiceService.numberToLetter(index);
                    answersArr_1.push(answersLetter);
                }
            });
            return answersArr_1.join("、");
        }
    };
    /**
     *答案提示
     */
    PracticePage.prototype.openAnswerTipsModal = function (topic) {
        this.tips = topic.tips;
        this.isOpenAnswersTips = !this.isOpenAnswersTips;
    };
    /**
     * 关闭答案提示
     */
    PracticePage.prototype.closeAnswersTips = function () {
        this.isOpenAnswersTips = !this.isOpenAnswersTips;
    };
    /**
     * 退出练习
     */
    PracticePage.prototype.quitPractice = function () {
        this.showConfirm("退出后作答历史将不会保存");
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Navbar"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Navbar"])
    ], PracticePage.prototype, "navBar", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"])
    ], PracticePage.prototype, "slides", void 0);
    PracticePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-practice',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\practice\practice.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      <ion-row align-items-center>\n        <ion-col>\n          <div (click)="quitPractice()" class="to-back">\n            <img src="assets/imgs/learning-law/to-back.png">\n          </div>\n        </ion-col>\n        <ion-col col-10>\n          每日练习\n        </ion-col>\n      </ion-row>\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content>\n\n  <ion-slides [centeredSlides]="false" [zoom]="false">\n\n    <ion-slide style="overflow-y: auto" *ngFor="let topic of practiceTopicList;let i=index">\n\n      <div class="main div-top">\n        <!--题目类型-->\n        <div class="question-type">\n          <h2 *ngIf="topic.type == 1">单选题</h2>\n          <h2 *ngIf="topic.type == 2">多选题</h2>\n          <h2 *ngIf="topic.type == 3">判断题</h2>\n          <span>\n            <strong>{{i+1}}</strong>/{{practiceTopicList.length}}\n          </span>\n        </div>\n        <!--题目-->\n        <div class="question-title">\n          {{topic.title}}\n        </div>\n        <!--答案选择项-->\n        <div class="row answers" *ngFor="let answer of topic.answerItem;">\n          <div col-2 class="radio-col">\n            <!--用户未选择答案时的状态-->\n            <button class="radio-button radio-selected" [class.radio-selected]="answer.isSelected"\n                    *ngIf="answer.selectedRight == 1" (click)="selectedAnswer(topic,answer)">\n              {{answer.letter}}\n            </button>\n            <!--用户选择后正确答案的状态-->\n            <ion-icon *ngIf="answer.selectedRight == 2" color="secondary" class="icon-right" name="checkmark-circle"></ion-icon>\n            <!--用户选择后错误答案的状态-->\n            <ion-icon *ngIf="answer.selectedRight == 3" class="icon-error" name="close-circle"></ion-icon>\n          </div>\n          <div col-10 (click)="selectedAnswer(topic,answer)">{{answer.title}}</div>\n        </div>\n        <!--答案提示-->\n        <div class="answers-tips" *ngIf="isShowAnswerAnalysis == 1 && topic.tips != \'\'">\n          <ion-icon name="information"></ion-icon>\n          <span (click)="openAnswerTipsModal(topic)">查看提示</span>\n        </div>\n\n        <div class="define-button">\n          <button ion-button round full [disabled]="!topic.isSelected"\n                  *ngIf="isShowAnswerAnalysis == 1" (click)="confirmAnswer(topic)">确定</button>\n        </div>\n        <div class="define-button" *ngIf="isShowAnswerAnalysis == 2">\n          <button ion-button round full (click)="nextTopic()">下一题</button>\n        </div>\n        <div class="define-button" *ngIf="isShowAnswerAnalysis == 3 || isShowAnswerAnalysis == 4">\n          <button ion-button round full (click)="submitAnswers()">完成</button>\n        </div>\n      </div>\n\n      <!--正确答案展示-->\n      <div class="main" *ngIf="isShowAnswerAnalysis == 2 || isShowAnswerAnalysis == 3">\n        <hr class="hr-color"/>\n        <div>\n          <h4 class="h4-text">答案解析</h4>\n        </div>\n        <div>\n          <p>\n            <span>正确答案：</span>\n            <span>{{getRightAnswers(topic)}}</span>\n          </p>\n          <p class="p-tips" [innerHTML]="topic.tips"></p>\n        </div>\n      </div>\n\n    </ion-slide>\n\n  </ion-slides>\n\n  <div class="outside-modal-wrapper" *ngIf="isOpenAnswersTips">\n    <div class="inside-modal-wrapper">\n      <div class="tips-title">\n            <span>\n              提示\n            </span>\n        <span (click)="closeAnswersTips()">\n              <ion-icon name="close"></ion-icon>\n            </span>\n      </div>\n      <div class="tips-content" [innerHTML]="tips">\n      </div>\n    </div>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\practice\practice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicApp"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_storage_service__["a" /* StorageService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_practice_service__["a" /* PracticeService */]])
    ], PracticePage);
    return PracticePage;
}());

//# sourceMappingURL=practice.js.map

/***/ })

});
//# sourceMappingURL=22.js.map