webpackJsonp([23],{

/***/ 1020:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ExamModule", function() { return ExamModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__exam__ = __webpack_require__(1377);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_exam_new_service__ = __webpack_require__(1169);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ExamModule = /** @class */ (function () {
    function ExamModule() {
    }
    ExamModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__exam__["a" /* ExamPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__exam__["a" /* ExamPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_exam_new_service__["a" /* ExamNewService */]
            ],
        })
    ], ExamModule);
    return ExamModule;
}());

//# sourceMappingURL=exam.module.js.map

/***/ }),

/***/ 1154:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TopicModel; });
var TopicModel = /** @class */ (function () {
    function TopicModel(id, title, type, tips, isSelected, answerItem, score, isClicked, selectedAnswer) {
        if (isClicked === void 0) { isClicked = false; }
        if (selectedAnswer === void 0) { selectedAnswer = []; }
        this.id = id;
        this.title = title;
        this.type = type;
        this.tips = tips;
        this.isSelected = isSelected;
        this.answerItem = answerItem;
        this.score = score;
        this.isClicked = isClicked;
        this.selectedAnswer = selectedAnswer;
    }
    return TopicModel;
}());

//# sourceMappingURL=topic.model.js.map

/***/ }),

/***/ 1155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AnswerModel; });
var AnswerModel = /** @class */ (function () {
    function AnswerModel(id, title, letter, isSelected, isRight, isClicked, selectedRight) {
        if (isRight === void 0) { isRight = ''; }
        if (isClicked === void 0) { isClicked = false; }
        if (selectedRight === void 0) { selectedRight = 1; }
        this.id = id;
        this.title = title;
        this.letter = letter;
        this.isSelected = isSelected;
        this.isRight = isRight;
        this.isClicked = isClicked;
        this.selectedRight = selectedRight;
    }
    return AnswerModel;
}());

//# sourceMappingURL=answer.model.js.map

/***/ }),

/***/ 1169:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamNewService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_topic_model__ = __webpack_require__(1154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_answer_model__ = __webpack_require__(1155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs_operators__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_rxjs_operators__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var ExamNewService = /** @class */ (function () {
    function ExamNewService(http) {
        this.http = http;
        this.examId = 0; //考试id
        this.singleIdArr = []; //单选题集合
        this.multipleIdArr = []; //多选题集合
        this.booleanIdArr = []; //判断题集合
    }
    /**
     * 根据题目id获取题目详情
     * @param questionId
     * @returns {Observable<any>}
     */
    ExamNewService.prototype.getQuestionDetailById = function (questionIdObj, submitRecord) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            var questionType = questionIdObj.questionType;
            var questionId = questionIdObj.questionId;
            _this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["d" /* LEARNING_LAW_JSON_URL */] + "/cdndata/question_bank/question_type_" + questionType + "/" + questionId + ".json").subscribe(function (value) {
                var result = { status: value.status, message: value.message, topicModel: {} };
                if (value.status == 200) {
                    var question_1 = value.question;
                    var topicModel_1 = new __WEBPACK_IMPORTED_MODULE_4__models_topic_model__["a" /* TopicModel */](question_1.subjectId, question_1.subjectName, questionType, question_1.description, false, [], question_1.itemNums);
                    question_1.itemIds.map(function (answerId, index) {
                        var title = question_1.items[index];
                        var letter = __WEBPACK_IMPORTED_MODULE_6__common_commonFun__["a" /* CommonExam */].numberToLetter(index);
                        // let isRight = question.results[index];
                        var answerModel = new __WEBPACK_IMPORTED_MODULE_5__models_answer_model__["a" /* AnswerModel */](answerId, title, letter, false);
                        topicModel_1.answerItem.push(answerModel);
                    });
                    if (topicModel_1.type !== 2) {
                        _this.shuffle(topicModel_1.answerItem); //数组随机排序
                    }
                    //如果开始的时候上传了乱序则用这个乱序
                    if (submitRecord) {
                        topicModel_1.answerItem.sort(function (a, b) {
                            return submitRecord.itemIds.indexOf(a.id) - submitRecord.itemIds.indexOf(b.id);
                        });
                    }
                    //重新排序答案字母
                    topicModel_1.answerItem.map(function (question, index) {
                        question.letter = __WEBPACK_IMPORTED_MODULE_6__common_commonFun__["a" /* CommonExam */].numberToLetter(index);
                    });
                    result.topicModel = topicModel_1;
                }
                observer.next(result);
                observer.complete();
            });
        });
    };
    //数组随机排序
    ExamNewService.prototype.shuffle = function (arr) {
        var i = arr.length;
        while (i) {
            var j = Math.floor(Math.random() * i--);
            _a = [arr[i], arr[j]], arr[j] = _a[0], arr[i] = _a[1];
        }
        var _a;
    };
    /**
     * 考试初始化方法
     * @param examId
     * @returns {Observable<any>}
     */
    ExamNewService.prototype.initExamContent = function (examId) {
        var _this = this;
        return this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["d" /* LEARNING_LAW_JSON_URL */] + "/cdndata/question_bank/exam_info/" + examId + ".json")
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_7_rxjs_operators__["map"])(function (value) {
            var result = {
                status: value.status, message: "", examStartTime: "", submitId: 0, examPaperId: 0,
                questionArr: [], singleIdArr: [], multipleIdArr: [], booleanIdArr: []
            };
            if (value.status == 200) {
                var examInfo = value.examInfo;
                result.examPaperId = examInfo.examPaperId;
                //必考固定题id集合
                var fixedBooleanIdArr = examInfo.fixedBooleanIds;
                var fixedSingleIdArr = examInfo.fixedSingleIds;
                var fixedMultipleIdArr = examInfo.fixedMultipleIds;
                //移除题目id集合中的固定题id
                _this.removeArrayItem(value.booleanIdList, fixedBooleanIdArr);
                _this.removeArrayItem(value.singleIdList, fixedSingleIdArr);
                _this.removeArrayItem(value.multipleIdList, fixedMultipleIdArr);
                //获取考试随机题id
                var booleanIdArr = _this.getRandomQuestionIdArr(value.booleanIdList, examInfo.randomBooleanIds);
                var singleIdArr = _this.getRandomQuestionIdArr(value.singleIdList, examInfo.randomSingleIds);
                var multipleIdArr = _this.getRandomQuestionIdArr(value.multipleIdList, examInfo.randomMultipleIds);
                //同类型题目放同一集合
                singleIdArr.push.apply(singleIdArr, fixedSingleIdArr);
                multipleIdArr.push.apply(multipleIdArr, fixedMultipleIdArr);
                booleanIdArr.push.apply(booleanIdArr, fixedBooleanIdArr);
                result.singleIdArr = singleIdArr;
                result.multipleIdArr = multipleIdArr;
                result.booleanIdArr = booleanIdArr;
                //所有考试题目id放在同一个集合中
                _this.getExamQuestionIdArr(result.questionArr, singleIdArr, 1);
                _this.getExamQuestionIdArr(result.questionArr, multipleIdArr, 2);
                _this.getExamQuestionIdArr(result.questionArr, booleanIdArr, 3);
                _this.examId = examId;
                _this.singleIdArr = singleIdArr;
                _this.multipleIdArr = multipleIdArr;
                _this.booleanIdArr = booleanIdArr;
            }
            return result;
        })
        // , mergeMap((value: any) => {
        //   if (value.status == 200) {
        //     let singleIdArr = value.singleIdArr.length == 0 ? "": value.singleIdArr.join(",");
        //     let multipleIdArr = value.multipleIdArr.length == 0 ? "": value.multipleIdArr.join(",");
        //     let booleanIdArr = value.booleanIdArr.length == 0 ? "": value.booleanIdArr.join(",");
        //     let params = {
        //       examId: examId, singles: singleIdArr, multiples: multipleIdArr,
        //       booleans: booleanIdArr
        //     };
        //     return this.http.post(`${LEARNING_LAW_URL}/rest/api/exam/startExamById`, null, { params: params })
        //       .pipe(map((res: any) => {
        //         if (res.status == 200) {
        //           value.submitId = res.result[0].submitId;
        //           value.examStartTime = res.result[0].currentTime;
        //         }
        //         value.status = res.status;
        //         value.message = res.message;
        //         return value;
        //       }))
        //   }
        // })
        );
    };
    /**开始考试 新2023-11-03 */
    ExamNewService.prototype.startExamNew = function (subjectInfo) {
        var _this = this;
        var params = {
            examId: this.examId.toString(),
            singles: this.singleIdArr.toString(),
            multiples: this.multipleIdArr.toString(),
            booleans: this.booleanIdArr.toString(),
            subjectInfo: subjectInfo
        };
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/start/exam", JSON.stringify(params))
                .subscribe(function (res) {
                var value = {
                    status: 0,
                    examStartTime: '',
                    message: '',
                    submitId: 0
                };
                if (res.status == 200) {
                    value.submitId = res.result[0].submitId;
                    value.examStartTime = res.result[0].currentTime;
                }
                value.status = res.status;
                value.message = res.message;
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
   * 开始考试
   * @returns
   */
    ExamNewService.prototype.startExam = function () {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('examId', this.examId.toString())
            .set('singles', this.singleIdArr.toString())
            .set('multiples', this.multipleIdArr.toString())
            .set('booleans', this.booleanIdArr.toString());
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/startExamById", null, { params: params })
                .subscribe(function (res) {
                var value = {
                    status: 0,
                    examStartTime: '',
                    message: '',
                    submitId: 0
                };
                if (res.status == 200) {
                    value.submitId = res.result[0].submitId;
                    value.examStartTime = res.result[0].currentTime;
                }
                value.status = res.status;
                value.message = res.message;
                observer.next(value);
                observer.complete();
            });
        });
    };
    ExamNewService.prototype.getExamQuestionIdArr = function (questionIdArr, commonQuestionIdArr, questionType) {
        for (var _i = 0, commonQuestionIdArr_1 = commonQuestionIdArr; _i < commonQuestionIdArr_1.length; _i++) {
            var value = commonQuestionIdArr_1[_i];
            var item = {
                questionId: value,
                questionType: questionType,
                isLoading: false
            };
            questionIdArr.push(item);
        }
        // commonQuestionIdArr.map(value => {
        //   let item = {
        //     questionId: value,
        //     questionType: questionType,
        //     isLoading: false
        //   };
        //   questionIdArr.push(item);
        // })
    };
    /**
     * 移除题目id集合中的固定题
     * @param {any[]} questionIdArr 题目id集合
     * @param {any[]} fixedArr 固定题id
     */
    ExamNewService.prototype.removeArrayItem = function (questionIdArr, fixedArr) {
        fixedArr.map(function (value) {
            var questionIdIndex = questionIdArr.findIndex(function (questionId) { return questionId == value; });
            if (questionIdIndex != -1) {
                questionIdArr.splice(questionIdIndex, 1);
            }
        });
    };
    /**
     * 获取随机题目id集合
     * @param {any[]} questionIdArr 题目id集合
     * @param {number} count 获取数量
     * @returns {any[]}
     */
    ExamNewService.prototype.getRandomQuestionIdArr = function (questionIdArr, count) {
        if (questionIdArr.length == 0 || count == 0)
            return new Array();
        var shuffled = questionIdArr.slice(0);
        var i = questionIdArr.length;
        var min = i - count;
        var temp = null;
        var index = 0;
        while (i-- > min) {
            index = Math.floor((i + 1) * Math.random());
            temp = shuffled[index];
            shuffled[index] = shuffled[i];
            shuffled[i] = temp;
        }
        return shuffled.slice(min);
    };
    /**
     * 缓存题目答案记录
     */
    ExamNewService.prototype.saveTopicAnswerRecord = function (examInfo, isOver) {
        var values = { examInfo: examInfo, isOver: isOver };
        var lawAccountName = localStorage.getItem("accountName");
        localStorage.setItem(lawAccountName + "_" + examInfo.examId, JSON.stringify(values));
    };
    /**
     * 提交考试答案
     * @param examAnswers
     */
    ExamNewService.prototype.submitExamAnswers = function (examAnswers) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('submitId', examAnswers.submitId)
            .set('examId', examAnswers.examId)
            .set('examPaperId', examAnswers.examPaperId)
            .set('singles', examAnswers.singles)
            .set('multiples', examAnswers.multiples)
            .set('booleans', examAnswers.booleans);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exampaper/newUserSubmitExamPaper", params)
                .subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /** 暂停考试*/
    ExamNewService.prototype.pauseExam = function (examAnswers) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('submitId', examAnswers.submitId)
            .set('singles', examAnswers.singles)
            .set('multiples', examAnswers.multiples)
            .set('booleans', examAnswers.booleans);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/pauseExam", params)
                .subscribe(function (value) {
                if (value.status == 200) {
                    observer.next(value);
                    observer.complete();
                }
                else {
                    observer.error(value);
                }
            });
        });
    };
    /**
     * 提交考题
     * @param topics
     */
    ExamNewService.prototype.submitExamTopics = function (topics) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('submitId', topics.submitId)
            .set('examId', topics.examId)
            .set('subjectInfo', topics.subjectInfo);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/outToDisk", params)
                .subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    ExamNewService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], ExamNewService);
    return ExamNewService;
}());

//# sourceMappingURL=exam-new.service.js.map

/***/ }),

/***/ 1377:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_exam_new_service__ = __webpack_require__(1169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_timer_submit_test_paper__ = __webpack_require__(574);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_learning_law_learning_law_service__ = __webpack_require__(202);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * ExamPage 学法考试页面
 * @author huangweicai
 * @createAt 2019-06-7
 *
 */
var ExamPage = /** @class */ (function () {
    function ExamPage(events, platform, ionicApp, navParams, navCtrl, alertCtrl, toastCtrl, nativeService, examNewService, learningLawService, timerSubmitTestPaper) {
        var _this = this;
        this.events = events;
        this.platform = platform;
        this.ionicApp = ionicApp;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.toastCtrl = toastCtrl;
        this.nativeService = nativeService;
        this.examNewService = examNewService;
        this.learningLawService = learningLawService;
        this.timerSubmitTestPaper = timerSubmitTestPaper;
        this.action = "";
        // 是否完成考试
        //考试是否已经结束
        this.isExamOVer = false;
        //考试id
        this.examId = 0;
        // 答题记录
        this.submitId = 0;
        //试卷id
        this.examPaperId = 0;
        //考试题目id集合
        this.questionIdArr = [];
        // 题目集合
        this.topics = [];
        // 提示框状态
        this.isOpenAnswersTips = false;
        // 答案提示
        this.tips = "";
        // 已选择答案临时集合
        this.tempSelectedTopic = { topicId: 0, selectedAnswer: [] };
        // 屏幕可视宽度
        this.screenWidth = 0;
        // 题目容器宽度
        this.containerWidth = 0;
        // 移动距离
        this.moveLeft = 0;
        // 移动距离
        this.moveLeftStr = "0px";
        // 是否点击确定
        this.isClicked = true;
        // 倒计时显示
        this.countDownStr = "";
        // 倒计时总数
        this.countDownSecond = 10800;
        // 间隔时间
        this.interval = 1000;
        // 定时器
        this.timer = null;
        // 开始时间
        this.startTime = null;
        // 倒计时执行次数
        this.executeCount = 0;
        //继续考试是否有乱序数据
        this.submitRecord = null;
        //已选题数据
        this.singleMap = null;
        this.multiMap = null;
        this.boolMap = null;
        /**
         * 重写返回按钮
         * @param {UIEvent} uIEvent
         */
        this.backButtonClick = function (uIEvent) { return _this.quitExam(); };
        this.countDownStart = function () {
            var offsetTime = 0; // 偏移时间
            var nextTime = 0; // 下一次执行时间
            _this.executeCount++;
            offsetTime = new Date().getTime() - (_this.startTime + _this.executeCount * _this.interval);
            nextTime = _this.interval - offsetTime;
            if (nextTime < 0)
                nextTime = 0;
            _this.countDownSecond -= 1;
            _this.getCountDownStr(_this.countDownSecond);
            if (_this.countDownSecond <= 0) {
                clearTimeout(_this.timer);
                _this.showToast("考试时间到！");
                _this.tempSelectedTopic.topicId = 0;
                // this.submitTestPaper();
                _this.action == 'continueExam' ? _this.submitTestPaper() : _this.submitTestPaperNew();
            }
            else {
                _this.timer = setTimeout(_this.countDownStart, nextTime);
            }
        };
        var examTimeLimit = localStorage.getItem("examTimeLimit");
        if (examTimeLimit != null) {
            this.countDownSecond = parseInt(examTimeLimit);
        }
        this.screenWidth = window.screen.width;
        this.examId = navParams.get("examId");
        this.action = navParams.get("action");
        if (this.action == "continueExam") {
            this.submitId = navParams.get("submitId");
            this.continueExam(navParams);
        }
        else if (this.action == "continueExamNew") {
            this.submitId = navParams.get("submitId");
            this.submitRecord = navParams.get("submitRecord");
            this.continueExamNew(navParams);
        }
        else if (this.action == "pauseOfNoLocalContinueExam") {
            this.submitId = navParams.get("submitId");
            this.submitRecord = navParams.get("submitRecord");
            this.pauseOfNoLocalContinueExam(navParams);
        }
    }
    // 页面生命周期--无论首次加载或缓存都执行
    ExamPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        if (this.action == "startExam") {
            // this.initExamContent();
            // this.action = "continueExam";
            this.initExamContentNew();
        }
        this.navBar.backButtonClick = this.backButtonClick;
        // else {
        //   this.navBar.backButtonClick = this.backButtonClick;
        // }
        if (this.platform.is("android")) {
            this.backFunction = this.platform.registerBackButtonAction(function () {
                var overlayPortalArray = _this.ionicApp._overlayPortal._views;
                if (overlayPortalArray.length == 0) {
                    _this.quitExam();
                }
            }, 0);
        }
        // this.startTime = new Date().getTime();
        // if (this.countDownSecond >= 0) {
        //   this.timer = setTimeout(this.countDownStart, this.interval);
        // }
    };
    /** 考试初始化方法-新2023-11-03 */
    ExamPage.prototype.initExamContentNew = function () {
        var _this = this;
        this.nativeService.showLoading("加载中...");
        this.examNewService.initExamContent(this.examId).subscribe(function (value) {
            if (value.status == 200) {
                _this.examPaperId = value.examPaperId;
                _this.questionIdArr = value.questionArr;
                //容器总宽度
                _this.containerWidth = _this.screenWidth * _this.questionIdArr.length;
                _this.getQuestionDetailByQuestionIdNew(_this.questionIdArr[0], 0, true, null);
            }
            else {
                _this.nativeService.hideLoading();
                if (value.message) {
                    _this.showToast(value.message);
                }
                else {
                    _this.showToast("网络异常，请稍后重试！");
                }
            }
        });
    };
    //考试初始化方法
    ExamPage.prototype.initExamContent = function () {
        var _this = this;
        // this.countDownStr = "03:00:00";
        this.nativeService.showLoading("加载中...");
        this.examNewService.initExamContent(this.examId).subscribe(function (value) {
            if (value.status == 200) {
                // this.submitId = value.submitId;
                _this.examPaperId = value.examPaperId;
                _this.questionIdArr = value.questionArr;
                //容器总宽度
                _this.containerWidth = _this.screenWidth * _this.questionIdArr.length;
                _this.getQuestionDetailByQuestionId(_this.questionIdArr[0], 0, false, true);
                _this.navBar.backButtonClick = _this.backButtonClick;
            }
            else {
                _this.nativeService.hideLoading();
                if (value.message) {
                    _this.showToast(value.message);
                }
                else {
                    _this.showToast("网络异常，请稍后重试！");
                }
                _this.navCtrl.pop();
            }
        });
    };
    /** 开始考试 新2023-11-03*/
    ExamPage.prototype.startExamNew = function (subjectInfo) {
        var _this = this;
        this.examNewService.startExamNew(subjectInfo).subscribe(function (res) {
            _this.nativeService.hideLoading();
            if (res.status == 200) {
                _this.submitId = res.submitId;
                //开始计时
                _this.startTime = new Date().getTime();
                if (_this.countDownSecond >= 0) {
                    _this.timer = setTimeout(_this.countDownStart, _this.interval);
                }
                _this.learningLawService.saveOperateLog("3", "start_examNew_" + _this.examId + "_" + _this.submitId).subscribe(function (res) { }, function (error) { });
            }
            else {
                if (res.message) {
                    _this.showToast(res.message);
                }
                else {
                    _this.showToast("网络异常，请稍后重试！");
                }
                _this.navCtrl.pop();
            }
        });
    };
    /**
   * 开始考试
   */
    ExamPage.prototype.startExam = function (index, loading, value) {
        var _this = this;
        this.examNewService.startExam().subscribe(function (res) {
            _this.nativeService.hideLoading();
            if (res.status == 200) {
                _this.submitId = res.submitId;
                _this.topics.push(value.topicModel);
                _this.questionIdArr[index].isLoading = true;
                if (loading) {
                    _this.moveSide("left");
                }
                //开始计时
                _this.startTime = new Date().getTime();
                if (_this.countDownSecond >= 0) {
                    _this.timer = setTimeout(_this.countDownStart, _this.interval);
                }
                _this.learningLawService
                    .saveOperateLog("3", "start_exam_" + _this.examId + "_" + _this.submitId)
                    .subscribe(function (res) { }, function (error) { });
            }
            else {
                if (res.message) {
                    _this.showToast(res.message);
                }
                else {
                    _this.showToast("网络异常，请稍后重试！");
                }
                _this.navCtrl.pop();
            }
        });
    };
    /**暂停考试提示框 2023-11-07 */
    ExamPage.prototype.pauseExamTips = function () {
        var _this = this;
        this.alertCtrl.create({
            message: "确定要暂停考试？<br/>答题记录最长可保存7天，7天内未交卷系统将自动判卷为0分。",
            enableBackdropDismiss: false,
            buttons: [
                {
                    text: "确定",
                    handler: function () {
                        _this.pauseExam();
                    },
                },
                {
                    text: "取消",
                    handler: function () { }
                },
            ],
        }).present();
    };
    /**暂停考试 2023-11-07 */
    ExamPage.prototype.pauseExam = function () {
        var _this = this;
        var params = {
            submitId: this.submitId,
            singles: "",
            multiples: "",
            booleans: "",
        };
        var obj = this.transferTopicAnswer(this.topics);
        params.singles = obj.singles;
        params.multiples = obj.multiples;
        params.booleans = obj.booleans;
        this.examNewService.pauseExam(params).subscribe(function (value) {
            if (value.status == 200) {
                _this.showToast("暂停考试成功。");
                var strLog = "exam_pause_" + _this.examId + "_" + _this.submitId;
                _this.learningLawService.saveOperateLog("6", strLog).subscribe(function (res) { }, function (error) { });
                _this.quitExam();
            }
            else {
                _this.showToast("暂停考试失败，请稍后重试。");
            }
        }, function (error) {
            var msg = error.message ? error.message : '暂停考试失败，请稍后重试。';
            _this.showToast(msg);
        });
    };
    /**转换用户选择的答案 暂停考试用 */
    ExamPage.prototype.transferTopicAnswer = function (topics) {
        var singles = [];
        var booleans = [];
        var multiples = [];
        topics.map(function (topic) {
            if (topic.isSelected) {
                if (topic.type == 1) {
                    var selectedAnswer = topic.id + ":" + topic.selectedAnswer[0];
                    singles.push(selectedAnswer);
                }
                else if (topic.type == 3) {
                    var selectedAnswer = topic.id + ":" + topic.selectedAnswer[0];
                    booleans.push(selectedAnswer);
                }
                else {
                    var selectedAnswer = topic.id + ":" + topic.selectedAnswer.join("_");
                    multiples.push(selectedAnswer);
                }
            }
            else {
                var selectedAnswer = topic.id + ":";
                if (topic.type == 1) {
                    singles.push(selectedAnswer);
                }
                else if (topic.type == 3) {
                    booleans.push(selectedAnswer);
                }
                else {
                    multiples.push(selectedAnswer);
                }
            }
        });
        return { singles: singles.join(","), booleans: booleans.join(","), multiples: multiples.join(",") };
    };
    /**暂停后没有缓存继续考试 2023-11-07 */
    ExamPage.prototype.pauseOfNoLocalContinueExam = function (navParams) {
        this.countDownSecond = navParams.get("surplusSecond");
        this.singleMap = navParams.get("singleMap");
        this.multiMap = navParams.get("multiMap");
        this.boolMap = navParams.get("boolMap");
        this.retrieveData(true);
    };
    /**继续考试 新2023-11-03 */
    ExamPage.prototype.continueExamNew = function (navParams) {
        var accountName = localStorage.getItem("accountName");
        var examInfoStr = localStorage.getItem(accountName + "_" + this.examId);
        this.countDownSecond = navParams.get("surplusSecond");
        if (examInfoStr == null) {
            this.retrieveData();
        }
        else {
            var examInfoObj = JSON.parse(examInfoStr);
            var examInfo = examInfoObj.examInfo;
            this.examPaperId = examInfo.examPaperId;
            this.questionIdArr = examInfo.questionIdArr;
            this.topics = examInfo.topics;
            if (this.topics.length == 0) {
                localStorage.removeItem(accountName + "_" + this.examId);
                this.retrieveData();
            }
            else {
                this.jumpToQuestion();
                this.learningLawService.saveOperateLog("3", "continue_examNew_" + this.examId + "_" + this.submitId).subscribe(function (res) { }, function (error) { });
                //开始计时
                this.startTime = new Date().getTime();
                if (this.countDownSecond >= 0) {
                    this.timer = setTimeout(this.countDownStart, this.interval);
                }
            }
        }
    };
    /**跳转题目到第一道未答题 */
    ExamPage.prototype.jumpToQuestion = function () {
        var _this = this;
        var questionLength = this.questionIdArr.length;
        this.containerWidth = this.screenWidth * questionLength;
        var topicLength = -1;
        for (var i = 0; i < this.topics.length; i++) {
            if (!this.topics[i].isSelected) {
                topicLength = i;
                break;
            }
        }
        if (topicLength == -1) {
            topicLength = this.topics.length - 1;
        }
        this.moveLeft = this.screenWidth * (topicLength);
        this.moveLeftStr = "-" + this.moveLeft + "px";
        var topic = this.topics[this.topics.length - 1];
        if (topic.isSelected) {
            this.isExamOVer = true;
            this.isClicked = false;
        }
        else {
            var selectCount_1 = 0;
            topic.answerItem.forEach(function (item) {
                if (item.isSelected) {
                    selectCount_1++;
                }
                if (topic.type == 1 || topic.type == 3) {
                    if (selectCount_1 == 1) {
                        _this.isClicked = false;
                        _this.isExamOVer = true;
                    }
                }
                else {
                    if (selectCount_1 >= 2) {
                        _this.isClicked = false;
                        _this.isExamOVer = true;
                    }
                }
            });
        }
    };
    /**重新获取数据 */
    ExamPage.prototype.retrieveData = function (pause) {
        var singles = localStorage.getItem("singles");
        var multiples = localStorage.getItem("multiples");
        var booleans = localStorage.getItem("booleans");
        this.examPaperId = localStorage.getItem("examPaperId");
        var singleIdArr = singles.split(",");
        var multipleIdArr = multiples.split(",");
        var booleanIdArr = booleans.split(",");
        this.examNewService.getExamQuestionIdArr(this.questionIdArr, singleIdArr, 1);
        this.examNewService.getExamQuestionIdArr(this.questionIdArr, multipleIdArr, 2);
        this.examNewService.getExamQuestionIdArr(this.questionIdArr, booleanIdArr, 3);
        localStorage.removeItem("singles");
        localStorage.removeItem("multiples");
        localStorage.removeItem("booleans");
        localStorage.removeItem("examPaperId");
        var questionLength = this.questionIdArr.length;
        this.containerWidth = this.screenWidth * questionLength;
        var topicLength = this.topics.length == 0 ? 1 : this.topics.length;
        this.moveLeft = this.screenWidth * (topicLength - 1);
        this.moveLeftStr = "-" + this.moveLeft + "px";
        if (pause) {
            this.getQuestionDetailByQuestionIdNew(this.questionIdArr[0], 0, false, this.submitRecord[0], pause);
        }
        else {
            this.getQuestionDetailByQuestionIdNew(this.questionIdArr[0], 0, false, this.submitRecord[0]);
        }
    };
    //继续考试
    ExamPage.prototype.continueExam = function (navParams) {
        var _this = this;
        var accountName = localStorage.getItem("accountName");
        var examInfoStr = localStorage.getItem(accountName + "_" + this.examId);
        this.countDownSecond = navParams.get("surplusSecond");
        if (examInfoStr == null) {
            var singles = localStorage.getItem("singles");
            var multiples = localStorage.getItem("multiples");
            var booleans = localStorage.getItem("booleans");
            this.examPaperId = localStorage.getItem("examPaperId");
            var singleIdArr = singles.split(",");
            var multipleIdArr = multiples.split(",");
            var booleanIdArr = booleans.split(",");
            this.examNewService.getExamQuestionIdArr(this.questionIdArr, singleIdArr, 1);
            this.examNewService.getExamQuestionIdArr(this.questionIdArr, multipleIdArr, 2);
            this.examNewService.getExamQuestionIdArr(this.questionIdArr, booleanIdArr, 3);
            localStorage.removeItem("singles");
            localStorage.removeItem("multiples");
            localStorage.removeItem("booleans");
            localStorage.removeItem("examPaperId");
        }
        else {
            var examInfoObj = JSON.parse(examInfoStr);
            var examInfo = examInfoObj.examInfo;
            this.examPaperId = examInfo.examPaperId;
            this.questionIdArr = examInfo.questionIdArr;
            this.topics = examInfo.topics;
        }
        var questionLength = this.questionIdArr.length;
        this.containerWidth = this.screenWidth * questionLength;
        var topicLength = this.topics.length == 0 ? 1 : this.topics.length;
        var topic = this.topics[topicLength - 1];
        this.moveLeft = this.screenWidth * (topicLength - 1);
        this.moveLeftStr = "-" + this.moveLeft + "px";
        // console.log('topic.isSelected:',topic.isSelected);
        // console.log('topicLength = questionLength:',topicLength, questionLength)
        this.questionIdArr.forEach(function (item, index) {
            if (index <= topicLength - 1) {
                item.isLoading = true;
            }
        });
        if (this.topics.length == 0) {
            this.getQuestionDetailByQuestionId(this.questionIdArr[0], 0, false);
        }
        else if (topic.isSelected && topicLength < questionLength) {
            this.getQuestionDetailByQuestionId(this.questionIdArr[topicLength], topicLength, true);
        }
        else if (topicLength == questionLength) {
            if (topic.isSelected) {
                this.isExamOVer = true;
                this.isClicked = false;
            }
            else {
                var selectCount_2 = 0;
                topic.answerItem.forEach(function (item) {
                    if (item.isSelected) {
                        selectCount_2++;
                    }
                    if (topic.type == 1 || topic.type == 3) {
                        if (selectCount_2 == 1) {
                            _this.isClicked = false;
                            _this.isExamOVer = true;
                        }
                    }
                    else {
                        if (selectCount_2 >= 2) {
                            _this.isClicked = false;
                            _this.isExamOVer = true;
                        }
                    }
                });
            }
        }
        this.learningLawService
            .saveOperateLog("3", "continue_exam_" + this.examId + "_" + this.submitId)
            .subscribe(function (res) { }, function (error) { });
        //开始计时
        this.startTime = new Date().getTime();
        if (this.countDownSecond >= 0) {
            this.timer = setTimeout(this.countDownStart, this.interval);
        }
    };
    // 倒计时字符串
    ExamPage.prototype.getCountDownStr = function (second) {
        var h = Math.floor(second / 3600);
        var m = Math.floor((second / 60 % 60));
        var s = Math.floor((second % 60));
        this.countDownStr = this.addZero(h) + ":" + this.addZero(m) + ":" + this.addZero(s);
    };
    /**获取题目详情 新2023-11-03 */
    ExamPage.prototype.getQuestionDetailByQuestionIdNew = function (questionIdObj, index, startExam, submitRecord, pause) {
        var _this = this;
        this.examNewService.getQuestionDetailById(questionIdObj, submitRecord).subscribe(function (value) {
            if (value.status == 200) {
                _this.topics.push(value.topicModel);
                _this.questionIdArr[index].isLoading = false;
                index++;
                if (index < _this.questionIdArr.length) {
                    if (pause) {
                        _this.getQuestionDetailByQuestionIdNew(_this.questionIdArr[index], index, startExam, submitRecord ? _this.submitRecord[index] : null, pause);
                    }
                    else {
                        _this.getQuestionDetailByQuestionIdNew(_this.questionIdArr[index], index, startExam, submitRecord ? _this.submitRecord[index] : null);
                    }
                }
                if (index == _this.questionIdArr.length) {
                    if (pause) {
                        _this.setSelectedQuestionInfo(_this.singleMap, 1);
                        _this.setSelectedQuestionInfo(_this.multiMap, 2);
                        _this.setSelectedQuestionInfo(_this.boolMap, 3);
                        _this.jumpToQuestion();
                        _this.saveExamInfo();
                    }
                    var subjectInfo = [];
                    for (var _i = 0, _a = _this.topics; _i < _a.length; _i++) {
                        var item = _a[_i];
                        var subjectId = item.id;
                        var itemIds = [];
                        for (var _b = 0, _c = item.answerItem; _b < _c.length; _b++) {
                            var answer = _c[_b];
                            itemIds.push(answer.id);
                        }
                        subjectInfo.push({
                            subjectId: subjectId,
                            itemIds: itemIds,
                        });
                    }
                    if (startExam) {
                        _this.startExamNew(subjectInfo);
                    }
                    else {
                        _this.nativeService.hideLoading();
                        //开始计时
                        _this.startTime = new Date().getTime();
                        if (_this.countDownSecond >= 0) {
                            _this.timer = setTimeout(_this.countDownStart, _this.interval);
                        }
                    }
                }
            }
            else {
                _this.nativeService.hideLoading();
                _this.alertCtrl.create({
                    message: value.message,
                    enableBackdropDismiss: false,
                    buttons: [
                        {
                            text: '确定',
                            handler: function () {
                                _this.navCtrl.pop();
                            }
                        }
                    ]
                }).present();
            }
        });
    };
    /**设置已选题信息 map=已选题数据map type：1=单选 2=多选 3=判断*/
    ExamPage.prototype.setSelectedQuestionInfo = function (map, type) {
        if (type == 2) {
            var _loop_1 = function (key) {
                this_1.topics.map(function (item) {
                    if ((item.id + '') == key) {
                        var valueArr = map[key].split("_");
                        item.isSelected = true;
                        var _loop_2 = function (value) {
                            item.answerItem.map(function (answer) {
                                if (answer.id == value) {
                                    answer.isSelected = true;
                                }
                            });
                            item.selectedAnswer.push(value);
                        };
                        for (var _i = 0, valueArr_1 = valueArr; _i < valueArr_1.length; _i++) {
                            var value = valueArr_1[_i];
                            _loop_2(value);
                        }
                    }
                });
            };
            var this_1 = this;
            for (var key in map) {
                _loop_1(key);
            }
        }
        else {
            var _loop_3 = function (key) {
                this_2.topics.map(function (item) {
                    if ((item.id + '') == key) {
                        item.answerItem.map(function (answer) {
                            if (answer.id == map[key]) {
                                answer.isSelected = true;
                            }
                        });
                        item.isSelected = true;
                        item.selectedAnswer.push(map[key]);
                    }
                });
            };
            var this_2 = this;
            for (var key in map) {
                _loop_3(key);
            }
        }
    };
    /** 确定-下一题 新2023-11-03 */
    ExamPage.prototype.nextQuestion = function () {
        this.moveSide("left");
    };
    // 补零
    ExamPage.prototype.addZero = function (time) {
        return time < 10 ? "0" + time : time;
    };
    // 获取题目详情
    ExamPage.prototype.getQuestionDetailByQuestionId = function (questionIdObj, index, loading, init //是否为初始化考试
    ) {
        var _this = this;
        // console.log('获取题目详情,questionIdArr,index:',this.questionIdArr,index);
        if (loading)
            this.nativeService.showLoading("加载中...");
        this.examNewService
            .getQuestionDetailById(questionIdObj)
            .subscribe(function (value) {
            if (value.status == 200) {
                if (init) {
                    _this.startExam(index, loading, value);
                }
                else {
                    _this.nativeService.hideLoading();
                    _this.topics.push(value.topicModel);
                    _this.questionIdArr[index].isLoading = true;
                    if (loading) {
                        _this.moveSide("left");
                    }
                }
                ; //拿到第一题的数据再进行调用开始考试接口
            }
            else {
                // this.nativeService.alert(value.message);
                _this.nativeService.hideLoading();
                _this.alertCtrl.create({
                    message: value.message,
                    enableBackdropDismiss: true,
                    buttons: [
                        {
                            text: '确定',
                            handler: function () {
                                _this.quitExam();
                            }
                        }
                    ]
                }).present();
            }
        });
    };
    // 上一题
    ExamPage.prototype.preSlide = function (index) {
        if (index > 0) {
            if (this.tempSelectedTopic.topicId != 0) {
                this.showToast("您修改的答案未保存，请点击确定按钮保存！");
            }
            else {
                this.isClicked = true;
                this.moveSide("right");
            }
        }
    };
    //下一题
    ExamPage.prototype.nextSlide = function (index) {
        var _this = this;
        if (this.tempSelectedTopic.topicId != 0) {
            this.showToast("您修改的答案未保存，请点击确定按钮保存！");
        }
        else {
            //不是最后一题
            if (index != (this.questionIdArr.length - 1)) {
                var topic = this.topics[index];
                if (topic.isSelected) {
                    this.moveSide("left");
                    if (!this.topics[index + 1].isSelected) {
                        this.isClicked = true;
                        var selectCount_3 = 0;
                        this.topics[index + 1].answerItem.forEach(function (item) {
                            if (item.isSelected) {
                                selectCount_3++;
                            }
                            if (_this.topics[index + 1].type == 1 || _this.topics[index + 1].type == 3) {
                                if (selectCount_3 == 1) {
                                    _this.isClicked = false;
                                }
                            }
                            else {
                                if (selectCount_3 >= 2) {
                                    _this.isClicked = false;
                                }
                            }
                        });
                    }
                }
            }
        }
    };
    ExamPage.prototype.moveSide = function (direction) {
        if (direction == "left") {
            this.moveLeft += this.screenWidth;
        }
        else {
            this.moveLeft -= this.screenWidth;
        }
        this.moveLeftStr = "-" + this.moveLeft + "px";
    };
    ExamPage.prototype.showToast = function (message) {
        var toast = this.toastCtrl.create({
            message: message,
            duration: 3000,
            position: 'middle',
            cssClass: "toast-message-auto-close",
            dismissOnPageChange: true
        });
        toast.present();
    };
    //界面销毁
    ExamPage.prototype.ionViewWillUnload = function () {
        if (this.backFunction) {
            this.backFunction();
        }
        if (this.timer != null) {
            clearTimeout(this.timer);
        }
    };
    /**
     * 选择答案 type: 1 判断题 2：多选题 3：单选题
     */
    ExamPage.prototype.selectedAnswers = function (index, topic, answerItem) {
        if (topic.type == 1 || topic.type == 3) {
            this.isClicked = false;
            if (topic.isSelected) {
                this.tempSelectedTopic.topicId = topic.id;
                this.tempSelectedTopic.selectedAnswer = [];
                this.tempSelectedTopic.selectedAnswer.push(answerItem.id);
            }
            else {
                this.isClicked = false;
                topic.selectedAnswer = [];
                topic.selectedAnswer.push(answerItem.id);
            }
            answerItem.isSelected = true;
            topic.answerItem.map(function (item) {
                if (item.id != answerItem.id) {
                    item.isSelected = false;
                }
            });
        }
        else {
            if (answerItem.isSelected) {
                answerItem.isSelected = false;
                if (topic.isSelected) {
                    if (this.tempSelectedTopic.topicId == 0) {
                        this.tempSelectedTopic.selectedAnswer = topic.selectedAnswer;
                    }
                    this.tempSelectedTopic.topicId = topic.id;
                    this.tempSelectedTopic.selectedAnswer =
                        this.tempSelectedTopic.selectedAnswer.filter(function (id) { return id != answerItem.id; });
                    if (this.tempSelectedTopic.selectedAnswer.length < 2) {
                        this.isClicked = true;
                    }
                    else {
                        this.isClicked = false;
                    }
                }
                else {
                    topic.selectedAnswer = topic.selectedAnswer.filter(function (id) { return id != answerItem.id; });
                    if (topic.selectedAnswer.length < 2)
                        this.isClicked = true;
                }
            }
            else {
                answerItem.isSelected = true;
                if (topic.isSelected) {
                    if (this.tempSelectedTopic.topicId == 0) {
                        this.tempSelectedTopic.selectedAnswer = topic.selectedAnswer;
                    }
                    this.tempSelectedTopic.topicId = topic.id;
                    this.tempSelectedTopic.selectedAnswer.push(answerItem.id);
                    if (topic.selectedAnswer.length >= 2) {
                        this.isClicked = false;
                    }
                    else {
                        this.isClicked = true;
                    }
                }
                else {
                    topic.selectedAnswer.push(answerItem.id);
                    if (topic.selectedAnswer.length >= 2)
                        this.isClicked = false;
                }
            }
        }
    };
    /**
     * 答案确定  1:单选 2:多选 3:判断题
     * @param index 题目下标
     * @param topic 题目
     */
    ExamPage.prototype.submitAnswers = function (index, topic) {
        var _this = this;
        //提交答题操作记录
        var selectedAnswerId = "";
        for (var _i = 0, _a = topic.selectedAnswer; _i < _a.length; _i++) {
            var item = _a[_i];
            //选择的选项id
            selectedAnswerId = selectedAnswerId + "_" + item;
        }
        var strLog = "exam_" + this.examId + "_" + this.submitId + "_" + topic.id + ":" + selectedAnswerId;
        this.learningLawService.saveOperateLog("3", strLog).subscribe(function (res) { }, function (error) { });
        //已答题
        if (topic.isSelected && this.tempSelectedTopic.topicId != 0) {
            if (topic.type == 2 && this.tempSelectedTopic.selectedAnswer.length < 2) {
                this.showToast("请选择当前题答案！");
                return false;
            }
            topic.selectedAnswer = [];
            topic.selectedAnswer = this.tempSelectedTopic.selectedAnswer;
            // topic.answerItem.map(item => {
            //   const selectedAnswerId = topic.selectedAnswer.find(id => item.id == id);
            //   item.isSelected = selectedAnswerId != undefined;
            //   const strLog = 'answer examId：'+this.examId+',examPaperId:'+this.examPaperId+',submitId'+this.submitId+',selectedAnswerId:'+selectedAnswerId;
            //   this.learningLawService.saveOperateLog('3',strLog).subscribe(res=>{
            //     console.log('log ok');
            //   },error => {
            //     console.log('log err');
            //   });
            // });
            this.tempSelectedTopic.topicId = 0;
            this.tempSelectedTopic.selectedAnswer = [];
            // this.showToast("您修改的答案已保存！");
            this.moveSide('left');
            this.isClicked = true;
            this.saveExamInfo();
        }
        else {
            //设置为已答题
            topic.isSelected = true;
            //已点击
            this.isClicked = true;
            this.questionIdArr[index].isLoading = true;
            //获取下一题
            if (index < (this.questionIdArr.length - 1)) {
                if (this.questionIdArr[index + 1].isLoading) {
                    this.isClicked = false;
                    this.moveSide("left");
                }
                else {
                    // this.getQuestionDetailByQuestionId(this.questionIdArr[index + 1], (index + 1), true);
                    this.action == 'continueExam' ? this.getQuestionDetailByQuestionId(this.questionIdArr[index + 1], index + 1, true) : this.nextQuestion();
                }
                this.saveExamInfo();
            }
            else {
                this.saveExamInfo();
                var questionIdLength = this.questionIdArr.length;
                var topicLength = this.topics.length;
                if (questionIdLength == topicLength && this.topics[topicLength - 1].isSelected) {
                    this.isExamOVer = true;
                    this.alertCtrl.create({
                        message: "本次试卷答题完毕，是否立即交卷?",
                        enableBackdropDismiss: false,
                        buttons: [
                            {
                                text: "立即交卷",
                                handler: function () {
                                    // this.submitTestPaper();
                                    _this.action == 'continueExam' ? _this.submitTestPaper() : _this.submitTestPaperNew();
                                }
                            },
                            {
                                text: "稍后交卷", handler: function () {
                                    _this.isClicked = false;
                                }
                            }
                        ]
                    }).present();
                }
            }
        }
    };
    /**
     * 提交考试试卷答案  type: 1 判断题 2：多选题 3：单选题
     * @param question 题目
     */
    ExamPage.prototype.submitTestPaper = function () {
        var _this = this;
        if (this.tempSelectedTopic.topicId != 0) {
            this.showToast("请选择当前题答案！");
            return false;
        }
        var params = {
            submitId: this.submitId, examId: this.examId, examPaperId: this.examPaperId,
            singles: "", multiples: "", booleans: ""
        };
        var obj = __WEBPACK_IMPORTED_MODULE_5__common_commonFun__["a" /* CommonExam */].transferTopicAnswer(this.topics);
        params.singles = obj.singles;
        params.multiples = obj.multiples;
        params.booleans = obj.booleans;
        this.nativeService.showLoading("正在提交试卷...");
        var subjectInfo = [];
        this.topics.forEach(function (item) {
            var subjectId = item.id;
            var itemIds = [];
            item.answerItem.forEach(function (answer) {
                itemIds.push(answer.id);
            });
            subjectInfo.push({
                'subjectId': subjectId,
                'itemIds': itemIds
            });
        });
        console.log('topics', this.topics);
        var topicsParams = {
            submitId: this.submitId,
            examId: this.examId,
            subjectInfo: JSON.stringify(subjectInfo)
        };
        this.examNewService.submitExamTopics(topicsParams).subscribe(function (value) {
            if (value.status == 200) {
                _this.examNewService.submitExamAnswers(params).subscribe(function (value) {
                    _this.nativeService.hideLoading();
                    if (value.status == 200) {
                        // 提交成功判断本地是否有缓存，有删除
                        var lawAccountName = localStorage.getItem("accountName");
                        var key = lawAccountName + "_" + _this.examId;
                        var topicAnswerRecord = localStorage.getItem(key);
                        if (topicAnswerRecord != null)
                            localStorage.removeItem(key);
                        var message = "试卷提交成功，请等待评卷，稍后查看成绩！";
                        _this.examOver(message, 1, 2);
                        // const strLog = 'examOver examId：'+this.examId+',examPaperId:'+this.examPaperId+',submitId'+this.submitId;
                        var strLog = "exam_end_" + _this.examId + "_" + _this.submitId;
                        _this.learningLawService.saveOperateLog('3', strLog).subscribe(function (res) {
                            console.log('log ok');
                        }, function (error) {
                            console.log('log err');
                        });
                    }
                    else if (value == 531) {
                        _this.examOver(value.message, 1, 2);
                    }
                    else {
                        _this.examOver("系统繁忙，已转入后台提交，请勿关闭应用！", 2, 5, topicsParams);
                    }
                });
            }
            else if (value == 531) {
                _this.nativeService.hideLoading();
                _this.examOver(value.message, 1, 2);
            }
            else {
                _this.nativeService.hideLoading();
                _this.examOver("系统繁忙，已转入后台提交，请勿关闭应用！", 2, 5);
            }
        });
    };
    /**
    * 提交考试试卷答案 新2023-11-06  type: 1 判断题 2：多选题 3：单选题
    * @param question 题目
    */
    ExamPage.prototype.submitTestPaperNew = function () {
        var _this = this;
        if (this.tempSelectedTopic.topicId != 0) {
            this.showToast("请选择当前题答案！");
            return false;
        }
        var params = {
            submitId: this.submitId,
            examId: this.examId,
            examPaperId: this.examPaperId,
            singles: "",
            multiples: "",
            booleans: "",
        };
        var obj = __WEBPACK_IMPORTED_MODULE_5__common_commonFun__["a" /* CommonExam */].transferTopicAnswer(this.topics);
        params.singles = obj.singles;
        params.multiples = obj.multiples;
        params.booleans = obj.booleans;
        var subjectInfo = [];
        this.topics.forEach(function (item) {
            var subjectId = item.id;
            var itemIds = [];
            item.answerItem.forEach(function (answer) {
                itemIds.push(answer.id);
            });
            subjectInfo.push({
                subjectId: subjectId,
                itemIds: itemIds,
            });
        });
        var topicsParams = {
            submitId: this.submitId,
            examId: this.examId,
            subjectInfo: JSON.stringify(subjectInfo),
        };
        this.nativeService.showLoading("正在提交试卷...");
        this.examNewService.submitExamAnswers(params).subscribe(function (value) {
            _this.nativeService.hideLoading();
            if (value.status == 200) {
                // 提交成功判断本地是否有缓存，有删除
                var lawAccountName = localStorage.getItem("accountName");
                var key = lawAccountName + "_" + _this.examId;
                var topicAnswerRecord = localStorage.getItem(key);
                if (topicAnswerRecord != null)
                    localStorage.removeItem(key);
                var message = "试卷提交成功，请等待评卷，稍后查看成绩！";
                _this.examOver(message, 1, 2);
                var strLog = "exam_endNew_" + _this.examId + "_" + _this.submitId;
                _this.learningLawService.saveOperateLog("3", strLog).subscribe(function (res) { }, function (error) { });
            }
            else if (value == 531) {
                _this.examOver(value.message, 1, 2);
            }
            else {
                _this.examOver("系统繁忙，已转入后台提交，请勿关闭应用！", 2, 5, topicsParams);
            }
        });
    };
    // 考试结束返回考试列表信息页
    ExamPage.prototype.examOver = function (message, action, examStatus, randomTopics) {
        var _this = this;
        this.alertCtrl.create({
            message: message,
            enableBackdropDismiss: false,
            buttons: [
                {
                    text: '确定',
                    handler: function () {
                        if (action != 1) {
                            // 缓存本地
                            var examInfo = {
                                submitId: _this.submitId, examId: _this.examId, examPaperId: _this.examPaperId,
                                topics: _this.topics, questionIdArr: _this.questionIdArr, randomTopics: randomTopics
                            };
                            _this.examNewService.saveTopicAnswerRecord(examInfo, 1);
                            _this.learningLawService.saveOperateLog("6", "submit_fail_start_task_" + _this.submitId + "_" + _this.examPaperId).subscribe(function (res) { }, function (error) { });
                            // 提交失败，启动定时任务
                            _this.timerSubmitTestPaper.startScheduledTask();
                        }
                        _this.events.publish("msg:examOver", { examId: _this.examId, examStatus: examStatus });
                        _this.navCtrl.pop();
                    }
                }
            ]
        }).present();
    };
    // 退出考试
    ExamPage.prototype.quitExam = function () {
        var params = { examId: this.examId };
        this.saveExamInfo();
        this.events.publish("msg:quitExam", params);
        this.navCtrl.pop();
        // const confirm = this.alertCtrl.create({
        //   title: "请确定是否暂停当前考试?",
        //   message: "确定暂停当前考试",
        //   enableBackdropDismiss: false,
        //   buttons: [
        //     {
        //       text: '确定',
        //       handler: () => {
        //         let params = { examId: this.examId };
        //         let examInfo = {
        //           examId: this.examId,
        //           topics: this.topics,
        //           submitId: this.submitId,
        //           examPaperId: this.examPaperId,
        //           questionIdArr: this.questionIdArr
        //         };
        //         this.examNewService.saveTopicAnswerRecord(examInfo, 0);
        //         this.events.publish("msg:quitExam", params);
        //         this.navCtrl.pop();
        //       }
        //     },
        //     {
        //       text: '取消',
        //       handler: () => {
        //       }
        //     }
        //   ]
        // });
        // confirm.present();
    };
    /**
     * 保存答题信息
     */
    ExamPage.prototype.saveExamInfo = function () {
        var examInfo = {
            examId: this.examId,
            topics: this.topics,
            submitId: this.submitId,
            examPaperId: this.examPaperId,
            questionIdArr: this.questionIdArr
        };
        this.examNewService.saveTopicAnswerRecord(examInfo, 0);
    };
    /**
     *答案提示
     */
    ExamPage.prototype.openAnswersTipsModal = function (topic) {
        this.tips = topic.tips;
        this.isOpenAnswersTips = !this.isOpenAnswersTips;
    };
    /**
     * 关闭答案提示
     */
    ExamPage.prototype.closeAnswersTips = function () {
        this.isOpenAnswersTips = !this.isOpenAnswersTips;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Navbar"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Navbar"])
    ], ExamPage.prototype, "navBar", void 0);
    ExamPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-exam',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\exam\exam.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      <div>\n        <span>倒计时 </span>\n        <span>{{countDownStr}}</span>\n      </div>\n    </ion-title>\n    <ion-buttons end *ngIf="!isExamOVer">\n      <button ion-button round outline color="primary" (click)="pauseExamTips()">\n        暂停考试\n      </button>\n    </ion-buttons>\n    <ion-buttons end *ngIf="isExamOVer">\n      <button ion-button round outline color="danger" class="submit-test-paper" (click)="action == \'continueExam\' ? submitTestPaper() : submitTestPaperNew()">\n        交卷\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div class="container" [style.width]="containerWidth + \'px\'" [style.left]="moveLeftStr">\n    <div [style.width]="screenWidth + \'px\'" *ngFor="let topic of topics;let i=index">\n      <div class="main" (swiperight)="preSlide(i)" (swipeleft)="nextSlide(i)" >\n        <!--题目类型-->\n        <div class="question-type">\n          <h2 *ngIf="topic.type == 1">单选</h2>\n          <h2 *ngIf="topic.type == 2">多选题</h2>\n          <h2 *ngIf="topic.type == 3">判断题</h2>\n          <span>\n            <strong>{{i+1}}</strong>/{{questionIdArr.length}}\n          </span>\n        </div>\n        <!--题目-->\n        <div class="question-title">\n          {{topic.title}}\n        </div>\n        <!--答案选择项-->\n        <div class="row answers" *ngFor="let item of topic.answerItem;">\n          <div col-2 class="radio-col">\n            <button class="radio-button radio-selected" [class.radio-selected]="item.isSelected"\n                    (click)="selectedAnswers(i,topic,item)">\n              {{item.letter}}\n            </button>\n          </div>\n          <div col-10 (click)="selectedAnswers(i,topic,item)">{{item.title}}</div>\n        </div>\n        <!--答案提示-->\n        <div class="answers-tips" *ngIf="topic.tips != \'\'">\n          <ion-icon name="information"></ion-icon>\n          <span (click)="openAnswersTipsModal(topic)">查看提示</span>\n        </div>\n\n        <div class="define-button">\n          <!--disabled true:隐藏 false:显示-->\n          <button ion-button round full [disabled]="isClicked" (click)="submitAnswers(i,topic)">确定</button>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div class="outside-modal-wrapper" *ngIf="isOpenAnswersTips">\n    <div class="inside-modal-wrapper">\n      <div class="tips-title">\n            <span>\n              提示\n            </span>\n        <span (click)="closeAnswersTips()">\n              <ion-icon name="close"></ion-icon>\n            </span>\n      </div>\n      <div class="tips-content" [innerHTML]="tips">\n      </div>\n    </div>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\exam\exam.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicApp"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_exam_new_service__["a" /* ExamNewService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_learning_law_learning_law_service__["a" /* LearningLawService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_timer_submit_test_paper__["a" /* TimerSubmitTestPaper */]])
    ], ExamPage);
    return ExamPage;
}());

//# sourceMappingURL=exam.js.map

/***/ })

});
//# sourceMappingURL=23.js.map