webpackJsonp([27],{

/***/ 1035:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginModule", function() { return LoginModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(1397);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_login_service__ = __webpack_require__(1243);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__ = __webpack_require__(121);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_third_party_account_service__ = __webpack_require__(1090);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_http__ = __webpack_require__(1091);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







var LoginModule = /** @class */ (function () {
    function LoginModule() {
    }
    LoginModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_login_service__["a" /* LoginService */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__["a" /* Keyboard */],
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_http__["a" /* HTTP */],
                __WEBPACK_IMPORTED_MODULE_5__providers_third_party_account_service__["a" /* ThirdPartyAccountService */]
            ]
        })
    ], LoginModule);
    return LoginModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 1090:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ThirdPartyAccountService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_http__ = __webpack_require__(1091);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * 第三方账号登录、绑定服务
 */
var ThirdPartyAccountService = /** @class */ (function () {
    function ThirdPartyAccountService(http, pluginHttp, nativeService) {
        this.http = http;
        this.pluginHttp = pluginHttp;
        this.nativeService = nativeService;
    }
    /**
     * 获取微信用户的临时票据code
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.getWeChatCode = function () {
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            Wechat.isInstalled(function (installed) {
                if (installed) {
                    var scope = "snsapi_userinfo";
                    var state = "_" + (+new Date());
                    Wechat.auth(scope, state, function (response) {
                        if (response.hasOwnProperty("code")) {
                            observer.next({ status: 200, code: response.code });
                            observer.complete();
                        }
                        else {
                            observer.next({ status: 403 });
                            observer.complete();
                        }
                    }, function (reason) {
                        observer.next({ status: 403 });
                        observer.complete();
                    });
                }
                else {
                    observer.next({ status: 404 });
                    observer.complete();
                }
            }, function (reason) {
                observer.next({ status: 501 });
                observer.complete();
            });
        });
    };
    /**
     * 通过微信临时票据code获取用户登录信息
     * @param code
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.getWeChatUserInfo = function (code) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post("/rest/api/weixin/getMobileTokenByCode", {}, { params: { code: code } }).subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * status 0: 微博未安装 1：微博已安装 2: 授权失败 3: 获取用户基础信息失败
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.getWeiBoCode = function () {
        var self = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            WeiboSDK.checkClientInstalled(function () {
                WeiboSDK.ssoLogin(function (args) {
                    var userId = args.userId;
                    var accessToken = args.access_token;
                    var url = 'https://api.weibo.com/2/users/show.json?uid=' + userId + '&&access_token=' + accessToken;
                    // 获取微博用户基本信息
                    self.pluginHttp.get(url, {}, {})
                        .then(function (value) {
                        if (value.status == 200) {
                            var data = value.data;
                            data = JSON.parse(data);
                            var params = {
                                uid: userId,
                                screenName: data["screen_name"],
                                iconPath: data["avatar_large"]
                            };
                            self.nativeService.showLoading("正在登录...");
                            // 保存微博用户基本信息
                            self.http.post("/rest/api/sina/save", null, { params: params }).subscribe(function (value) {
                                self.nativeService.hideLoading();
                                var res = { status: 500 };
                                if (value.status == 200) {
                                    res = self.thirdPartyIsBindingAccount(value, 1);
                                }
                                observer.next(res);
                                observer.complete();
                            });
                        }
                    })
                        .catch(function (error) {
                        observer.next({ status: 3 });
                        observer.complete();
                    });
                }, function (failReason) {
                    if (failReason == "chancel by user") {
                    }
                    observer.next({ status: 2 });
                    observer.complete();
                });
            }, function () {
                observer.next({ status: 0 });
                observer.complete();
            });
        });
    };
    /**
     * 判断第三方账号是否绑定app账号
     * @param value
     * @param accountType
     * @returns {any}
     */
    ThirdPartyAccountService.prototype.thirdPartyIsBindingAccount = function (value, accountType) {
        var res = value.result[0];
        res["isExist"] = false;
        res["status"] = 200;
        res["accountType"] = accountType;
        if (res.hasOwnProperty("a_st")) {
            res["isExist"] = true;
        }
        else {
            if (accountType == 1) {
                res["unionid"] = res.uid;
            }
        }
        return res;
    };
    /**
     * 第三方账号绑定app账号
     * @param userName
     * @param password
     * @param {string} thirdPartyUniqueId
     * @param {string} thirdPartyType
     */
    ThirdPartyAccountService.prototype.bindingAccount = function (userInfo) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            var params = {
                "loginName": userInfo.userName,
                "password": userInfo.password,
                "uniqueId": userInfo.uid,
                "thirdType": userInfo.thirdType
            };
            _this.http.post("/rest/api/user/bindExistAccount", null, { params: params }).subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * 绑定第三方账号
     * @param uniqueId
     * @param thirdType
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.bindThirdPartyAccount = function (uniqueId, thirdType) {
        var _this = this;
        var params = {
            uniqueId: uniqueId,
            thirdType: thirdType
        };
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post("/rest/api/user/bindUniqueIdAlreadyLogin", null, { params: params }).subscribe(function (value) {
                var data = value.result[0];
                data["status"] = value.status;
                observer.next(data);
                observer.complete();
            });
        });
    };
    ThirdPartyAccountService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_http__["a" /* HTTP */],
            __WEBPACK_IMPORTED_MODULE_4__native_service__["a" /* NativeService */]])
    ], ThirdPartyAccountService);
    return ThirdPartyAccountService;
}());

//# sourceMappingURL=third-party-account.service.js.map

/***/ }),

/***/ 1091:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HTTP; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_core__ = __webpack_require__(28);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name HTTP
 * @description
 * Cordova / Phonegap plugin for communicating with HTTP servers. Supports iOS and Android.
 *
 * Advantages over Javascript requests:
 * - Background threading - all requests are done in a background thread
 * - SSL Pinning
 *
 * @usage
 * ```typescript
 * import { HTTP } from '@ionic-native/http';
 *
 * constructor(private http: HTTP) {}
 *
 * ...
 *
 * this.http.get('http://ionic.io', {}, {})
 *   .then(data => {
 *
 *     console.log(data.status);
 *     console.log(data.data); // data received by server
 *     console.log(data.headers);
 *
 *   })
 *   .catch(error => {
 *
 *     console.log(error.status);
 *     console.log(error.error); // error message as string
 *     console.log(error.headers);
 *
 *   });
 *
 * ```
 * @interfaces
 * HTTPResponse
 */
var HTTP = (function (_super) {
    __extends(HTTP, _super);
    function HTTP() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * This returns an object representing a basic HTTP Authorization header of the form.
     * @param username {string} Username
     * @param password {string} Password
     * @returns {Object} an object representing a basic HTTP Authorization header of the form {'Authorization': 'Basic base64EncodedUsernameAndPassword'}
     */
    /**
       * This returns an object representing a basic HTTP Authorization header of the form.
       * @param username {string} Username
       * @param password {string} Password
       * @returns {Object} an object representing a basic HTTP Authorization header of the form {'Authorization': 'Basic base64EncodedUsernameAndPassword'}
       */
    HTTP.prototype.getBasicAuthHeader = /**
       * This returns an object representing a basic HTTP Authorization header of the form.
       * @param username {string} Username
       * @param password {string} Password
       * @returns {Object} an object representing a basic HTTP Authorization header of the form {'Authorization': 'Basic base64EncodedUsernameAndPassword'}
       */
    function (username, password) {
        return;
    };
    /**
     * This sets up all future requests to use Basic HTTP authentication with the given username and password.
     * @param username {string} Username
     * @param password {string} Password
     */
    /**
       * This sets up all future requests to use Basic HTTP authentication with the given username and password.
       * @param username {string} Username
       * @param password {string} Password
       */
    HTTP.prototype.useBasicAuth = /**
       * This sets up all future requests to use Basic HTTP authentication with the given username and password.
       * @param username {string} Username
       * @param password {string} Password
       */
    function (username, password) { };
    /**
     * Get all headers defined for a given hostname.
     * @param host {string} The hostname
     * @returns {string} return all headers defined for the hostname
     */
    /**
       * Get all headers defined for a given hostname.
       * @param host {string} The hostname
       * @returns {string} return all headers defined for the hostname
       */
    HTTP.prototype.getHeaders = /**
       * Get all headers defined for a given hostname.
       * @param host {string} The hostname
       * @returns {string} return all headers defined for the hostname
       */
    function (host) {
        return;
    };
    /**
     * Set a header for all future requests. Takes a hostname, a header and a value.
     * @param host {string} The hostname to be used for scoping this header
     * @param header {string} The name of the header
     * @param value {string} The value of the header
     */
    /**
       * Set a header for all future requests. Takes a hostname, a header and a value.
       * @param host {string} The hostname to be used for scoping this header
       * @param header {string} The name of the header
       * @param value {string} The value of the header
       */
    HTTP.prototype.setHeader = /**
       * Set a header for all future requests. Takes a hostname, a header and a value.
       * @param host {string} The hostname to be used for scoping this header
       * @param header {string} The name of the header
       * @param value {string} The value of the header
       */
    function (host, header, value) { };
    /**
     * Get the name of the data serializer which will be used for all future POST and PUT requests.
     * @returns {string} returns the name of the configured data serializer
     */
    /**
       * Get the name of the data serializer which will be used for all future POST and PUT requests.
       * @returns {string} returns the name of the configured data serializer
       */
    HTTP.prototype.getDataSerializer = /**
       * Get the name of the data serializer which will be used for all future POST and PUT requests.
       * @returns {string} returns the name of the configured data serializer
       */
    function () {
        return;
    };
    /**
     * Set the data serializer which will be used for all future POST and PUT requests. Takes a string representing the name of the serializer.
     * @param serializer {string} The name of the serializer. Can be urlencoded, utf8 or json
     */
    /**
       * Set the data serializer which will be used for all future POST and PUT requests. Takes a string representing the name of the serializer.
       * @param serializer {string} The name of the serializer. Can be urlencoded, utf8 or json
       */
    HTTP.prototype.setDataSerializer = /**
       * Set the data serializer which will be used for all future POST and PUT requests. Takes a string representing the name of the serializer.
       * @param serializer {string} The name of the serializer. Can be urlencoded, utf8 or json
       */
    function (serializer) { };
    /**
     * Add a custom cookie.
     * @param url {string} Scope of the cookie
     * @param cookie {string} RFC compliant cookie string
     */
    /**
       * Add a custom cookie.
       * @param url {string} Scope of the cookie
       * @param cookie {string} RFC compliant cookie string
       */
    HTTP.prototype.setCookie = /**
       * Add a custom cookie.
       * @param url {string} Scope of the cookie
       * @param cookie {string} RFC compliant cookie string
       */
    function (url, cookie) { };
    /**
     * Clear all cookies.
     */
    /**
       * Clear all cookies.
       */
    HTTP.prototype.clearCookies = /**
       * Clear all cookies.
       */
    function () { };
    /**
     * Remove cookies for given URL.
     * @param url {string}
     * @param cb
     */
    /**
       * Remove cookies for given URL.
       * @param url {string}
       * @param cb
       */
    HTTP.prototype.removeCookies = /**
       * Remove cookies for given URL.
       * @param url {string}
       * @param cb
       */
    function (url, cb) { };
    /**
     * Resolve cookie string for given URL.
     * @param url {string}
     */
    /**
       * Resolve cookie string for given URL.
       * @param url {string}
       */
    HTTP.prototype.getCookieString = /**
       * Resolve cookie string for given URL.
       * @param url {string}
       */
    function (url) {
        return;
    };
    /**
     * Get global request timeout value in seconds.
     * @returns {number} returns the global request timeout value
     */
    /**
       * Get global request timeout value in seconds.
       * @returns {number} returns the global request timeout value
       */
    HTTP.prototype.getRequestTimeout = /**
       * Get global request timeout value in seconds.
       * @returns {number} returns the global request timeout value
       */
    function () {
        return;
    };
    /**
     * Set global request timeout value in seconds.
     * @param timeout {number} The timeout in seconds. Default 60
     */
    /**
       * Set global request timeout value in seconds.
       * @param timeout {number} The timeout in seconds. Default 60
       */
    HTTP.prototype.setRequestTimeout = /**
       * Set global request timeout value in seconds.
       * @param timeout {number} The timeout in seconds. Default 60
       */
    function (timeout) { };
    /**
     * Set SSL Cert handling mode, being one of the following values
     * default: default SSL cert handling using system's CA certs
     * nocheck: disable SSL cert checking, trusting all certs (meant to be used only for testing purposes)
     * pinned: trust only provided certs
     * @see https://github.com/silkimen/cordova-plugin-advanced-http#setsslcertmode
     * @param {'default' | 'nocheck' | 'pinned'} mode SSL Cert handling mode
     */
    /**
       * Set SSL Cert handling mode, being one of the following values
       * default: default SSL cert handling using system's CA certs
       * nocheck: disable SSL cert checking, trusting all certs (meant to be used only for testing purposes)
       * pinned: trust only provided certs
       * @see https://github.com/silkimen/cordova-plugin-advanced-http#setsslcertmode
       * @param {'default' | 'nocheck' | 'pinned'} mode SSL Cert handling mode
       */
    HTTP.prototype.setSSLCertMode = /**
       * Set SSL Cert handling mode, being one of the following values
       * default: default SSL cert handling using system's CA certs
       * nocheck: disable SSL cert checking, trusting all certs (meant to be used only for testing purposes)
       * pinned: trust only provided certs
       * @see https://github.com/silkimen/cordova-plugin-advanced-http#setsslcertmode
       * @param {'default' | 'nocheck' | 'pinned'} mode SSL Cert handling mode
       */
    function (mode) {
        return;
    };
    /**
     * Disable following redirects automatically.
     * @param disable {boolean} Set to true to disable following redirects automatically
     * @returns {Promise<void>} returns a promise that will resolve on success, and reject on failure
     */
    /**
       * Disable following redirects automatically.
       * @param disable {boolean} Set to true to disable following redirects automatically
       * @returns {Promise<void>} returns a promise that will resolve on success, and reject on failure
       */
    HTTP.prototype.disableRedirect = /**
       * Disable following redirects automatically.
       * @param disable {boolean} Set to true to disable following redirects automatically
       * @returns {Promise<void>} returns a promise that will resolve on success, and reject on failure
       */
    function (disable) {
        return;
    };
    /**
     * Make a POST request
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a POST request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.post = /**
       * Make a POST request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, body, headers) {
        return;
    };
    /**
     * Make a GET request
     * @param url {string} The url to send the request to
     * @param parameters {Object} Parameters to send with the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a GET request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.get = /**
       * Make a GET request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, parameters, headers) {
        return;
    };
    /**
     * Make a PUT request
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a PUT request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.put = /**
       * Make a PUT request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, body, headers) {
        return;
    };
    /**
     * Make a PATCH request
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a PATCH request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.patch = /**
       * Make a PATCH request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, body, headers) {
        return;
    };
    /**
     * Make a DELETE request
     * @param url {string} The url to send the request to
     * @param parameters {Object} Parameters to send with the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a DELETE request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.delete = /**
       * Make a DELETE request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, parameters, headers) {
        return;
    };
    /**
     * Make a HEAD request
     * @param url {string} The url to send the request to
     * @param parameters {Object} Parameters to send with the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a HEAD request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.head = /**
       * Make a HEAD request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, parameters, headers) {
        return;
    };
    /**
     *
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @param filePath {string} The local path of the file to upload
     * @param name {string} The name of the parameter to pass the file along as
     * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
     */
    /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The local path of the file to upload
       * @param name {string} The name of the parameter to pass the file along as
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    HTTP.prototype.uploadFile = /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The local path of the file to upload
       * @param name {string} The name of the parameter to pass the file along as
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    function (url, body, headers, filePath, name) {
        return;
    };
    /**
     *
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @param filePath {string} The path to download the file to, including the file name.
     * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
     */
    /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The path to download the file to, including the file name.
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    HTTP.prototype.downloadFile = /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The path to download the file to, including the file name.
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    function (url, body, headers, filePath) {
        return;
    };
    HTTP.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
    ];
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String]),
        __metadata("design:returntype", Object)
    ], HTTP.prototype, "getBasicAuthHeader", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "useBasicAuth", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", String)
    ], HTTP.prototype, "getHeaders", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String, String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setHeader", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", String)
    ], HTTP.prototype, "getDataSerializer", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setDataSerializer", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setCookie", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "clearCookies", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Function]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "removeCookies", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", String)
    ], HTTP.prototype, "getCookieString", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Number)
    ], HTTP.prototype, "getRequestTimeout", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Number]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setRequestTimeout", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "setSSLCertMode", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Boolean]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "disableRedirect", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "post", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "get", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "put", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "patch", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "delete", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "head", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object, String, String]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "uploadFile", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object, String]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "downloadFile", null);
    /**
     * @name HTTP
     * @description
     * Cordova / Phonegap plugin for communicating with HTTP servers. Supports iOS and Android.
     *
     * Advantages over Javascript requests:
     * - Background threading - all requests are done in a background thread
     * - SSL Pinning
     *
     * @usage
     * ```typescript
     * import { HTTP } from '@ionic-native/http';
     *
     * constructor(private http: HTTP) {}
     *
     * ...
     *
     * this.http.get('http://ionic.io', {}, {})
     *   .then(data => {
     *
     *     console.log(data.status);
     *     console.log(data.data); // data received by server
     *     console.log(data.headers);
     *
     *   })
     *   .catch(error => {
     *
     *     console.log(error.status);
     *     console.log(error.error); // error message as string
     *     console.log(error.headers);
     *
     *   });
     *
     * ```
     * @interfaces
     * HTTPResponse
     */
    HTTP = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["h" /* Plugin */])({
            pluginName: 'HTTP',
            plugin: 'cordova-plugin-advanced-http',
            pluginRef: 'cordova.plugin.http',
            repo: 'https://github.com/silkimen/cordova-plugin-advanced-http',
            platforms: ['Android', 'iOS']
        })
    ], HTTP);
    return HTTP;
}(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["g" /* IonicNativePlugin */]));

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1243:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name LoginService
 * @author huangweicai
 * @description 登录服务层类
 */
var LoginService = /** @class */ (function () {
    function LoginService(http) {
        this.http = http;
    }
    LoginService.prototype.login = function (userName, password) {
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]().set("loginName", userName).set("password", password);
        return this.http.post("/rest/api/user/login", params);
    };
    LoginService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], LoginService);
    return LoginService;
}());

//# sourceMappingURL=login.service.js.map

/***/ }),

/***/ 1397:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_login_service__ = __webpack_require__(1243);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_keyboard__ = __webpack_require__(121);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_third_party_account_service__ = __webpack_require__(1090);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * @author huangweicai
 * @date 2019/8/12
 * @description 登录页面
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(viewCtrl, events, keyboard, navParams, navCtrl, authService, alertCtrl, loginService, modalCtrl, nativeService, thirdPartyAccountService) {
        this.viewCtrl = viewCtrl;
        this.events = events;
        this.keyboard = keyboard;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.authService = authService;
        this.alertCtrl = alertCtrl;
        this.loginService = loginService;
        this.modalCtrl = modalCtrl;
        this.nativeService = nativeService;
        this.thirdPartyAccountService = thirdPartyAccountService;
        this.userName = "";
        this.password = "";
        this.isMe = false;
        this.isShow = true;
        this.thirdPartyUniqueId = ""; // 第三方账号唯一id
        this.accountType = 4; // 账号类型
        this.eyeName = "eye-off";
        this.passwordType = "password";
        this.isMe = navParams.get("isMe");
    }
    /**
     * 页面加载前注册键盘插件
     */
    LoginPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.keyboard.onKeyboardWillShow().subscribe(function (value) {
            _this.isShow = false;
        }, function (error) {
        });
        this.keyboard.onKeyboardWillHide().subscribe(function (value) {
            _this.isShow = true;
        }, function (error) {
        });
    };
    /**
     * 登录功能
     * @returns {boolean}
     */
    LoginPage.prototype.login = function () {
        var _this = this;
        if (this.userName == "" && this.password == "") {
            this.nativeService.alert("账号或者密码错误");
            return false;
        }
        this.loginService.login(this.userName, this.password).subscribe(function (result) {
            var status = result.status;
            if (status == 200) {
                var data = result.result[0];
                data["loginUser"] = _this.userName;
                data["password"] = _this.password;
                _this.saveLoginCmsUser();
                _this.saveLoginUserInfo(result.result[0]);
            }
            else if (status == 530 || status == 531) {
                _this.nativeService.alert("账号或者密码错误");
            }
            else if (status == 555) {
                _this.nativeService.alert("重复提交，请稍后重试！");
            }
            else {
                _this.nativeService.alert(result.message);
            }
        });
    };
    LoginPage.prototype.saveLoginCmsUser = function () {
        var cmsUserName = localStorage.getItem("cmsUserName");
        if (cmsUserName !== this.userName) {
            localStorage.setItem("cmsUserName", this.userName);
            localStorage.setItem("cmsSignIn", "0");
        }
    };
    /**
     * 绑定或注册账号的模态框
     */
    LoginPage.prototype.showBindingAccountModal = function () {
        var _this = this;
        this.alertCtrl.create({
            title: '绑定已有账号或注册新账号',
            subTitle: "选择一微信或微博绑定已有的本应用账号，选择二微信或微博绑定将注册的本应用账号！",
            inputs: [
                { type: "radio", value: "1", checked: true, label: "绑定已有账号" },
                { type: "radio", value: "0", label: "注册新账号" }
            ],
            buttons: [
                {
                    text: "确定",
                    handler: function (data) {
                        _this.accountRegister(_this.accountType, data);
                    }
                }
            ]
        }).present();
    };
    /**
     * 用户登录成功,保存用户信息
     * @param value
     */
    LoginPage.prototype.saveLoginUserInfo = function (value) {
        this.authService.saveAuth(value.a_st, value.a_code, value.a_tokenId, value.a_userId);
        if (this.isMe) {
            this.events.publish('msg:login');
        }
        else {
            this.events.publish('msg:login done');
        }
        this.navCtrl.pop();
    };
    /**
     * 微信登录
     */
    LoginPage.prototype.weChatLogin = function () {
        var _this = this;
        this.thirdPartyAccountService.getWeChatCode().subscribe(function (value) {
            if (value.status == 200) {
                _this.getWeChatUserInfo(value.code);
            }
            else if (value.status == 403) {
                _this.nativeService.alert("请授权使用微信登录！");
            }
            else if (value.status == 404) {
                _this.nativeService.alert("请安装微信客户端！");
            }
            else if (value.status == 501) {
                _this.nativeService.alert("请求微信授权失败,请稍后重试！");
            }
            else {
                _this.nativeService.alert("应用异常，请稍后重试！");
            }
        });
    };
    /**
     * 提交微信用户的code票据,获取登录信息
     * @param code
     */
    LoginPage.prototype.getWeChatUserInfo = function (code) {
        var _this = this;
        this.nativeService.showLoading("拉取微信授权页面...");
        this.thirdPartyAccountService.getWeChatUserInfo(code).subscribe(function (value) {
            _this.nativeService.hideLoading();
            if (value.status == 200) {
                var result = _this.thirdPartyAccountService.thirdPartyIsBindingAccount(value, 2);
                _this.thirdPartAccountIsBinding(result);
            }
            else {
                _this.nativeService.alert(value.message);
            }
        });
    };
    /**
     * 微博登录
     */
    LoginPage.prototype.weiBoLogin = function () {
        var _this = this;
        this.thirdPartyAccountService.getWeiBoCode().subscribe(function (value) {
            if (value.status == 0) {
                _this.nativeService.alert("请安装微博应用！");
            }
            else if (value.status == 2) {
                _this.nativeService.alert("授权失败！");
            }
            else if (value.status == 3) {
                _this.nativeService.alert("获取微博基本信息失败！");
            }
            else if (value.status == 500) {
                _this.nativeService.alert("服务异常，请稍后重试！");
            }
            else {
                _this.thirdPartAccountIsBinding(value);
            }
        });
    };
    /**
     * 第三方账号是否绑定
     * @param value
     */
    LoginPage.prototype.thirdPartAccountIsBinding = function (value) {
        if (value.isExist) {
            this.saveLoginUserInfo(value);
        }
        else {
            this.thirdPartyUniqueId = value.unionid;
            this.accountType = value.accountType;
            this.showBindingAccountModal();
        }
    };
    /**
     * 账号类型 accountType: 1微博 2微信 3微信小程序 4：app注册
     * 操作类型: action：0：注册 1：绑定
     */
    LoginPage.prototype.accountRegister = function (accountType, action) {
        var _this = this;
        var registerModal = this.modalCtrl.create("AccountRegisterPage", { accountType: accountType, action: action, uniqueId: this.thirdPartyUniqueId });
        registerModal.onDidDismiss(function (data) {
            if (data) {
                _this.saveLoginUserInfo(data);
            }
        });
        registerModal.present();
    };
    /**
     * 忘记密码
     */
    LoginPage.prototype.forgetPassword = function () {
        this.navCtrl.push("ChangePwdPage");
        /*let modal = this.modalCtrl.create("ChangePwdPage");
        modal.present();*/
    };
    /**
     * 查看密码
     */
    LoginPage.prototype.seePassword = function () {
        if (this.passwordType == "password") {
            this.passwordType = "text";
            this.eyeName = "eye";
        }
        else {
            this.passwordType = "password";
            this.eyeName = "eye-off";
        }
    };
    /**
     * 清除输入框
     */
    LoginPage.prototype.clearInput = function (index) {
        if (index == 1) {
            this.userName = "";
        }
        else {
            this.password = "";
        }
    };
    LoginPage.prototype.getCheckCode = function () {
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-login',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\login\login.html"*/'<ion-content class="page-content-background">\n  <div class="background-up">\n\n  </div>\n  <!--上部分登录-->\n  <!--用户密码输入部分-->\n  <div class="login-part">\n    <div>\n      <div class="row row-border row-height">\n        <div class="col" col-2>\n          <img src="/assets/imgs/my/person.png">\n        </div>\n        <div class="col part-input">\n          <input class="div-input" [(ngModel)]="userName" type="text" placeholder="请输入账号或手机号">\n          <div class="input-close" *ngIf="userName != \'\'" (click)="clearInput(1)">\n            <ion-icon color="color8" name="close-circle"></ion-icon>\n          </div>\n        </div>\n        <div class="col" col-1>\n        </div>\n      </div>\n      <div class="row row-border row-height">\n        <div class="col" col-2>\n          <img src="/assets/imgs/my/unlock.png">\n        </div>\n        <div class="col part-input">\n          <input class="div-input" [(ngModel)]="password" [type]="passwordType" placeholder="请输入密码">\n          <div class="input-close" *ngIf="password != \'\'" (click)="clearInput(2)">\n            <ion-icon color="color8" name="close-circle"></ion-icon>\n          </div>\n        </div>\n        <div class="col" col-1 (click)="seePassword()">\n          <ion-icon [name]="eyeName"></ion-icon>\n          <!--<img class="col-content-right" style="padding-right: 5px;" src="/assets/imgs/my/Invisible.png">-->\n        </div>\n      </div>\n      <!--<div class="row row-height" align-items-center>\n        <div class="col">\n          <input class="div-input" type="text" placeholder="校验码">\n        </div>\n        <div class="col col-right">\n          <button ion-button class="check-code col-content-right" (click)="getCheckCode()">获取校验码</button>\n        </div>\n      </div>-->\n    </div>\n  </div>\n  <div class="logo-button">\n    <div class="button-div">\n      <button color="color9" ion-button round (click)="login()">登录</button>\n    </div>\n    <div class="register-password">\n      <span (click)="accountRegister(4,0)">注册</span>\n      <span (click)="forgetPassword()">忘记密码?</span>\n    </div>\n    <!--<div class="logo-round" (click)="login()">\n      <img src="assets/imgs/left-arrow.png">\n    </div>\n    <div class="forget-password" (click)="forgetPassword()">\n      忘记密码?\n    </div>\n    <div class="forget-password" (click)="accountRegister(4,0)">\n      注册\n    </div>-->\n  </div>\n  <!--下部分第三方登录-->\n  <div [style.display]="isShow ? \'block\' : \'none\'" class="page-lower-part">\n    <div class="row row-third-party">\n        <div class="col">\n          <img src="/assets/imgs/my/left-divider.png">\n        </div>\n        <div class="col col-third-party">其它登录方式</div>\n        <div class="col">\n          <img src="/assets/imgs/my/right-divider.png">\n        </div>\n    </div>\n    <div class="row">\n      <!--<div class="col col-text-img-left">\n        <img class="col-third-party-img" src="/assets/imgs/my/qq-logo.png">\n      </div>-->\n      <div class="col col-text-img-middle" (click)="weChatLogin()">\n        <img class="col-third-party-img" src="/assets/imgs/my/wx-logo.png">\n      </div>\n      <div class="col col-text-img-middle" (click)="weiBoLogin()">\n        <img class="col-third-party-img" src="/assets/imgs/my/wb-logo.png">\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_keyboard__["a" /* Keyboard */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_service__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_login_service__["a" /* LoginService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_third_party_account_service__["a" /* ThirdPartyAccountService */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ })

});
//# sourceMappingURL=27.js.map