webpackJsonp([29],{

/***/ 1028:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PracticeRecordPageModule", function() { return PracticeRecordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__practice_record__ = __webpack_require__(1385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_practice_record_service__ = __webpack_require__(1239);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PracticeRecordPageModule = /** @class */ (function () {
    function PracticeRecordPageModule() {
    }
    PracticeRecordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__practice_record__["a" /* PracticeRecordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__practice_record__["a" /* PracticeRecordPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_practice_record_service__["a" /* PracticeRecordService */]
            ]
        })
    ], PracticeRecordPageModule);
    return PracticeRecordPageModule;
}());

//# sourceMappingURL=practice-record.module.js.map

/***/ }),

/***/ 1239:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PracticeRecordService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_practice_record_model__ = __webpack_require__(1386);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__common_commonSet__ = __webpack_require__(84);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var PracticeRecordService = /** @class */ (function () {
    function PracticeRecordService(http) {
        this.http = http;
    }
    /**
     * 获取练习得到的积分等信息
     */
    PracticeRecordService.prototype.getPracticeInfo = function () {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.get(__WEBPACK_IMPORTED_MODULE_4__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/user/getPoints").subscribe(function (value) {
                var res = {
                    score: 0,
                    times: 0
                };
                if (value.status == 200) {
                    res.times = value.result[0].exerciseCount;
                    res.score = value.result[0].obtainPoints;
                }
                observer.next(res);
                observer.complete();
            });
        });
    };
    /**
     * 获取每日练习记录
     */
    PracticeRecordService.prototype.getPracticeRecords = function (pageNo) {
        var _this = this;
        var params = {
            page: pageNo,
            rows: "10"
        };
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.get(__WEBPACK_IMPORTED_MODULE_4__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/user/getExercises", { params: params }).subscribe(function (value) {
                var res = {
                    pageSize: 1,
                    practiceRecords: []
                };
                if (value.status == 200) {
                    res.pageSize = value.result[0].pageCount;
                    value.result[0].userExerciseList.map(function (item) {
                        var practiceRecordModel = new __WEBPACK_IMPORTED_MODULE_3__models_practice_record_model__["a" /* PracticeRecordModel */](item.exerciseName, item.exerciseTime, item.obtainPoints, item.rightCount, item.totalCount);
                        res.practiceRecords.push(practiceRecordModel);
                    });
                }
                observer.next(res);
                observer.complete();
            });
        });
    };
    PracticeRecordService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], PracticeRecordService);
    return PracticeRecordService;
}());

//# sourceMappingURL=practice-record.service.js.map

/***/ }),

/***/ 1385:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PracticeRecordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_learning_law_practice_record_service__ = __webpack_require__(1239);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
* @author huangweicai
* @date 2019/8/25
* @description 学法练习主页
*/
var PracticeRecordPage = /** @class */ (function () {
    function PracticeRecordPage(events, navParams, navCtrl, modalCtrl, nativeService, practiceRecordService) {
        this.events = events;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.nativeService = nativeService;
        this.practiceRecordService = practiceRecordService;
        this.pageNo = 1; // 当前页
        this.pageSize = 1; // 总页数
        this.practiceInfo = {
            score: 0,
            times: 0
        }; // 积分等信息
        this.isEnabled = true; // 是否隐藏分页
        this.practiceRecords = []; // 每日练习记录
    }
    /*  ionViewDidEnter(){
        this.pageNo = 1;
        this.pageSize = 1;
        this.practiceRecords = [];
        this.getPracticeInfo();
      }*/
    PracticeRecordPage.prototype.ionViewDidLoad = function () {
        this.getPracticeInfo();
    };
    /**
     * TODO 当没有数据时缺少提示
     * 获取练习得到的积分等信息和每日练习记录
     */
    PracticeRecordPage.prototype.getPracticeInfo = function () {
        var _this = this;
        this.nativeService.showLoading("加载中...");
        __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__["Observable"].forkJoin(this.practiceRecordService.getPracticeInfo(), this.practiceRecordService.getPracticeRecords(this.pageNo))
            .subscribe(function (value) {
            _this.nativeService.hideLoading();
            _this.practiceInfo = value[0];
            _this.pageSize = value[1].pageSize;
            console.log("practiceRecords", _this.practiceRecords);
            _this.practiceRecords.push.apply(_this.practiceRecords, value[1].practiceRecords);
            if (_this.pageNo == _this.pageSize) {
                _this.isEnabled = false;
            }
            else {
                _this.pageNo++;
            }
        });
    };
    /**
     * 获取每日练习记录
     */
    PracticeRecordPage.prototype.getPracticeRecords = function (event) {
        var _this = this;
        this.nativeService.showLoading("加载中...");
        this.practiceRecordService.getPracticeRecords(this.pageNo).subscribe(function (value) {
            _this.nativeService.hideLoading();
            _this.pageSize = value.pageSize;
            _this.practiceRecords.push.apply(_this.practiceRecords, value.practiceRecords);
            if (_this.pageNo == _this.pageSize) {
                _this.isEnabled = false;
            }
            else {
                _this.pageNo++;
            }
            event.complete();
        });
    };
    // 进入每日练习页面
    PracticeRecordPage.prototype.toPractice = function () {
        var _this = this;
        var modal = this.modalCtrl.create("PracticePage");
        modal.onDidDismiss(function (data) {
            if (data) {
                _this.toPracticeResult(data);
            }
        });
        modal.present();
    };
    /**
     * 进入练习结果页面
     * @param practiceResult 练习结果
     */
    PracticeRecordPage.prototype.toPracticeResult = function (practiceResult) {
        var _this = this;
        var modal = this.modalCtrl.create("PracticeResultPage", practiceResult);
        modal.onDidDismiss(function (data) {
            if (data.again) {
                _this.toPractice();
            }
            else {
                // 刷新练习纪录
                _this.pageNo = 1;
                _this.pageSize = 1;
                _this.practiceRecords = [];
                _this.getPracticeInfo();
            }
        });
        modal.present();
    };
    PracticeRecordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-practice-record',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\practice-record\practice-record.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>学法练习</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n\n  <div class="integral-info">\n    <div class="row">\n      <div class="col col-text-align">奖励积分</div>\n      <div class="col col-text-align">答题次数</div>\n    </div>\n    <div class="row">\n      <div class="col col-text-align">\n        <h2 class="h2-distance">{{practiceInfo.score}}</h2>\n      </div>\n      <div class="col col-text-align">\n        <h2>{{practiceInfo.times}}</h2>\n      </div>\n    </div>\n  </div>\n  <div class="practice-button">\n    <button ion-button (click)="toPractice()">\n      每日练习\n    </button>\n  </div>\n  <div class="main-record">\n    <ion-list>\n      <ion-item-divider color="light">\n        答题记录\n        <span class="span-float">积分</span>\n      </ion-item-divider>\n      <ion-item *ngFor="let practiceRecord of practiceRecords;">\n        <div class="record-item">\n          <div>\n            <p>{{practiceRecord.name}}</p>\n            <p>\n              <span>{{practiceRecord.rightNumber}}/{{practiceRecord.total}}题</span>\n              <span>{{practiceRecord.time}}</span>\n            </p>\n          </div>\n          <div>\n            {{practiceRecord.score}}\n          </div>\n        </div>\n      </ion-item>\n    </ion-list>\n  </div>\n  <ion-infinite-scroll (ionInfinite)="getPracticeRecords($event)" [enabled]="isEnabled">\n      <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n  <!--<div class="bottom-div" *ngIf="!isEnabled">\n    我也是有底线的\n  </div>-->\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\practice-record\practice-record.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_learning_law_practice_record_service__["a" /* PracticeRecordService */]])
    ], PracticeRecordPage);
    return PracticeRecordPage;
}());

//# sourceMappingURL=practice-record.js.map

/***/ }),

/***/ 1386:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PracticeRecordModel; });
var PracticeRecordModel = /** @class */ (function () {
    function PracticeRecordModel(name, // 练习名称
        time, // 练习时间
        score, // 得分
        rightNumber, // 正确题数
        total) {
        this.name = name;
        this.time = time;
        this.score = score;
        this.rightNumber = rightNumber;
        this.total = total;
    }
    return PracticeRecordModel;
}());

//# sourceMappingURL=practice-record.model.js.map

/***/ })

});
//# sourceMappingURL=29.js.map