webpackJsonp([30],{

/***/ 1019:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ExamResultModule", function() { return ExamResultModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__exam_result__ = __webpack_require__(1376);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_exam_result_service__ = __webpack_require__(1234);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ExamResultModule = /** @class */ (function () {
    function ExamResultModule() {
    }
    ExamResultModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__exam_result__["a" /* ExamResultPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__exam_result__["a" /* ExamResultPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_learning_law_exam_result_service__["a" /* ExamResultService */]
            ]
        })
    ], ExamResultModule);
    return ExamResultModule;
}());

//# sourceMappingURL=exam-result.module.js.map

/***/ }),

/***/ 1233:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamResultModel; });
/**
 * @author huangweicai
 * @date 2019/10/2
 * @description 考试成绩实体类
 */
var ExamResultModel = /** @class */ (function () {
    function ExamResultModel(examName, // 考试名称
        examBeginDate, // 考试开始日期
        examEndDate, // 考试结束日期
        description, // 考试描述
        passScore, // 及格分数
        totalScore, // 总分数
        examYear, // 考试年份
        scores // 成绩集合
    ) {
        if (examName === void 0) { examName = ""; }
        if (examBeginDate === void 0) { examBeginDate = ""; }
        if (examEndDate === void 0) { examEndDate = ""; }
        if (description === void 0) { description = ""; }
        if (passScore === void 0) { passScore = 60; }
        if (totalScore === void 0) { totalScore = 60; }
        if (examYear === void 0) { examYear = 2019; }
        if (scores === void 0) { scores = []; } // 成绩集合
        this.examName = examName;
        this.examBeginDate = examBeginDate;
        this.examEndDate = examEndDate;
        this.description = description;
        this.passScore = passScore;
        this.totalScore = totalScore;
        this.examYear = examYear;
        this.scores = scores; // 成绩集合
    }
    return ExamResultModel;
}());

//# sourceMappingURL=exam-result.model.js.map

/***/ }),

/***/ 1234:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamResultService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_exam_result_model__ = __webpack_require__(1233);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ExamResultService = /** @class */ (function () {
    function ExamResultService(http) {
        this.http = http;
    }
    /**
     * 根据考试id获取考试结果
     * @param {number} examId 考试id
     */
    ExamResultService.prototype.getExamResult = function (examId) {
        var _this = this;
        var params = { id: examId };
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http
                .get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/newGetExamInfoById", {
                params: params,
            })
                .subscribe(function (value) {
                var examResult = new __WEBPACK_IMPORTED_MODULE_4__models_exam_result_model__["a" /* ExamResultModel */]();
                if (value.status == 200) {
                    var result = value.result[0];
                    var eachQuestionScore = -1;
                    if (result.hasOwnProperty("eachQuestionScore")) {
                        eachQuestionScore = result.eachQuestionScore;
                    }
                    examResult = new __WEBPACK_IMPORTED_MODULE_4__models_exam_result_model__["a" /* ExamResultModel */](result.examName, result.strExamTime, result.strExamEndTime, result.description, result.passScore, result.totalScore, result.examYear, result.scoreResList);
                }
                observer.next(examResult);
                observer.complete();
            });
        });
    };
    /**
     * 根据考试id、用户id、试卷id获取乱序题目记录
     * @param {number} examId 考试id
     * @param {number} userId 用户id
     * @param {number} subjectId 试卷id
     */
    ExamResultService.prototype.getExamDisorder = function (examId, userId, subjectId) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http
                .get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["d" /* LEARNING_LAW_JSON_URL */] + "/cdndata/question_bank/disorder/" + examId + "/" + userId + "/" + userId + "_" + examId + "_" + subjectId + ".json")
                .subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    ExamResultService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], ExamResultService);
    return ExamResultService;
}());

//# sourceMappingURL=exam-result.service.js.map

/***/ }),

/***/ 1376:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamResultPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_exam_result_model__ = __webpack_require__(1233);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_exam_result_service__ = __webpack_require__(1234);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * @author huangweicai
 * @date 2019/7/3
 * @description 考试结果界面
 */
var ExamResultPage = /** @class */ (function () {
    function ExamResultPage(navParams, navCtrl, nativeService, examResultService) {
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.nativeService = nativeService;
        this.examResultService = examResultService;
        this.examResult = new __WEBPACK_IMPORTED_MODULE_3__models_exam_result_model__["a" /* ExamResultModel */](); // 考试结果
        this.maxScore = 0;
        this.isPass = false;
        this.examId = navParams.get("examId");
    }
    ExamResultPage.prototype.ionViewDidLoad = function () {
        this.getExamResult();
    };
    // 获取考试结果
    ExamResultPage.prototype.getExamResult = function () {
        var _this = this;
        this.nativeService.showLoading("加载中...");
        this.examResultService
            .getExamResult(this.examId)
            .subscribe(function (value) {
            _this.nativeService.hideLoading();
            _this.examResult = value;
            _this.examResult.scores.map(function (item) {
                if (item.score > _this.maxScore)
                    _this.maxScore = item.score;
                if (item.isPass == 1)
                    _this.isPass = true;
            });
        });
    };
    /**
     * 查看试卷
     */
    ExamResultPage.prototype.seeTestPaper = function (answerRecord) {
        var _this = this;
        if (answerRecord.singles == "" &&
            answerRecord.multiples == "" &&
            answerRecord.booleans == "") {
            this.nativeService.alert("无考试记录");
        }
        else {
            var userId = localStorage.getItem("exam-userId");
            var params_1 = {};
            if (userId && this.examId >= 157) {
                this.examResultService
                    .getExamDisorder(this.examId, userId, answerRecord.id)
                    .subscribe(function (value) {
                    value.state == 500
                        ? (params_1 = { answerRecord: answerRecord })
                        : (params_1 = { answerRecord: answerRecord, disorder: value });
                    _this.navCtrl.push("TestPaperRecordPage", params_1);
                });
            }
            else {
                params_1 = { answerRecord: answerRecord };
                this.navCtrl.push("TestPaperRecordPage", params_1);
            }
        }
    };
    /**
     * 查看证书
     */
    ExamResultPage.prototype.seeCertificate = function (item) {
        this.nativeService.alert("请前往pc端在线学法用法考试系统查看证书！");
    };
    ExamResultPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-exam-result",template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\exam-result\exam-result.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>考试详情</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content padding>\n  <div class="main">\n    <div class="row row-div">\n      <div class="col col-center">\n        {{examResult.examName}}\n      </div>\n    </div>\n    <hr class="hr-distance" />\n    <div class="row row-div">\n      <div col-4 class="col col-align">\n        开始日期\n      </div>\n      <div col-8 class="col">\n        {{examResult.examBeginDate}}\n      </div>\n    </div>\n    <hr class="hr-distance" />\n    <div class="row row-div">\n      <div col-4 class="col col-align">\n        结束日期\n      </div>\n      <div col-8 class="col">\n        {{examResult.examEndDate}}\n      </div>\n    </div>\n    <hr class="hr-distance" />\n    <div class="row row-div">\n      <div col-4 class="col col-align">\n        总分数\n      </div>\n      <div col-8 class="col">\n        {{examResult.totalScore}} 分\n      </div>\n    </div>\n    <div class="row row-div">\n      <div col-4 class="col col-align">\n        及格分数\n      </div>\n      <div col-8 class="col">\n        {{examResult.passScore}} 分\n      </div>\n    </div>\n    <hr *ngIf="maxScore != 0" class="hr-distance" />\n    <div *ngIf="maxScore != 0">\n      <div class="row row-div">\n        <div col-4 class="col col-align">\n          最高成绩\n        </div>\n        <div col-8 class="col">\n          <div class="div-score">\n            <span>{{maxScore}} 分</span>\n            <div>\n              <span class="score-not-pass-color score-pass-color" [class.score-pass-color]="isPass">\n                {{isPass?\'通过\': \'未通过\'}}\n              </span>\n              <span *ngIf="isPass" (click)="seeCertificate(examResult)">查看证书</span>\n            </div>\n          </div>\n        </div>\n      </div>\n      <hr class="hr-distance" />\n    </div>\n\n    <div class="row row-div" *ngFor="let item of examResult.scores;let i = index">\n      <div col-4 class="col col-align">\n        试卷{{i+1}}成绩\n      </div>\n      <div col-8 class="col">\n        <div class="div-score">\n          <span>{{item.score}}分</span>\n          <span class="see-test-paper" (click)="seeTestPaper(item)">查看试卷</span>\n        </div>\n      </div>\n      <hr *ngIf="(i+1) != examResult.scores.length" class="hr-distance" />\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\exam-result\exam-result.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_learning_law_exam_result_service__["a" /* ExamResultService */]])
    ], ExamResultPage);
    return ExamResultPage;
}());

//# sourceMappingURL=exam-result.js.map

/***/ })

});
//# sourceMappingURL=30.js.map