webpackJsonp([32],{

/***/ 1045:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyNoticeModule", function() { return MyNoticeModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_notice__ = __webpack_require__(1708);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_my_my_notice_service__ = __webpack_require__(1168);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var MyNoticeModule = /** @class */ (function () {
    function MyNoticeModule() {
    }
    MyNoticeModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_notice__["a" /* MyNoticePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_notice__["a" /* MyNoticePage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_my_my_notice_service__["a" /* MyNoticeService */]
            ]
        })
    ], MyNoticeModule);
    return MyNoticeModule;
}());

//# sourceMappingURL=my-notice.module.js.map

/***/ }),

/***/ 1168:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyNoticeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name MyNoticeService
 * @author huangweicai
 * @description 通知服务层类
 */
var MyNoticeService = /** @class */ (function () {
    function MyNoticeService(http) {
        this.http = http;
    }
    /**
     * 获取通知信息
     * @param {number} pageNo
     * @returns {Observable<any>}
     */
    MyNoticeService.prototype.getNotices = function (pageNo, noticeStatus) {
        var params = {
            msgStatus: noticeStatus,
            page: pageNo + "",
            rows: "10"
        };
        return this.http.get("/rest/api/user/getMessages", { params: params });
    };
    /**
     * 更新通知状态
     * @param {string} noticeId
     * @returns {Observable<any>}
     */
    MyNoticeService.prototype.updateNotice = function (noticeId) {
        var params = {
            msgStatus: "1",
            msgId: noticeId
        };
        return this.http.get("/rest/api/user/setMsgStatus", { params: params });
    };
    MyNoticeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], MyNoticeService);
    return MyNoticeService;
}());

//# sourceMappingURL=my-notice.service.js.map

/***/ }),

/***/ 1708:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyNoticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_my_my_notice_service__ = __webpack_require__(1168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * @name MyNoticePage
 * @author huangweicai
 * @description 通知页面
 */
var MyNoticePage = /** @class */ (function () {
    function MyNoticePage(navCtrl, events, nativeService, myNoticeService, navParams) {
        this.navCtrl = navCtrl;
        this.events = events;
        this.nativeService = nativeService;
        this.myNoticeService = myNoticeService;
        this.navParams = navParams;
        this.notices = [];
        this.pageNo = 1;
        this.pageTotal = 0;
        this.haveRead = false;
        this.selectedTab = "0";
    }
    MyNoticePage.prototype.ngOnInit = function () {
        this.getNotices(null);
    };
    /**
     * tabs切换方法
     */
    MyNoticePage.prototype.segmentChanged = function () {
        this.pageNo = 1;
        this.pageTotal = 0;
        this.notices = [];
        this.doInfinite(null);
    };
    /**
     * 获取通知
     */
    MyNoticePage.prototype.getNotices = function (infiniteScroll) {
        var _this = this;
        this.nativeService.showLoading("加载中...");
        this.myNoticeService.getNotices(this.pageNo, this.selectedTab).subscribe(function (res) {
            _this.scrollComplete(infiniteScroll);
            if (res.status == 200) {
                var data = res.result[0];
                _this.pageNo += 1;
                _this.pageTotal = data.pageCount;
                _this.notices.push.apply(_this.notices, data.contents);
            }
            else {
                if (infiniteScroll != null)
                    _this.scrollComplete(infiniteScroll);
                _this.nativeService.alert("服务异常,请稍后重试!");
            }
        }, function (error) {
            if (infiniteScroll != null)
                _this.scrollComplete(infiniteScroll);
            _this.nativeService.alert("服务异常,请稍后重试!");
            console.log("服务器异常或网络异常");
        });
    };
    /**
     * 分页加载
     * @param infiniteScroll
     */
    MyNoticePage.prototype.doInfinite = function (infiniteScroll) {
        if (this.pageNo > this.pageTotal && infiniteScroll != null) {
            infiniteScroll.complete();
            infiniteScroll.enable(false);
        }
        this.getNotices(infiniteScroll);
    };
    /**
     * 分页加载完成
     * @param infiniteScroll
     */
    MyNoticePage.prototype.scrollComplete = function (infiniteScroll) {
        if (infiniteScroll != null)
            infiniteScroll.complete();
        this.nativeService.hideLoading();
    };
    MyNoticePage.prototype.formatDateTime = function (dateTime) {
        if (dateTime.indexOf(":") != -1) {
            var dateTimes = dateTime.split(" ");
            return dateTimes[0];
        }
        return dateTime;
    };
    /**
     * 跳转详情页
     * @param notice
     */
    MyNoticePage.prototype.goDetailNotice = function (notice) {
        if (notice.msgStatus == 0)
            this.haveRead = true;
        this.navCtrl.push("DetailNoticePage", notice);
    };
    /**
     * 回退方法
     */
    MyNoticePage.prototype.goBack = function () {
        if (this.haveRead)
            this.events.publish('msg:noticeUnReadSum');
        this.navCtrl.pop();
    };
    /**
     * 监听events事件
     */
    MyNoticePage.prototype.ionViewWillEnter = function () {
        var self = this;
        this.events.subscribe('msg:delNotice', function (item) {
            console.log("item", item);
            for (var i = 0; i < self.notices.length; i++) {
                var notice = self.notices[i];
                if (notice.msgId == item.noticeId) {
                    self.notices.splice(i, 1);
                }
            }
        });
    };
    MyNoticePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-notice',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\my\notice\my-notice.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>通知</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content class="content">\n  <!--导航-->\n  <div class="card-subtitle">\n    <ion-segment [(ngModel)]="selectedTab" (ionChange)="segmentChanged()">\n      <ion-segment-button class="tab-button-height" value="0">\n        待阅\n      </ion-segment-button>\n      <ion-segment-button class="tab-button-height" value="1">\n        已阅\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n  <!--内容-->\n  <div class="content-div">\n    <div *ngFor="let notice of notices;last as isLast;" (click)="goDetailNotice(notice)">\n      <div class="row content-div-header content-div-space">\n        {{notice.msgTitle}}\n      </div>\n      <div class="row content-div-space content-div-indent-text">\n        {{notice.msgContent}}\n      </div>\n      <div class="row content-time content-div-space">\n        {{formatDateTime(notice.strSendTime)}}\n      </div>\n      <div *ngIf="!isLast" class="div-divider"></div>\n    </div>\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n    <ion-infinite-scroll-content loadingText="Loading..."></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\my\notice\my-notice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_3__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_my_my_notice_service__["a" /* MyNoticeService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], MyNoticePage);
    return MyNoticePage;
}());

//# sourceMappingURL=my-notice.js.map

/***/ })

});
//# sourceMappingURL=32.js.map