webpackJsonp([38],{

/***/ 1023:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MineIntegralPageModule", function() { return MineIntegralPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__mine_integral__ = __webpack_require__(1380);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_mine_integral_service__ = __webpack_require__(1235);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var MineIntegralPageModule = /** @class */ (function () {
    function MineIntegralPageModule() {
    }
    MineIntegralPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__mine_integral__["a" /* MineIntegralPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__mine_integral__["a" /* MineIntegralPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_mine_integral_service__["a" /* MineIntegralService */]
            ]
        })
    ], MineIntegralPageModule);
    return MineIntegralPageModule;
}());

//# sourceMappingURL=mine-integral.module.js.map

/***/ }),

/***/ 1235:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MineIntegralService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
* @author huangweicai
* @date 2019/10/2
* @description 我的积分服务层
*/
var MineIntegralService = /** @class */ (function () {
    function MineIntegralService(http) {
        this.http = http;
    }
    /**
     * 分页获取我的积分信息
     * @param pageNo 当前页
     * @returns {Observable<any>}
     */
    MineIntegralService.prototype.getIntegralList = function (pageNo) {
        var _this = this;
        var params = { page: pageNo, rows: "10" };
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/grade/getList", { params: params }).subscribe(function (value) {
                var res = { pageSize: 1, integralList: [] };
                if (value.status == 200) {
                    res.pageSize = value.result[0].pageCount;
                    res.integralList = value.result[0].list;
                }
                observer.next(res);
                observer.complete();
            });
        });
    };
    MineIntegralService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], MineIntegralService);
    return MineIntegralService;
}());

//# sourceMappingURL=mine-integral.service.js.map

/***/ }),

/***/ 1380:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MineIntegralPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_mine_integral_service__ = __webpack_require__(1235);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
* @author huangweicai
* @date 2019/10/1
* @description 我的积分页面
*/
var MineIntegralPage = /** @class */ (function () {
    function MineIntegralPage(navCtrl, navParams, mineIntegralService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.mineIntegralService = mineIntegralService;
        this.integralList = []; // 积分数据集合
        this.isEnabled = true; // 分页组件属性 是否禁用分页组件
        this.pageNo = 1; // 当前页
        this.pageSize = 1; // 总页数
    }
    /**
     * 进入当前页面前加载且加载一次
     */
    MineIntegralPage.prototype.ionViewDidLoad = function () {
        //this.testIntegralList(this.pageNo);
        this.getIntegralList(null);
    };
    /**
     * 测试数据
     */
    MineIntegralPage.prototype.testIntegralList = function (pageNo) {
        for (var i = (pageNo - 1) * 10; i < 10 * pageNo; i++) {
            var actionType = i % 2 == 0 ? true : false;
            var dateTime = new Date().toDateString();
            var res = {
                id: i,
                integralName: "兑换广西司法考试机会" + i,
                integral: i,
                actionType: actionType,
                dateTime: dateTime,
            };
            this.integralList.push(res);
        }
    };
    /**
     * 获取我的积分功能
     */
    MineIntegralPage.prototype.getIntegralList = function (event) {
        var _this = this;
        this.mineIntegralService.getIntegralList(this.pageNo).subscribe(function (value) {
            _this.pageSize = value.pageSize;
            _this.integralList.push.apply(_this.integralList, value.integralList);
            if (event != null) {
                event.complete();
            }
            ;
            if (_this.pageNo === _this.pageSize) {
                _this.isEnabled = false;
            }
            else {
                _this.pageNo++;
            }
        });
    };
    /**
     * 分页加载功能
     * @param event
     */
    MineIntegralPage.prototype.doInfinite = function (event) {
        this.getIntegralList(event);
    };
    MineIntegralPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-mine-integral',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\mine-integral\mine-integral.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>我的积分</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list inset>\n    <ion-item *ngFor="let item of integralList">\n      <p>\n        <span>名称：</span>\n        <span>{{item.text}}</span>\n      </p>\n      <p>\n        <span>操作：</span>\n        <span *ngIf="item.type == 3">扣除</span>\n        <span *ngIf="item.type != 3">增加</span>\n      </p>\n      <p>\n        <span>积分：</span>\n        <span *ngIf="item.type == 3">{{item.subAmount}}</span>\n        <span *ngIf="item.type != 3">{{item.addAmount}}</span>\n      </p>\n      <p>\n        <span>时间：</span>\n        <span>{{item.createTime}}</span>\n      </p>\n    </ion-item>\n  </ion-list>\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" [enabled]="isEnabled">\n    <ion-infinite-scroll-content\n      loadingSpinner="bubbles"\n      loadingText="更多数据加载中...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\mine-integral\mine-integral.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_mine_integral_service__["a" /* MineIntegralService */]])
    ], MineIntegralPage);
    return MineIntegralPage;
}());

//# sourceMappingURL=mine-integral.js.map

/***/ })

});
//# sourceMappingURL=38.js.map