webpackJsonp([41],{

/***/ 1006:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "JudicialExaminationModule", function() { return JudicialExaminationModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__judicial_examination__ = __webpack_require__(1356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_judicial_examination_service__ = __webpack_require__(1081);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var JudicialExaminationModule = /** @class */ (function () {
    function JudicialExaminationModule() {
    }
    JudicialExaminationModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__judicial_examination__["a" /* JudicialExaminationPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__judicial_examination__["a" /* JudicialExaminationPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__providers_judicial_examination_service__["a" /* JudicialExaminationService */]
            ],
        })
    ], JudicialExaminationModule);
    return JudicialExaminationModule;
}());

//# sourceMappingURL=judicial-examination.module.js.map

/***/ }),

/***/ 1081:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JudicialExaminationService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * JudicialExaminationService 法考 数据服务
 * @author Chile
 * @createAt 2019-07-15
 *
 */
var JudicialExaminationService = /** @class */ (function () {
    function JudicialExaminationService(http, nativeService, showMessageService, file) {
        this.http = http;
        this.nativeService = nativeService;
        this.showMessageService = showMessageService;
        this.file = file;
        //**************API*******************
        //用户提交调档信息
        this.appCommitTransferUrl = '/rest/api/lawer/saveTransferInfo';
        //用户获取调档结果
        this.appTransferResultUrl = '/rest/api/lawer/viewTransferInfo';
        //用户获取调档结果
        this.appNoticeListUrl = '/rest/api/lawer/getNoticeList';
        //法考轮播图
        this.appSlidesUrl = '/rest/api/lawer/loopimgs';
    }
    /**
     * 提交调档数据 以FormData方式提交表单
     * @param formData 表单数据
     * @param idCardAffix 身份证
     * @param lpqcOriginalAffix 法考证书正本
     * @param lpqcCopyAffix 法考证书副本
     * @param otherAffix 其它附件
     */
    JudicialExaminationService.prototype.commitTransfer = function (formData, idCardAffix, lpqcOriginalAffix, lpqcCopyAffix, otherAffix) {
        var _this = this;
        //每个文件上传任务创建一个信号
        var observables = [];
        this.createAffix(idCardAffix, observables, formData, 'lawerIdCardFiles');
        this.createAffix(lpqcOriginalAffix, observables, formData, 'lawerCertMainFiles');
        this.createAffix(lpqcCopyAffix, observables, formData, 'lawerCertSecondFiles');
        this.createAffix(otherAffix, observables, formData, 'otherFiles');
        var uploadInfo = {
            percent: 0,
            status: 'start'
        };
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__["ForkJoinObservable"].create(observables).subscribe(function () {
                _this.http.post(_this.appCommitTransferUrl, formData, {
                    'reportProgress': true,
                    'observe': 'events'
                }).subscribe(function (event) {
                    console.log('request-event', event);
                    if (event.type === __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["e" /* HttpEventType */].UploadProgress) {
                        if (event.total > 0) {
                            event.percent = event.loaded / event.total * 100;
                            uploadInfo.percent = event.loaded / event.total * 100;
                            observer.next(uploadInfo);
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["h" /* HttpResponse */]) {
                        if (event.body.status != 200) {
                            uploadInfo.status = 'error';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                        else {
                            uploadInfo.status = 'done';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["d" /* HttpErrorResponse */]) {
                        uploadInfo.status = 'error';
                        observer.next(uploadInfo);
                        observer.complete();
                    }
                }, function (err) {
                    uploadInfo.status = 'error';
                    observer.error();
                });
            });
        });
    };
    JudicialExaminationService.prototype.createAffix = function (affix, observables, formData, field) {
        var _this = this;
        affix.forEach(function (file, i, array) {
            console.log('file', file);
            if (!file.uri.startsWith('file://')) {
                file.uri = 'file://' + file.uri;
            }
            console.log('开始加载文件.........', i);
            var observable = new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (sub) {
                _this.file.resolveLocalFilesystemUrl(file.uri).then(function (entry) {
                    entry.file(function (file) {
                        var blob = file;
                        var reader = new FileReader();
                        reader.onloadend = function () {
                            var imgBlob = new Blob([reader.result], { type: blob.type });
                            formData.append(field, imgBlob, blob.name);
                            console.log('添加文件到form表单.................' + +imgBlob);
                            sub.next(null);
                            sub.complete();
                        };
                        reader.onerror = function (ev) {
                            console.log('reader ' + field + ':', ev);
                        };
                        reader.readAsArrayBuffer(blob);
                    });
                })
                    .catch(function (error) { return console.log('报错了----->' + JSON.stringify(error)); });
            });
            observables.push(observable);
        });
    };
    /**
     * 获取调档结果
     */
    JudicialExaminationService.prototype.getTransferResult = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appTransferResultUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取法考公告信息
     */
    JudicialExaminationService.prototype.getNoticeList = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appNoticeListUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取法考轮播图
     */
    JudicialExaminationService.prototype.getSlides = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appSlidesUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    JudicialExaminationService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_2__native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */]])
    ], JudicialExaminationService);
    return JudicialExaminationService;
}());

//# sourceMappingURL=judicial-examination.service.js.map

/***/ }),

/***/ 1356:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JudicialExaminationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_judicial_examination_service__ = __webpack_require__(1081);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * JudicialExaminationPage 法考首页面
 * @author Chile
 * @createAt 2019-05-30
 *
 */
var JudicialExaminationPage = /** @class */ (function () {
    function JudicialExaminationPage(navCtrl, navParams, showMessageService, judicialExaminationService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.showMessageService = showMessageService;
        this.judicialExaminationService = judicialExaminationService;
        this.slidesImages = [];
        this.columnInfo = [
            {
                'title': '报名审核',
                'page': ''
            }, {
                'title': '资质申请',
                'page': ''
            }, {
                'title': '在线调档',
                'page': 'TransferPage'
            }, {
                'title': '调档结果',
                'page': 'TransferResultPage'
            }, {
                'title': '通知公告',
                'page': 'NoticePage'
            }
        ];
    }
    JudicialExaminationPage.prototype.ionViewDidLoad = function () {
    };
    JudicialExaminationPage.prototype.ngOnInit = function () {
        var _this = this;
        this.judicialExaminationService.getSlides().subscribe(function (result) {
            console.log('this.slidesImages', result);
            _this.slidesImages = result;
        });
    };
    /**
     * 打开对应的功能页
     * @param index
     */
    JudicialExaminationPage.prototype.openPage = function (index) {
        var _this = this;
        if (index == 0 || index == 1) {
            this.showMessageService.showToast('功能即将开放。');
        }
        else if (index == 2) {
            this.judicialExaminationService.getTransferResult().subscribe(function (result) {
                if (result.result.length == 1) {
                    if (result.result[0].status == 1) {
                        _this.navCtrl.push(_this.columnInfo[3].page);
                    }
                    else {
                        _this.navCtrl.push(_this.columnInfo[2].page);
                    }
                }
                else {
                    _this.navCtrl.push(_this.columnInfo[2].page);
                }
            });
        }
        else if (index == 3) {
            this.judicialExaminationService.getTransferResult().subscribe(function (result) {
                if (result.result[0].status == 1) {
                    _this.navCtrl.push(_this.columnInfo[3].page);
                }
                else {
                    _this.navCtrl.push(_this.columnInfo[2].page);
                }
            });
        }
        else {
            this.navCtrl.push(this.columnInfo[4].page);
        }
    };
    JudicialExaminationPage.prototype.showDetail = function (item) {
        if (item.description !== '') {
            this.navCtrl.push('ArticleViewPage', { item: item });
        }
    };
    JudicialExaminationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-judicial-examination',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\judicial-examination\judicial-examination.html"*/'\n\n<ion-content>\n\n  <div>\n    <div>\n      <ion-slides class="slides-image" pager autoplay loop>\n        <ion-slide *ngFor="let item of slidesImages">\n          <img [src]="item?.imgPath" (click)="showDetail(item)">\n        </ion-slide>\n      </ion-slides>\n    </div>\n    <div class="FrameSize">\n      <ion-grid >\n        <ion-list >\n          <ion-row align-items-center  >\n            <ion-col col-6 text-center>\n              <img src="assets/imgs/judicial-examination/fk1.png" (click)="openPage(0)">\n              <br>\n            </ion-col>\n            <ion-col col-6 text-center>\n              <img src="assets/imgs/judicial-examination/fk2.png" (click)="openPage(1)">\n              <br>\n            </ion-col>\n          </ion-row>\n          <ion-row align-items-center  >\n            <ion-col col-6 text-center>\n              <img src="assets/imgs/judicial-examination/fk3.png" (click)="openPage(2)">\n              <br>\n            </ion-col>\n            <ion-col col-6 text-center>\n              <img src="assets/imgs/judicial-examination/fk4.png" (click)="openPage(3)">\n              <br>\n            </ion-col>\n          </ion-row>\n          <ion-row align-items-center  >\n            <ion-col text-center>\n              <img src="assets/imgs/judicial-examination/fk5.png" (click)="openPage(4)">\n              <br>\n            </ion-col>\n          </ion-row>\n        </ion-list>\n      </ion-grid>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\judicial-examination\judicial-examination.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_judicial_examination_service__["a" /* JudicialExaminationService */]])
    ], JudicialExaminationPage);
    return JudicialExaminationPage;
}());

//# sourceMappingURL=judicial-examination.js.map

/***/ })

});
//# sourceMappingURL=41.js.map