webpackJsonp([47],{

/***/ 1011:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CataloPageModule", function() { return CataloPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__catalo__ = __webpack_require__(1365);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CataloPageModule = /** @class */ (function () {
    function CataloPageModule() {
    }
    CataloPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__catalo__["a" /* CataloPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__catalo__["a" /* CataloPage */]),
            ]
        })
    ], CataloPageModule);
    return CataloPageModule;
}());

//# sourceMappingURL=catalo.module.js.map

/***/ }),

/***/ 1365:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CataloPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var CataloPage = /** @class */ (function () {
    function CataloPage(navCtrl, navParams, nativeService, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.nativeService = nativeService;
        this.events = events;
        this.titleName = "章节目录";
        this.chapterNumber = 0;
        this.rate = 0;
        this.readNumber = 0;
        this.bookId = 0; //当前书籍ID
        this.data = [];
        this.bookId = this.navParams.get("bookId");
        this.rate = this.navParams.get("rate");
        this.getChapterList(this.bookId);
        events.subscribe("msg:readProgress", function (learningId, chapterProgress, progress) {
            _this.data[learningId - 1].rate = chapterProgress;
            _this.rate = progress;
            if (_this.navParams.get("type") == "read") {
                _this.events.publish('msg:readingBook', _this.navParams.get("key"), progress);
            }
            else {
                _this.events.publish('msg:topicBook', _this.navParams.get("specialKey"), progress);
            }
        });
    }
    CataloPage.prototype.ionViewDidLoad = function () {
    };
    CataloPage.prototype.ionViewWillUnload = function () {
        this.events.unsubscribe("msg:readProgress");
    };
    /***
     * 返回法制读物界面
      */
    CataloPage.prototype.goBack = function () {
        this.navCtrl.pop();
    };
    /***
     * 章节内容界面
     * @param key
     * @param title
     */
    CataloPage.prototype.goContent = function (key, title, chapterProgress) {
        this.readNumber = 0;
        for (var i = 0; i < this.chapterNumber; i++) {
            if (this.data[i].rate == "100") {
                this.readNumber++;
            }
        }
        this.navCtrl.push("ChaptercontentPage", { key: key, title: title, chapterNumber: this.chapterNumber, progress: this.rate, chapterProgress: chapterProgress, readNumber: this.readNumber });
    };
    /***
     * 获取章节目录
     * @param learningId
     */
    CataloPage.prototype.getChapterList = function (learningId) {
        // this.materialService.getCataloContent(learningId,"book").subscribe(
        //   res => {
        //     if(res.status == 200){
        //       this.data = res.result[0].chapterList;
        //       this.chapterNumber = this.data.length;
        //     } else {
        //       this.nativeService.alert("服务异常,获取数据失败,请稍后重试!");
        //     }
        //   },
        //   error => {
        //     this.nativeService.alert("服务异常,获取数据失败,请稍后重试!");
        //   }
        // )
    };
    CataloPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-catalo',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\catalo\catalo.html"*/'<ion-header class="header-background">\n  <div class="row header-div-bottom-color" align-items-center justify-content-center>\n    <div>\n      <ion-col col-5>\n        <img (click)="goBack()" src="assets/imgs/left-arrow.png">\n      </ion-col>\n    </div>\n    <ion-col>{{titleName}}</ion-col>\n  </div>\n</ion-header>\n\n<ion-content >\n  <ion-list *ngFor="let item of data" (click)="goContent(item.id,item.name,item.rate)">\n    <div class="catalo-title">\n      <p class="title" >\n        <span class="catalo-title-name">{{item.name}}</span>\n        <span class="catalo-title-rate">{{item.rate}}%</span>\n      </p></div>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\learning-law\catalo\catalo.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], CataloPage);
    return CataloPage;
}());

//# sourceMappingURL=catalo.js.map

/***/ })

});
//# sourceMappingURL=47.js.map