webpackJsonp([49],{

/***/ 1002:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FollowUpViewModule", function() { return FollowUpViewModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__follow_up_view__ = __webpack_require__(1342);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FollowUpViewModule = /** @class */ (function () {
    function FollowUpViewModule() {
    }
    FollowUpViewModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__follow_up_view__["a" /* FollowUpViewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__follow_up_view__["a" /* FollowUpViewPage */]),
            ],
            providers: [],
        })
    ], FollowUpViewModule);
    return FollowUpViewModule;
}());

//# sourceMappingURL=follow-up-view.module.js.map

/***/ }),

/***/ 1342:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FollowUpViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_service__ = __webpack_require__(61);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * FollowUpViewPage 跟贴信息详情页
 * @author Chile
 * @createAt 2019-05-27
 *
 */
var FollowUpViewPage = /** @class */ (function () {
    function FollowUpViewPage(navCtrl, navParams, alertCtrl, homeService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.homeService = homeService;
        this.participateCount = 0;
        this.followUpCount = 0;
        this.selectIndex = 0;
        this.dataType = navParams.get("type");
        this.dataId = navParams.get("id");
    }
    FollowUpViewPage.prototype.ionViewWillLoad = function () {
        if (this.dataType == 'article') {
            this.getFollowUpList(2);
        }
        else {
            this.getFollowUpCommentList();
        }
    };
    FollowUpViewPage.prototype.ngOnInit = function () {
    };
    /**
     * 获取文章跟贴列表
     * @param index
     */
    FollowUpViewPage.prototype.getFollowUpList = function (index) {
        var _this = this;
        if (this.selectIndex == index)
            return;
        this.follows = {};
        this.selectIndex = index;
        console.log('getFollowUpList');
        var followUpListType = 'hot';
        if (index !== 2) {
            followUpListType = 'new';
        }
        this.homeService.getFollowUpList(this.dataId, 1, followUpListType).subscribe(function (result) {
            _this.participateCount = result.participateCount;
            _this.followUpCount = result.followUpCount;
            if (index == 2) {
                _this.follows = result.hotFllowUp;
            }
            else {
                _this.follows = result.newFllowUp;
            }
            _this.follows.comments.forEach(function (v) {
                v.timeAgo = __WEBPACK_IMPORTED_MODULE_2__common_commonFun__["b" /* Tict */].timeAgo(v.createTimeCn);
                if (v.usericon === '') {
                    v.usericon = 'assets/imgs/icon_account.png';
                }
            });
        });
    };
    /**
     * 获取跟贴回复列表
     * @param index
     */
    FollowUpViewPage.prototype.getFollowUpCommentList = function () {
        var _this = this;
        this.homeService.getFollowUpCommentList(this.dataId, 1).subscribe(function (result) {
            console.log('getFollowUpCommentList result:', result);
            _this.follows = result;
            _this.follows.comments.forEach(function (v) {
                v.timeAgo = __WEBPACK_IMPORTED_MODULE_2__common_commonFun__["b" /* Tict */].timeAgo(v.createTimeCn);
                if (v.usericon === '') {
                    v.usericon = 'assets/imgs/icon_account.png';
                }
            });
        });
    };
    /**
     * @param follow 跟贴条目
     */
    FollowUpViewPage.prototype.goTopicDetail = function (follow) {
        this.navCtrl.push('FollowUpViewPage', { "type": "comment", "id": follow.comment_id });
    };
    FollowUpViewPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad TopicPage');
    };
    /**
     * 跟贴条目跟贴
     * @param follow 跟贴条目
     */
    FollowUpViewPage.prototype.doPrompt = function (follow) {
        var _this = this;
        // this.user = JSON.parse(localStorage.currentUser);
        // if (!this.user.username) {
        //     this.sa.showAlert('', '还没登录,不能发表评论哦!', ['确定']);
        // }
        var prompt = this.alertCtrl.create({
            title: '评论',
            message: "说点什么吧....",
            inputs: [
                {
                    name: 'follow_con',
                    type: 'text'
                },
            ],
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                        console.log('点击了取消');
                    }
                },
                {
                    text: '发送',
                    handler: function (data) {
                        console.log('doPrompt', data.follow_con);
                        var articleId = _this.dataId;
                        if (_this.dataType !== 'article') {
                            articleId = follow.content_id;
                        }
                        _this.homeService.saveFollowUp(data.follow_con, articleId, follow.comment_id).subscribe(function (res) {
                            follow.hasChild = true;
                            follow.reply_count++;
                            console.log('doPrompt res', res, data);
                        });
                    }
                }
            ]
        });
        prompt.present();
    };
    /**
     * 点击跟贴条目观点
     * @param follow 跟贴条目
     * @param type 观点类别
     */
    FollowUpViewPage.prototype.vote = function (follow, type) {
        console.log('vote:', follow, type);
        if (type) {
            if (follow.isup) {
                return;
            }
        }
        else {
            if (follow.isdown) {
                return;
            }
        }
        this.homeService.saveVote(follow.comment_id, type).subscribe(function (res) {
            if (type) {
                follow.ups++;
                follow.isup = 1;
            }
            else {
                follow.downs++;
                follow.isdown = 1;
            }
        });
    };
    /**
     * 上拉刷新
     */
    FollowUpViewPage.prototype.doInfinite = function (infiniteScroll) {
        if (this.follows.page == this.follows.pageCount) {
            infiniteScroll.complete();
            return;
        }
        this.follows.page++;
        console.log('doInfinite(infiniteScroll)：', this.follows.page);
        this.refreshList(infiniteScroll, this.follows.page);
    };
    /**
     * 刷新跟贴List
     * @param closeRefresh 页面加载动画处理对像
     * @param pageIndex 当前需要获取的数据页索引
     */
    FollowUpViewPage.prototype.refreshList = function (closeRefresh, pageIndex) {
        var _this = this;
        if (this.dataType === 'article') {
            var followUpListType = 'hot';
            if (this.selectIndex !== 2) {
                followUpListType = 'new';
            }
            this.homeService.getFollowUpList(this.dataId, pageIndex, followUpListType).subscribe(function (result) {
                _this.initRefreshArticleDataList(result, pageIndex);
            });
        }
        else {
            this.homeService.getFollowUpCommentList(this.dataId, pageIndex).subscribe(function (result) {
                _this.initRefreshCommentDataList(result, pageIndex);
            });
        }
        closeRefresh.complete();
    };
    /**
     * 重新处理文章跟贴接口刷新时返回的列表数据
     * @param data 需要处理的反回数据
     * @param pageIndex 获取的是哪一页的数据
     */
    FollowUpViewPage.prototype.initRefreshArticleDataList = function (data, pageIndex) {
        console.log('initRefreshDataList(data,pageIndex)', data, pageIndex);
        this.participateCount = data.participateCount;
        this.followUpCount = data.followUpCount;
        var dataInfo;
        if (this.selectIndex == 2) {
            dataInfo = data.hotFllowUp;
        }
        else {
            dataInfo = data.newFllowUp;
        }
        dataInfo.comments.forEach(function (v, i) {
            v.timeAgo = __WEBPACK_IMPORTED_MODULE_2__common_commonFun__["b" /* Tict */].timeAgo(v.createTimeCn);
            if (v.usericon === '') {
                v.usericon = 'assets/imgs/icon_account.png';
            }
        });
        if (pageIndex == 1) {
            //Todo 上拉还要重新处理过才能用
            this.follows.comments = dataInfo.comments;
        }
        else {
            for (var i = 0; i < dataInfo.comments.length; i++) {
                this.follows.comments.push(dataInfo.comments[i]);
            }
        }
    };
    /**
     * 重新处理跟贴回复接口刷新时返回的列表数据
     * @param data 需要处理的反回数据
     * @param pageIndex 获取的是哪一页的数据
     */
    FollowUpViewPage.prototype.initRefreshCommentDataList = function (data, pageIndex) {
        console.log('initRefreshDataList(data,pageIndex)', data, pageIndex);
        data.comments.forEach(function (v, i) {
            v.timeAgo = __WEBPACK_IMPORTED_MODULE_2__common_commonFun__["b" /* Tict */].timeAgo(v.createTimeCn);
            if (v.usericon === '') {
                v.usericon = 'assets/imgs/icon_account.png';
            }
        });
        if (pageIndex == 1) {
            //Todo 上拉还要重新处理过才能用
            this.follows.comments = data.comments;
        }
        else {
            for (var i = 0; i < data.comments.length; i++) {
                this.follows.comments.push(data.comments[i]);
            }
        }
    };
    FollowUpViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-follow-up-view',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\home\follow-up-view\follow-up-view.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>评论列表</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-card class="topic-card">\n    <ion-card-header>\n      <ion-icon name="logo-buffer"></ion-icon>\n      <span>全部评论（{{follows?.total}}）</span>\n      <span class="order-btn" *ngIf="dataType===\'article\'">\n        <button ion-button [ngClass]="{\'selected\':selectIndex==2}" clear (click)="getFollowUpList(2)"\n                class="color-rp font-16">最热</button>\n        <button ion-button [ngClass]="{\'selected\':selectIndex==1}" clear (click)="getFollowUpList(1)"\n                class="color-rp font-16">最新</button>\n      </span>\n    </ion-card-header>\n    <ion-list>\n      <ion-item *ngFor="let item of follows?.comments" class="topic-box">\n        <ion-avatar item-start>\n          <img [src]="item.usericon">\n        </ion-avatar>\n        <ion-row>\n          <ion-col class="col-screen-name">\n            <h2><span>{{item.screenName}}</span>:</h2>\n          </ion-col>\n          <ion-col>\n            <p class="topic-time">{{item.timeAgo}}</p>\n          </ion-col>\n        </ion-row>\n        <ion-card-content>\n          <p>{{item.text}}</p>\n        </ion-card-content>\n        <p class="topic-card-btns">\n          <button ion-button icon-left clear small (click)="vote(item,1)" class="color-green">\n            <div>[{{item.ups}}]顶</div>\n          </button>\n          <!--<button ion-button icon-left clear small (click)="vote(item,0)" class="color-dark">-->\n            <!--<div>[{{item.downs}}]踩</div>-->\n          <!--</button>-->\n          <span *ngIf="item.hasChild" ion-button color="dark" clear (click)="goTopicDetail(item)">\n              展开评论（{{item.reply_count}}）\n          </span>\n          <button ion-button clear (click)="doPrompt(item)" class="color-rp font-12">\n            <div>回复</div>\n          </button>\n        </p>\n      </ion-item>\n    </ion-list>\n  </ion-card>\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n    <!-- <ion-infinite-scroll (ionInfinite)="$event.waitFor(doInfinite())">-->\n    <ion-infinite-scroll-content\n      loadingSpinner="bubbles"\n      loadingText="数据加载中...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\home\follow-up-view\follow-up-view.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_home_service__["a" /* HomeService */]])
    ], FollowUpViewPage);
    return FollowUpViewPage;
}());

//# sourceMappingURL=follow-up-view.js.map

/***/ })

});
//# sourceMappingURL=49.js.map